-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for messaging services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_messages (
  id varchar2(36) not null,
  version number(13,0) default -1 not null,
  sender varchar2(36) not null,
  recipient varchar2(36) not null,
  uri nvarchar2(1280),
  priority varchar2(64) not null,
  status varchar2(64) not null,
  senddate date not null,
  subject nvarchar2(256),
  message nclob,
  fromSystem number(1) default 0 not null,
  constraint pk_sas_messages primary key (id) using index tablespace users
) tablespace users;

create index idx_recipient on sas_messages(recipient) tablespace users;
create index idx_recipient_senddate on sas_messages(recipient, senddate) tablespace users;
