-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for group services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_group (
  id varchar2(36) not null,
  revision number(10) default -1 not null,
  object_type varchar2(128) not null,
  object_id varchar2(36) not null,
  name nvarchar2(64) not null,
  description nvarchar2(256),
  constraint pk_sas_group primary key (id) using index tablespace users,
  constraint uk_sas_group unique (object_type, object_id, name) using index tablespace users
) tablespace users;

create table sas_group_member (
  group_id varchar2(36) not null,
  principal_type varchar2(128) not null,
  principal_id varchar2(36) not null,
  constraint pk_sas_group_member primary key (group_id, principal_type, principal_id) using index tablespace users,
  constraint fk_sas_group_member foreign key (group_id) references sas_group(id) on delete cascade
) tablespace users;
