-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for membership services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id: //depot/platform/1.1.1.A/src/sql/oracle/sas_security_membership.sql#1 $
-- $DateTime: 2013/06/13 13:50:55 $
-- $Change: 34880 $
-- $Author: jeff.piper $
-- ----------------------------------------------------------------------------

create table sas_membership (
  object_type varchar2(128) not null,
  object_id varchar2(36) not null,
  revision number(10) default -1 not null,
  parent_id varchar2(36),
  constraint pk_sas_membership primary key (object_id) using index tablespace users,
  constraint fk_sas_membership_parent foreign key (parent_id) references sas_membership(object_id) on delete cascade
) tablespace users;

create table sas_membership_member (
  membership_id varchar2(36) not null,
  principal_type varchar2(128) not null,
  principal_id varchar2(36) not null,
  assigned number(1) default 0 not null,
  constraint pk_sas_membership_member primary key (membership_id, principal_type, principal_id) using index tablespace users,
  constraint fk_sas_membership_member foreign key (membership_id) references sas_membership(object_id) on delete cascade
) tablespace users;

-- ----------------------------------------------------------------------------
-- Default insert statements
-- ----------------------------------------------------------------------------
insert into sas_membership(object_type, object_id, revision, parent_id) 
  values('sas:tenant', '1', '1', null);

insert into sas_membership_member(membership_id, principal_type, principal_id, assigned) 
  values('1', 'sas:user', '1', 0);
