-------------------------------------------------------- 
-- Triggers - Security ACLs
-------------------------------------------------------- 
CREATE OR REPLACE TRIGGER "ACL_CLASS_ID" BEFORE INSERT ON ACL_CLASS FOR EACH ROW BEGIN SELECT ACL_CLASS_SEQ.NEXTVAL INTO :new.id FROM dual; END;;

CREATE OR REPLACE TRIGGER "ACL_ENTRY_ID" BEFORE INSERT ON ACL_ENTRY FOR EACH ROW BEGIN SELECT ACL_ENTRY_SEQ.NEXTVAL INTO :new.id FROM dual; END;;

CREATE OR REPLACE TRIGGER "ACL_OBJECT_IDENTITY_ID" BEFORE INSERT ON ACL_OBJECT_IDENTITY FOR EACH ROW BEGIN SELECT ACL_OBJECT_IDENTITY_SEQ.NEXTVAL INTO :new.id FROM dual; END;;

CREATE OR REPLACE TRIGGER "ACL_SID_ID" BEFORE INSERT ON ACL_SID FOR EACH ROW BEGIN SELECT ACL_SID_SEQ.NEXTVAL INTO :new.id FROM dual; END;;


-------------------------------------------------------- 
-- Triggers - Security Users
-------------------------------------------------------- 
create or replace trigger t_sas_user_uid before insert on sas_users for each row begin select seq_sas_user_uid.nextval into :new.uidnumber from dual; end;;

--------------------------------------------------------
--  DDL for Package XYF_PERMISSIONS
--------------------------------------------------------

CREATE OR REPLACE PACKAGE "XYF_PERMISSIONS" AS FUNCTION GET(P_FILE_ID IN NUMBER, P_PRINCIPAL_ID IN NUMBER, P_MAX_ACL_LENGTH IN NUMBER) RETURN VARCHAR2; PRAGMA RESTRICT_REFERENCES (GET, WNDS, WNPS, RNPS); END XYF_PERMISSIONS;;

--------------------------------------------------------
--  DDL for Package Body XYF_PERMISSIONS
--------------------------------------------------------
 
CREATE OR REPLACE PACKAGE BODY "XYF_PERMISSIONS" AS FUNCTION GET (P_FILE_ID IN NUMBER, P_PRINCIPAL_ID IN NUMBER,     P_MAX_ACL_LENGTH IN NUMBER)   RETURN VARCHAR2 IS   L_BASE_ACLS VARCHAR2(90);    L_ALL_ACLS VARCHAR2(5000);   L_OVERFLOW_SUFFIX CONSTANT VARCHAR2(8) := 'overflow';   CURSOR L_CURSOR   IS     SELECT PRINCIPAL_ID,       READ_FLAG,       WRITE_FLAG,       DELETE_FLAG,       PERMISSION_FLAG,       CHILD_INHERIT_READ_FLAG,       CHILD_INHERIT_WRITE_FLAG,       CHILD_INHERIT_DELETE_FLAG,       CHILD_INHERIT_PERMISSION_FLAG     FROM XYF_ENTRY_ACLS     WHERE FILE_ID = P_FILE_ID; BEGIN   L_ALL_ACLS := '';   SELECT NVL(MAX(READ_FLAG),'N')     || NVL(MAX(WRITE_FLAG),'N')     || NVL(MAX(DELETE_FLAG), 'N')     || NVL(MAX(PERMISSION_FLAG), 'N')     || NVL(MAX(CHILD_INHERIT_READ_FLAG),'N')     || NVL(MAX(CHILD_INHERIT_WRITE_FLAG),'N')     || NVL(MAX(CHILD_INHERIT_DELETE_FLAG), 'N')     || NVL(MAX(CHILD_INHERIT_PERMISSION_FLAG), 'N')     || NVL(MAX(DIGEST), '00')   INTO L_BASE_ACLS   FROM XYF_ENTRY_ACLS XEA,     XYF_CACHED_PRINCIPALS XCP   WHERE XEA.PRINCIPAL_ID = XCP.ALT_PRINCIPAL_ID   AND XEA.FILE_ID        = P_FILE_ID   AND XCP.PRINCIPAL_ID   = P_PRINCIPAL_ID;   IF (P_MAX_ACL_LENGTH > 0) THEN     FOR L_ROW IN L_CURSOR     LOOP       L_ALL_ACLS := L_ALL_ACLS || '#';       L_ALL_ACLS := L_ALL_ACLS || L_ROW.PRINCIPAL_ID;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.READ_FLAG;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.WRITE_FLAG;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.DELETE_FLAG;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.PERMISSION_FLAG;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.CHILD_INHERIT_READ_FLAG;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.CHILD_INHERIT_WRITE_FLAG;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.CHILD_INHERIT_DELETE_FLAG;       L_ALL_ACLS := L_ALL_ACLS || L_ROW.CHILD_INHERIT_PERMISSION_FLAG;       EXIT WHEN LENGTH(L_ALL_ACLS) > (P_MAX_ACL_LENGTH);     END LOOP;   END IF;    IF (LENGTH(L_ALL_ACLS) > P_MAX_ACL_LENGTH) THEN      RETURN L_BASE_ACLS || SUBSTR(L_ALL_ACLS, 1, P_MAX_ACL_LENGTH) || L_OVERFLOW_SUFFIX;   ELSE       RETURN L_BASE_ACLS || L_ALL_ACLS || '>';    END IF; EXCEPTION WHEN VALUE_ERROR THEN   RETURN SUBSTR(L_BASE_ACLS || L_ALL_ACLS, 1, 4000); END; END;;
