spool sdd-install.out
set define on;

accept xgsuser char format a25 prompt 'Enter the username to connect to the Xythos Global Schema: '
accept xgspw char format a25 prompt 'Enter the password to connect to the Xythos Global Schema: '
accept xdsuser char format a25 prompt 'Enter the username to connect to the Xythos Docstore Schema: '
accept xdspw char format a25 prompt 'Enter the password to connect to the Xythos Docstore Schema: '
accept tblspc char format a25 prompt 'Enter the tablespace to store the Xythos schemas: '
accept hostname char format a25 prompt 'Enter the hostname of the database instance: '
accept port char format a25 prompt 'Enter the port of the database instance: '
accept servicename char format a25 prompt 'Enter the service_name of the database instance: '
accept rephome char format a25 prompt 'Enter the directory for the home directory of the SAS Repository (ex: /xythosfs/SASRepository): '
prompt Setting xgsuser to &xgsuser
prompt Setting xgspw to &xgspw
prompt Setting xdsuser to &xdsuser
prompt Setting xdspw to &xdspw
prompt Setting tblspc to &tblspc
prompt Setting hostname to &hostname
prompt Setting port to &port
prompt Setting servicename to &servicename
prompt Setting rephome to &rephome

create user &xgsuser identified by &xgspw default tablespace &tblspc;
grant create session, resource, create any sequence to &xgsuser;
create user &xdsuser identified by &xdspw default tablespace &tblspc;
grant create session, resource to &xdsuser;

connect &xdsuser/&xdspw@&hostname:&port/&servicename;
show user


@./oracle/sas_attachments.sql
@./oracle/sas_content_xds.sql
@./oracle/sas_content_xds_custom.sql
@./oracle/sas_context.sql
@./oracle/sas_hist_sched_occs.sql
@./oracle/sas_job_submissions.sql
@./oracle/sas_messages.sql
@./oracle/sas_quartz.sql
@./oracle/sas_registry.sql
@./oracle/sas_security_acls.sql
@./oracle/sas_security_audit.sql
@./oracle/sas_security_groups.sql
@./oracle/sas_security_membership.sql
@./oracle/sas_security_privileges.sql
@./oracle/sas_security_signatures.sql
@./oracle/sas_security_users.sql
@./oracle/sas_sessions.sql
@./oracle/sas_submissions.sql
@./oracle/sas_subscriptions.sql
@./oracle/sas_system_tasks.sql
@./oracle/sas_task_history.sql
@./oracle/sas_workspaces.sql
@./oracle/sas_triggers_prod.sql

connect &xgsuser/&xgspw@&hostname:&port/&servicename;
show user

@./oracle/sas_content_xgs.sql
@./oracle/sas_content_xgs_custom.sql

update xy_server_group_parameters set parameter_value='&rephome/index' where group_name='default' and parameter_name='Xythos.Search.IndexLocation';
update xy_file_systems set db_username='&xdsuser', db_password='&xdspw', jdbc_connection_url='jdbc:oracle:thin:@&hostname:&port/&servicename';
update xy_storage_locations set unix_storage_location='&rephome/files';

exit
