#!/bin/ksh

echo ===============================================================================
echo   SDD Bootstrap Environment
echo ===============================================================================

# Set umask for proper access to shared disk
umask 000

# Set JAVA_HOME if it's not already set
if [ -z "$JAVA_HOME" ]
then
	javaCommand=`which java`
	cd `dirname $javaCommand`/..
	JAVA_HOME=$PWD
	export JAVA_HOME
	cd - > /dev/null 2>&1
fi

# Set TOMCAT_HOME based on absolute location of this shell file
command=`which $0`
cd `dirname $command`/..
TOMCAT_HOME=$PWD
export TOMCAT_HOME
cd - > /dev/null 2>&1

# JAVA_OPTS="${JAVA_OPTS} -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,address=8787,suspend=n"
JAVA_OPTS="${JAVA_OPTS} -Xms1024m -Xmx1024m -XX:PermSize=320m -XX:MaxPermSize=320m -Xss160k"
JAVA_OPTS="${JAVA_OPTS} -XX:NewSize=128m -XX:MaxNewSize=256m -XX:+UseConcMarkSweepGC -XX:-UseTLAB -XX:+DisableExplicitGC"

export JAVA_OPTS

${TOMCAT_HOME}/bin/startup.sh $*
