-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for attachment services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_attachments (
  id varchar2(36) not null,
  contextId varchar2(36) not null,
  attachedPath nvarchar2(1024),
  attachedResourceUri nvarchar2(1280) not null,
  attachedVersion varchar2(16),
  dateAttached date,
  attachedBy varchar2(32),
  constraint pk_sas_attachments primary key (id) using index tablespace users
) tablespace users;

create index idx_sas_attachments_contextId on sas_attachments (contextId) tablespace users;
