--------------------------------------------------------
--  File created - Monday-April-30-2012   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table XYF_ACTION_LOG
--------------------------------------------------------

  CREATE TABLE "XYF_ACTION_LOG" 
   (	"ACTION_ID" NUMBER, 
	"ACTION_TYPE" VARCHAR2(50 BYTE), 
	"ENTRY_ID" NUMBER, 
	"FULL_PATH" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"PRINCIPAL_ID" NUMBER, 
	"USER_ID" VARCHAR2(200 BYTE), 
	"USER_LOCATION" VARCHAR2(200 BYTE), 
	"DISPLAY_NAME" NVARCHAR2(200), 
	"ACTION_DATE" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_ACTION_LOG_PARAMS
--------------------------------------------------------

  CREATE TABLE "XYF_ACTION_LOG_PARAMS" 
   (	"ACTION_ID" NUMBER, 
	"PARAM_NAME" NVARCHAR2(50), 
	"PARAM_VALUE" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_BANDWIDTH_USAGE
--------------------------------------------------------

  CREATE TABLE "XYF_BANDWIDTH_USAGE" 
   (	"DIRECTORY" NVARCHAR2(2000), 
	"DIRECTORY_VIRTUAL_SERVER" NUMBER, 
	"PERIOD_START" DATE, 
	"BYTES_THIS_PERIOD" NUMBER, 
	"TOTAL_START" DATE, 
	"BYTES_TOTAL" NUMBER, 
	"BANDWIDTH_QUOTA" NUMBER, 
	"BANDWIDTH_ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_BLOBS
--------------------------------------------------------

  CREATE TABLE "XYF_BLOBS" 
   (	"BLOB_ID" NUMBER, 
	"REF_COUNT" NUMBER, 
	"BLOB_SIZE" NUMBER, 
	"BLOB_STATE" VARCHAR2(50 BYTE), 
	"STORAGE_STATE" NUMBER, 
	"STORAGE_DATE" DATE, 
	"STORAGE_LOCATION" NUMBER, 
	"STORAGE_FILENAME" VARCHAR2(2000 BYTE), 
	"TEMPORARY_STORAGE_LOCATION" NUMBER, 
	"TEMPORARY_STORAGE_FILENAME" VARCHAR2(2000 BYTE), 
	"VIRUSSCAN_DATE" DATE, 
	"RECOVER_DATE" DATE, 
	"DIGEST" VARCHAR2(200 BYTE), 
	"DATA" BLOB
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" 
 LOB ("DATA") STORE AS BASICFILE (
  TABLESPACE "USERS" DISABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  CACHE 
  STORAGE( INITIAL 52428800 NEXT 524288000
  PCTINCREASE 0)) ;
--------------------------------------------------------
--  DDL for Table XYF_CACHED_PRINCIPALS
--------------------------------------------------------

  CREATE TABLE "XYF_CACHED_PRINCIPALS" 
   (	"PRINCIPAL_ID" NUMBER, 
	"ALT_PRINCIPAL_ID" NUMBER, 
	"DIGEST" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 524288 NEXT 10485760 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_COMMENTS
--------------------------------------------------------

  CREATE TABLE "XYF_COMMENTS" 
   (	"COMMENT_ID" NUMBER, 
	"FILE_ID" NUMBER, 
	"AUTHOR_ID" NUMBER, 
	"CREATION_DATE" DATE, 
	"COMMENT_TEXT" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_DELETE_HISTORY
--------------------------------------------------------

  CREATE TABLE "XYF_DELETE_HISTORY" 
   (	"FILE_VERSION_ID" NUMBER, 
	"FILE_ID" NUMBER, 
	"FULL_PATH" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"REVISION" NUMBER, 
	"FILE_SIZE" NUMBER, 
	"DELETING_PRINCIPAL_ID" NUMBER, 
	"DELETION_DATE" DATE, 
	"BLOB_ID" NUMBER, 
	"STORAGE_LOCATION_ID" NUMBER, 
	"STORAGE_FILENAME" VARCHAR2(2000 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_ENTRY_ACLS
--------------------------------------------------------

  CREATE TABLE "XYF_ENTRY_ACLS" 
   (	"FILE_ID" NUMBER, 
	"PRINCIPAL_ID" NUMBER, 
	"READ_FLAG" VARCHAR2(1 BYTE), 
	"WRITE_FLAG" VARCHAR2(1 BYTE), 
	"DELETE_FLAG" VARCHAR2(1 BYTE), 
	"PERMISSION_FLAG" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_READ_FLAG" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_WRITE_FLAG" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_DELETE_FLAG" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_PERMISSION_FLAG" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 5242880 NEXT 104857600 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 4 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_FILES
--------------------------------------------------------

  CREATE TABLE "XYF_FILES" 
   (	"CREATION_DATE" DATE, 
	"CREATED_BY" NUMBER, 
	"LAST_UPDATE_DATE" DATE, 
	"LAST_UPDATED_BY" NUMBER, 
	"FILE_ID" NUMBER, 
	"OWNER_PRINCIPAL_ID" NUMBER, 
	"FILE_TYPE_CODE" VARCHAR2(50 BYTE), 
	"MIME_TYPE" VARCHAR2(200 BYTE), 
	"CONTENT_LANGUAGE" VARCHAR2(200 BYTE), 
	"REVISIONABLE_FLAG" VARCHAR2(1 BYTE), 
	"OWNER_DELETE_FLAG" VARCHAR2(1 BYTE), 
	"OWNER_WRITE_FLAG" VARCHAR2(1 BYTE), 
	"OWNER_INHERIT_DELETE_FLAG" VARCHAR2(1 BYTE), 
	"OWNER_INHERIT_WRITE_FLAG" VARCHAR2(1 BYTE), 
	"LOGGING_FLAG" VARCHAR2(1 BYTE), 
	"HAS_LOCKS" VARCHAR2(1 BYTE), 
	"HAS_DEAD_PROPERTIES" VARCHAR2(1 BYTE), 
	"HAS_SUBSCRIPTIONS" VARCHAR2(1 BYTE), 
	"QUOTA_LOCKED" VARCHAR2(1 BYTE), 
	"LATEST_VERSION" NUMBER, 
	"FILE_SIZE" NUMBER, 
	"QUOTA" NUMBER, 
	"PRE_MOVE_NAME" NVARCHAR2(2000), 
	"TRASHCAN_PATH" NVARCHAR2(2000), 
	"HIGHEST_VERSION" NUMBER, 
	"VERSIONING_FLAGS" NUMBER, 
	"CHILD_INHERIT_ON_CREATE" VARCHAR2(1 BYTE), 
	"LIFECYCLE_STATE" VARCHAR2(50 BYTE), 
	"ENTRY_ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 5242880 NEXT 104857600 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 4 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_FILE_LOCKS
--------------------------------------------------------

  CREATE TABLE "XYF_FILE_LOCKS" 
   (	"FILE_ID" NUMBER, 
	"LOCK_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_FILE_VERSIONS
--------------------------------------------------------

  CREATE TABLE "XYF_FILE_VERSIONS" 
   (	"FILE_ID" NUMBER, 
	"FILE_VERSION_ID" NUMBER, 
	"CREATION_DATE" DATE, 
	"CREATED_BY" NUMBER, 
	"VERSION" NUMBER, 
	"BLOB_ID" NUMBER, 
	"VER_COMMENT" NVARCHAR2(2000), 
	"LIFECYCLE_STATE" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_FULL_TEXT_SEARCH_TEMP
--------------------------------------------------------

  CREATE GLOBAL TEMPORARY TABLE "XYF_FULL_TEXT_SEARCH_TEMP" 
   (	"QUERY_ID" NUMBER, 
	"VIRTUAL_SERVER" NUMBER, 
	"SEARCH_SCORE" NUMBER, 
	"FULL_PATH" NVARCHAR2(2000)
   ) ON COMMIT DELETE ROWS ;
--------------------------------------------------------
--  DDL for Table XYF_INDEXED_PROPERTIES
--------------------------------------------------------

  CREATE TABLE "XYF_INDEXED_PROPERTIES" 
   (	"PROPERTY_OWNER_TYPE" NUMBER, 
	"PROPERTY_OWNER_ID" NUMBER, 
	"VERSION_NUMBER" NUMBER, 
	"STRING1" NVARCHAR2(2000), 
	"STRING2" NVARCHAR2(2000), 
	"STRING3" NVARCHAR2(2000), 
	"STRING4" NVARCHAR2(2000), 
	"STRING5" NVARCHAR2(2000), 
	"LONG1" NUMBER, 
	"LONG2" NUMBER, 
	"LONG3" NUMBER, 
	"LONG4" NUMBER, 
	"LONG5" NUMBER, 
	"TIMESTAMP1" DATE, 
	"TIMESTAMP2" DATE, 
	"TIMESTAMP3" DATE, 
	"TIMESTAMP4" DATE, 
	"TIMESTAMP5" DATE, 
	"DISPLAY1" NVARCHAR2(2000), 
	"DISPLAY2" NVARCHAR2(2000), 
	"DISPLAY3" NVARCHAR2(2000), 
	"DISPLAY4" NVARCHAR2(2000), 
	"DISPLAY5" NVARCHAR2(2000), 
	"BIG_DECIMAL1" NUMBER, 
	"BIG_DECIMAL2" NUMBER, 
	"BIG_DECIMAL3" NUMBER, 
	"BIG_DECIMAL4" NUMBER, 
	"BIG_DECIMAL5" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_LOCKS
--------------------------------------------------------

  CREATE TABLE "XYF_LOCKS" 
   (	"LOCK_ID" NUMBER, 
	"LOCK_PRINCIPAL_ID" NUMBER, 
	"CREATION_DATE" DATE, 
	"LOCK_TYPE" VARCHAR2(50 BYTE), 
	"EXPIRATION_DATE" DATE, 
	"DEPTH" VARCHAR2(50 BYTE), 
	"OWNER" NVARCHAR2(2000), 
	"LOCK_TARGET" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_LOGS
--------------------------------------------------------

  CREATE TABLE "XYF_LOGS" 
   (	"FULL_PATH" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"VERSION_ID" NUMBER, 
	"ACCESSING_PRINCIPAL_ID" NUMBER, 
	"ACCESSING_USER_ID" NVARCHAR2(200), 
	"ACCESSING_LOCATION" VARCHAR2(200 BYTE), 
	"ACCESSING_DISPLAY_NAME" NVARCHAR2(200), 
	"LOG_ACTION" VARCHAR2(50 BYTE), 
	"ACCESS_DATE" DATE, 
	"IP_ADDRESS" VARCHAR2(50 BYTE), 
	"FILE_SIZE" NUMBER, 
	"OWNER_PRINCIPAL_ID" NUMBER, 
	"OWNER_USER_ID" NVARCHAR2(200), 
	"OWNER_LOCATION" VARCHAR2(200 BYTE), 
	"OWNER_DISPLAY_NAME" NVARCHAR2(200), 
	"EXTRA_INFO" NVARCHAR2(2000), 
	"FILE_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_PRINCIPAL_LOOKUPS
--------------------------------------------------------

  CREATE TABLE "XYF_PRINCIPAL_LOOKUPS" 
   (	"PRINCIPAL_ID" NVARCHAR2(300), 
	"INTERNAL_PRINCIPAL_ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_PRINCIPAL_LOOKUP_ALIASES
--------------------------------------------------------

  CREATE TABLE "XYF_PRINCIPAL_LOOKUP_ALIASES" 
   (	"INTERNAL_PRINCIPAL_ID" NUMBER, 
	"PRINCIPAL_ID" NVARCHAR2(300), 
	"PRINCIPAL_IMPL_ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_PROPERTIES
--------------------------------------------------------

  CREATE TABLE "XYF_PROPERTIES" 
   (	"PROPERTY_OWNER_TYPE" NUMBER, 
	"PROPERTY_OWNER_ID" NUMBER, 
	"VERSION_NUMBER" NUMBER, 
	"PROPERTY_DEFINITION_ID" NUMBER, 
	"VALUE_POSITION" NUMBER, 
	"SHORT_STRING_VALUE" NVARCHAR2(2000), 
	"NUMBER_VALUE" NUMBER, 
	"DATE_VALUE" DATE, 
	"STRING_VALUE" NVARCHAR2(2000), 
	"VALUE_LANG" VARCHAR2(50 BYTE), 
	"SHORT_STRING_DISPLAY" NVARCHAR2(2000), 
	"BIG_DECIMAL_VALUE" NUMBER, 
	"IS_DERIVED" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_PROPERTY_NAMESPACES
--------------------------------------------------------

  CREATE TABLE "XYF_PROPERTY_NAMESPACES" 
   (	"PROPERTY_OWNER_TYPE" NUMBER, 
	"PROPERTY_OWNER_ID" NUMBER, 
	"PROPERTY_DEFINITION_ID" NUMBER, 
	"NAMESPACE_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_SIZE_OFFSET
--------------------------------------------------------

  CREATE TABLE "XYF_SIZE_OFFSET" 
   (	"OFFSET_ID" NUMBER, 
	"REQ_TIME" DATE, 
	"FILE_ID" NUMBER, 
	"USED_FLAG" VARCHAR2(1 BYTE), 
	"FILE_SIZE" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_SIZE_OFFSET_COMMITTED
--------------------------------------------------------

  CREATE TABLE "XYF_SIZE_OFFSET_COMMITTED" 
   (	"OFFSET_ID" NUMBER, 
	"FILE_ID" NUMBER, 
	"FILE_SIZE" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_SUBSCRIPTIONS
--------------------------------------------------------

  CREATE TABLE "XYF_SUBSCRIPTIONS" 
   (	"SUBSCRIPTION_ID" NUMBER, 
	"SUBSCRIPTION_GROUP" NUMBER, 
	"SUBSCRIBER" NUMBER, 
	"FILE_ID" NUMBER, 
	"EVENT_TYPE" VARCHAR2(50 BYTE), 
	"DELIVERY_TYPE" VARCHAR2(50 BYTE), 
	"AGGREGATION_TYPE" VARCHAR2(50 BYTE), 
	"EXPIRATION_DATE" DATE, 
	"MODULE_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYF_URLS
--------------------------------------------------------

  CREATE TABLE "XYF_URLS" 
   (	"FULL_PATH" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"FILE_ID" NUMBER, 
	"FILE_NAME" NVARCHAR2(2000), 
	"PARENT_ID" NUMBER, 
	"PATH_ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 5242880 NEXT 104857600 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 4 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYTHOS_DUAL
--------------------------------------------------------

  CREATE TABLE "XYTHOS_DUAL" 
   (	"DUMMY" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYTHOS_VERSION
--------------------------------------------------------

  CREATE TABLE "XYTHOS_VERSION" 
   (	"INSTALLABLE_MOD" VARCHAR2(200 BYTE), 
	"VERSION1" NUMBER, 
	"VERSION2" NUMBER, 
	"VERSION3" NUMBER, 
	"POST_ADD_RUN" VARCHAR2(1 BYTE), 
	"POST_UPGRADE_RUN" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
REM INSERTING into XYF_ACTION_LOG
REM INSERTING into XYF_ACTION_LOG_PARAMS
REM INSERTING into XYF_BANDWIDTH_USAGE
Insert into XYF_BANDWIDTH_USAGE (DIRECTORY,DIRECTORY_VIRTUAL_SERVER,PERIOD_START,BYTES_THIS_PERIOD,TOTAL_START,BYTES_TOTAL,BANDWIDTH_QUOTA,BANDWIDTH_ID) values ('/root',1,to_date('27-APR-12','DD-MON-RR'),0,to_date('27-APR-12','DD-MON-RR'),0,-1,1.10011);
Insert into XYF_BANDWIDTH_USAGE (DIRECTORY,DIRECTORY_VIRTUAL_SERVER,PERIOD_START,BYTES_THIS_PERIOD,TOTAL_START,BYTES_TOTAL,BANDWIDTH_QUOTA,BANDWIDTH_ID) values ('/',0,to_date('25-APR-12','DD-MON-RR'),0,to_date('25-APR-12','DD-MON-RR'),0,-1,0);
REM INSERTING into XYF_BLOBS
REM INSERTING into XYF_CACHED_PRINCIPALS
Insert into XYF_CACHED_PRINCIPALS (PRINCIPAL_ID,ALT_PRINCIPAL_ID,DIGEST) values (2,2,'DA39A3EE5E6B4B0D3255BFEF95601890AFD80709');
Insert into XYF_CACHED_PRINCIPALS (PRINCIPAL_ID,ALT_PRINCIPAL_ID,DIGEST) values (2,1,'DA39A3EE5E6B4B0D3255BFEF95601890AFD80709');
Insert into XYF_CACHED_PRINCIPALS (PRINCIPAL_ID,ALT_PRINCIPAL_ID,DIGEST) values (1,1,null);
REM INSERTING into XYF_COMMENTS
REM INSERTING into XYF_DELETE_HISTORY
REM INSERTING into XYF_ENTRY_ACLS
Insert into XYF_ENTRY_ACLS (FILE_ID,PRINCIPAL_ID,READ_FLAG,WRITE_FLAG,DELETE_FLAG,PERMISSION_FLAG,CHILD_INHERIT_READ_FLAG,CHILD_INHERIT_WRITE_FLAG,CHILD_INHERIT_DELETE_FLAG,CHILD_INHERIT_PERMISSION_FLAG) values (1001,1,'N','N','N','N','N','N','N','N');
REM INSERTING into XYF_FILES
Insert into XYF_FILES (CREATION_DATE,CREATED_BY,LAST_UPDATE_DATE,LAST_UPDATED_BY,FILE_ID,OWNER_PRINCIPAL_ID,FILE_TYPE_CODE,MIME_TYPE,CONTENT_LANGUAGE,REVISIONABLE_FLAG,OWNER_DELETE_FLAG,OWNER_WRITE_FLAG,OWNER_INHERIT_DELETE_FLAG,OWNER_INHERIT_WRITE_FLAG,LOGGING_FLAG,HAS_LOCKS,HAS_DEAD_PROPERTIES,HAS_SUBSCRIPTIONS,QUOTA_LOCKED,LATEST_VERSION,FILE_SIZE,QUOTA,PRE_MOVE_NAME,TRASHCAN_PATH,HIGHEST_VERSION,VERSIONING_FLAGS,CHILD_INHERIT_ON_CREATE,LIFECYCLE_STATE,ENTRY_ID) values (to_date('27-APR-12','DD-MON-RR'),2,to_date('27-APR-12','DD-MON-RR'),2,1001,5,'D',null,null,'N','Y','Y','Y','Y','N','N','N','N','N',1,0,null,null,null,1,0,null,null,1001);
REM INSERTING into XYF_FILE_LOCKS
REM INSERTING into XYF_FILE_VERSIONS
REM INSERTING into XYF_FULL_TEXT_SEARCH_TEMP
REM INSERTING into XYF_INDEXED_PROPERTIES
REM INSERTING into XYF_LOCKS
REM INSERTING into XYF_LOGS
REM INSERTING into XYF_PRINCIPAL_LOOKUPS
Insert into XYF_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('ALL_PRINCIPALS@PUBLIC',1);
Insert into XYF_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('AUTHENTICATED@PUBLIC',3);
Insert into XYF_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('NOBODY@PUBLIC',2);
Insert into XYF_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('NO_USER@PUBLIC',5);
Insert into XYF_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('OWNER@PUBLIC',4);
REM INSERTING into XYF_PRINCIPAL_LOOKUP_ALIASES
Insert into XYF_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (1,'ALL_PRINCIPALS@PUBLIC',1);
Insert into XYF_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (3,'AUTHENTICATED@PUBLIC',1);
Insert into XYF_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (2,'NOBODY@PUBLIC',1);
Insert into XYF_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (5,'NO_USER@PUBLIC',1);
Insert into XYF_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (4,'OWNER@PUBLIC',1);
REM INSERTING into XYF_PROPERTIES
REM INSERTING into XYF_PROPERTY_NAMESPACES
REM INSERTING into XYF_SIZE_OFFSET
REM INSERTING into XYF_SIZE_OFFSET_COMMITTED
REM INSERTING into XYF_SUBSCRIPTIONS
REM INSERTING into XYF_URLS
Insert into XYF_URLS (FULL_PATH,VIRTUAL_SERVER,FILE_ID,FILE_NAME,PARENT_ID,PATH_ID) values ('/root',1,1001,'root',0,1001);
REM INSERTING into XYTHOS_DUAL
Insert into XYTHOS_DUAL (DUMMY) values ('X');
REM INSERTING into XYTHOS_VERSION
Insert into XYTHOS_VERSION (INSTALLABLE_MOD,VERSION1,VERSION2,VERSION3,POST_ADD_RUN,POST_UPGRADE_RUN) values ('com.xythos.installer.application.CoreModule',7,2,96,'Y','Y');
Insert into XYTHOS_VERSION (INSTALLABLE_MOD,VERSION1,VERSION2,VERSION3,POST_ADD_RUN,POST_UPGRADE_RUN) values ('com.xythos.installer.application.XyAppModule',7,2,96,'Y','Y');
--------------------------------------------------------
--  DDL for Index XYF_SUBS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_SUBS_N1" ON "XYF_SUBSCRIPTIONS" ("FILE_ID", "EVENT_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_FILE_VERS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_FILE_VERS_U2" ON "XYF_FILE_VERSIONS" ("FILE_ID", "VERSION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_FILE_VERS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_FILE_VERS_N1" ON "XYF_FILE_VERSIONS" ("BLOB_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_BNDWDTH_USG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_BNDWDTH_USG_U1" ON "XYF_BANDWIDTH_USAGE" ("BANDWIDTH_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_SIZE_OFFSET_N1
--------------------------------------------------------

  CREATE INDEX "XYF_SIZE_OFFSET_N1" ON "XYF_SIZE_OFFSET" ("FILE_ID", "FILE_SIZE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_COMMENTS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_COMMENTS_N1" ON "XYF_COMMENTS" ("FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ACTION_LOG_N6
--------------------------------------------------------

  CREATE INDEX "XYF_ACTION_LOG_N6" ON "XYF_ACTION_LOG" ("FULL_PATH", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_URLS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_URLS_U1" ON "XYF_URLS" ("FULL_PATH", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_BNDWDTH_USG_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_BNDWDTH_USG_U2" ON "XYF_BANDWIDTH_USAGE" ("DIRECTORY", "DIRECTORY_VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_LOG_PARAMS_U1
--------------------------------------------------------

  CREATE INDEX "XYF_LOG_PARAMS_U1" ON "XYF_ACTION_LOG_PARAMS" ("ACTION_ID", "PARAM_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_CACHED_PRNS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_CACHED_PRNS_U1" ON "XYF_CACHED_PRINCIPALS" ("PRINCIPAL_ID", "ALT_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 131072 NEXT 2097152 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_DELETE_HIST_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_DELETE_HIST_U1" ON "XYF_DELETE_HISTORY" ("FILE_VERSION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_URLS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_URLS_U2" ON "XYF_URLS" ("FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ACTION_LOG_N4
--------------------------------------------------------

  CREATE INDEX "XYF_ACTION_LOG_N4" ON "XYF_ACTION_LOG" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PROPS_N2
--------------------------------------------------------

  CREATE INDEX "XYF_PROPS_N2" ON "XYF_PROPERTIES" ("PROPERTY_DEFINITION_ID", "NUMBER_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_BLOBS_N3
--------------------------------------------------------

  CREATE INDEX "XYF_BLOBS_N3" ON "XYF_BLOBS" ("BLOB_STATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROPS_N4
--------------------------------------------------------

  CREATE INDEX "XY_PROPS_N4" ON "XYF_PROPERTIES" ("PROPERTY_DEFINITION_ID", "BIG_DECIMAL_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_URLS_N2
--------------------------------------------------------

  CREATE INDEX "XYF_URLS_N2" ON "XYF_URLS" ("PARENT_ID", "VIRTUAL_SERVER", "FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_FILE_VERS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_FILE_VERS_U1" ON "XYF_FILE_VERSIONS" ("FILE_VERSION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_BLOBS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_BLOBS_N1" ON "XYF_BLOBS" ("DIGEST") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PROPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_PROPS_U1" ON "XYF_PROPERTIES" ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER", "PROPERTY_DEFINITION_ID", "VALUE_POSITION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PROPS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_PROPS_N1" ON "XYF_PROPERTIES" ("PROPERTY_DEFINITION_ID", "SHORT_STRING_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_LOGS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_LOGS_N1" ON "XYF_LOGS" ("FULL_PATH", "VIRTUAL_SERVER", "VERSION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 165 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ACTION_LOG_N1
--------------------------------------------------------

  CREATE INDEX "XYF_ACTION_LOG_N1" ON "XYF_ACTION_LOG" ("DISPLAY_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_FILE_LOCKS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_FILE_LOCKS_U1" ON "XYF_FILE_LOCKS" ("FILE_ID", "LOCK_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PLKUP_ALSS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_PLKUP_ALSS_U2" ON "XYF_PRINCIPAL_LOOKUP_ALIASES" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_SUBS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_SUBS_U1" ON "XYF_SUBSCRIPTIONS" ("SUBSCRIPTION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_DELETE_HIST_N2
--------------------------------------------------------

  CREATE INDEX "XYF_DELETE_HIST_N2" ON "XYF_DELETE_HISTORY" ("DELETION_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ACTION_LOG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_ACTION_LOG_U1" ON "XYF_ACTION_LOG" ("ACTION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_BLOBS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_BLOBS_U1" ON "XYF_BLOBS" ("BLOB_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_DELETE_HIST_N1
--------------------------------------------------------

  CREATE INDEX "XYF_DELETE_HIST_N1" ON "XYF_DELETE_HISTORY" ("BLOB_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_FILES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_FILES_U1" ON "XYF_FILES" ("FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_LOCKS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_LOCKS_N1" ON "XYF_LOCKS" ("EXPIRATION_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PLKUP_ALSS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_PLKUP_ALSS_U1" ON "XYF_PRINCIPAL_LOOKUP_ALIASES" ("INTERNAL_PRINCIPAL_ID", "PRINCIPAL_IMPL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_BLOBS_N2
--------------------------------------------------------

  CREATE INDEX "XYF_BLOBS_N2" ON "XYF_BLOBS" ("STORAGE_STATE", "STORAGE_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ACTION_LOG_N3
--------------------------------------------------------

  CREATE INDEX "XYF_ACTION_LOG_N3" ON "XYF_ACTION_LOG" ("ACTION_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_FILE_LOCKS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_FILE_LOCKS_N1" ON "XYF_FILE_LOCKS" ("LOCK_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PRIN_LKUPS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_PRIN_LKUPS_U2" ON "XYF_PRINCIPAL_LOOKUPS" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_IDX_PROPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_IDX_PROPS_U1" ON "XYF_INDEXED_PROPERTIES" ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_URLS_N3
--------------------------------------------------------

  CREATE INDEX "XYF_URLS_N3" ON "XYF_URLS" ("PARENT_ID", "FILE_ID", "FULL_PATH", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 164 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ENTRY_ACLS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_ENTRY_ACLS_U1" ON "XYF_ENTRY_ACLS" ("FILE_ID", "PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_LOGS_N3
--------------------------------------------------------

  CREATE INDEX "XYF_LOGS_N3" ON "XYF_LOGS" ("FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PRIN_LKUPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_PRIN_LKUPS_U1" ON "XYF_PRINCIPAL_LOOKUPS" ("INTERNAL_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ACTION_LOG_N2
--------------------------------------------------------

  CREATE INDEX "XYF_ACTION_LOG_N2" ON "XYF_ACTION_LOG" ("USER_ID", "USER_LOCATION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_FILES_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_FILES_U2" ON "XYF_FILES" ("ENTRY_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_COMMENTS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_COMMENTS_U1" ON "XYF_COMMENTS" ("COMMENT_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_LOGS_N2
--------------------------------------------------------

  CREATE INDEX "XYF_LOGS_N2" ON "XYF_LOGS" ("ACCESS_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_ACTION_LOG_N5
--------------------------------------------------------

  CREATE INDEX "XYF_ACTION_LOG_N5" ON "XYF_ACTION_LOG" ("ACTION_DATE", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_SIZE_O_COM_N1
--------------------------------------------------------

  CREATE INDEX "XYF_SIZE_O_COM_N1" ON "XYF_SIZE_OFFSET_COMMITTED" ("FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PROPS_N3
--------------------------------------------------------

  CREATE INDEX "XYF_PROPS_N3" ON "XYF_PROPERTIES" ("PROPERTY_DEFINITION_ID", "DATE_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_LOCKS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_LOCKS_U1" ON "XYF_LOCKS" ("LOCK_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_URLS_U3
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_URLS_U3" ON "XYF_URLS" ("PATH_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_URLS_N1
--------------------------------------------------------

  CREATE INDEX "XYF_URLS_N1" ON "XYF_URLS" ("PARENT_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_PROP_NSPACE_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_PROP_NSPACE_U1" ON "XYF_PROPERTY_NAMESPACES" ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "PROPERTY_DEFINITION_ID", "NAMESPACE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_SIZE_OFFSET_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_SIZE_OFFSET_U1" ON "XYF_SIZE_OFFSET" ("OFFSET_ID", "FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYTHOS_VERSION_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYTHOS_VERSION_U1" ON "XYTHOS_VERSION" ("INSTALLABLE_MOD") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XYF_SIZE_O_COM_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYF_SIZE_O_COM_U1" ON "XYF_SIZE_OFFSET_COMMITTED" ("OFFSET_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table XYF_SIZE_OFFSET_COMMITTED
--------------------------------------------------------

  ALTER TABLE "XYF_SIZE_OFFSET_COMMITTED" ADD CONSTRAINT "XYF_SIZE_O_COM_U1" PRIMARY KEY ("OFFSET_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_SIZE_OFFSET_COMMITTED" MODIFY ("FILE_SIZE" NOT NULL ENABLE);
  ALTER TABLE "XYF_SIZE_OFFSET_COMMITTED" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_SIZE_OFFSET_COMMITTED" MODIFY ("OFFSET_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_ENTRY_ACLS
--------------------------------------------------------

  ALTER TABLE "XYF_ENTRY_ACLS" ADD CONSTRAINT "XYF_ENTRY_ACLS_U1" PRIMARY KEY ("FILE_ID", "PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("CHILD_INHERIT_PERMISSION_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("CHILD_INHERIT_DELETE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("CHILD_INHERIT_WRITE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("CHILD_INHERIT_READ_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("PERMISSION_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("DELETE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("WRITE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("READ_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_ENTRY_ACLS" MODIFY ("FILE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_BLOBS
--------------------------------------------------------

  ALTER TABLE "XYF_BLOBS" MODIFY ("STORAGE_LOCATION" NOT NULL ENABLE);
  ALTER TABLE "XYF_BLOBS" MODIFY ("STORAGE_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_BLOBS" MODIFY ("STORAGE_STATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_BLOBS" MODIFY ("BLOB_SIZE" NOT NULL ENABLE);
  ALTER TABLE "XYF_BLOBS" MODIFY ("REF_COUNT" NOT NULL ENABLE);
  ALTER TABLE "XYF_BLOBS" MODIFY ("BLOB_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_BLOBS" ADD CONSTRAINT "XYF_BLOBS_U1" PRIMARY KEY ("BLOB_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
--------------------------------------------------------
--  Constraints for Table XYF_SIZE_OFFSET
--------------------------------------------------------

  ALTER TABLE "XYF_SIZE_OFFSET" ADD CONSTRAINT "XYF_SIZE_OFFSET_U1" PRIMARY KEY ("OFFSET_ID", "FILE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_SIZE_OFFSET" MODIFY ("FILE_SIZE" NOT NULL ENABLE);
  ALTER TABLE "XYF_SIZE_OFFSET" MODIFY ("USED_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_SIZE_OFFSET" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_SIZE_OFFSET" MODIFY ("REQ_TIME" NOT NULL ENABLE);
  ALTER TABLE "XYF_SIZE_OFFSET" MODIFY ("OFFSET_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_SUBSCRIPTIONS
--------------------------------------------------------

  ALTER TABLE "XYF_SUBSCRIPTIONS" ADD CONSTRAINT "XYF_SUBS_U1" PRIMARY KEY ("SUBSCRIPTION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_SUBSCRIPTIONS" MODIFY ("AGGREGATION_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XYF_SUBSCRIPTIONS" MODIFY ("DELIVERY_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XYF_SUBSCRIPTIONS" MODIFY ("EVENT_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XYF_SUBSCRIPTIONS" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_SUBSCRIPTIONS" MODIFY ("SUBSCRIBER" NOT NULL ENABLE);
  ALTER TABLE "XYF_SUBSCRIPTIONS" MODIFY ("SUBSCRIPTION_GROUP" NOT NULL ENABLE);
  ALTER TABLE "XYF_SUBSCRIPTIONS" MODIFY ("SUBSCRIPTION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYTHOS_VERSION
--------------------------------------------------------

  ALTER TABLE "XYTHOS_VERSION" ADD CONSTRAINT "XYTHOS_VERSION_U1" PRIMARY KEY ("INSTALLABLE_MOD")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("POST_UPGRADE_RUN" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("POST_ADD_RUN" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("VERSION3" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("VERSION2" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("VERSION1" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("INSTALLABLE_MOD" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_PRINCIPAL_LOOKUPS
--------------------------------------------------------

  ALTER TABLE "XYF_PRINCIPAL_LOOKUPS" ADD CONSTRAINT "XYF_PRIN_LKUPS_U1" PRIMARY KEY ("INTERNAL_PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_PRINCIPAL_LOOKUPS" MODIFY ("INTERNAL_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PRINCIPAL_LOOKUPS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_COMMENTS
--------------------------------------------------------

  ALTER TABLE "XYF_COMMENTS" ADD CONSTRAINT "XYF_COMMENTS_U1" PRIMARY KEY ("COMMENT_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_COMMENTS" MODIFY ("COMMENT_TEXT" NOT NULL ENABLE);
  ALTER TABLE "XYF_COMMENTS" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_COMMENTS" MODIFY ("AUTHOR_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_COMMENTS" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_COMMENTS" MODIFY ("COMMENT_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_URLS
--------------------------------------------------------

  ALTER TABLE "XYF_URLS" ADD CONSTRAINT "XYF_URLS_U1" PRIMARY KEY ("FULL_PATH", "VIRTUAL_SERVER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_URLS" MODIFY ("PATH_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_URLS" MODIFY ("FILE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XYF_URLS" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_URLS" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XYF_URLS" MODIFY ("FULL_PATH" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_INDEXED_PROPERTIES
--------------------------------------------------------

  ALTER TABLE "XYF_INDEXED_PROPERTIES" ADD CONSTRAINT "XYF_IDX_PROPS_U1" PRIMARY KEY ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_INDEXED_PROPERTIES" MODIFY ("VERSION_NUMBER" NOT NULL ENABLE);
  ALTER TABLE "XYF_INDEXED_PROPERTIES" MODIFY ("PROPERTY_OWNER_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_INDEXED_PROPERTIES" MODIFY ("PROPERTY_OWNER_TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_ACTION_LOG_PARAMS
--------------------------------------------------------

  ALTER TABLE "XYF_ACTION_LOG_PARAMS" MODIFY ("PARAM_VALUE" NOT NULL ENABLE);
  ALTER TABLE "XYF_ACTION_LOG_PARAMS" MODIFY ("PARAM_NAME" NOT NULL ENABLE);
  ALTER TABLE "XYF_ACTION_LOG_PARAMS" MODIFY ("ACTION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_PROPERTY_NAMESPACES
--------------------------------------------------------

  ALTER TABLE "XYF_PROPERTY_NAMESPACES" ADD CONSTRAINT "XYF_PROP_NSPACE_U1" PRIMARY KEY ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "PROPERTY_DEFINITION_ID", "NAMESPACE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_PROPERTY_NAMESPACES" MODIFY ("NAMESPACE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTY_NAMESPACES" MODIFY ("PROPERTY_DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTY_NAMESPACES" MODIFY ("PROPERTY_OWNER_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTY_NAMESPACES" MODIFY ("PROPERTY_OWNER_TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_LOGS
--------------------------------------------------------

  ALTER TABLE "XYF_LOGS" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("OWNER_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("FILE_SIZE" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("IP_ADDRESS" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("ACCESS_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("LOG_ACTION" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("ACCESSING_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("VERSION_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOGS" MODIFY ("FULL_PATH" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_ACTION_LOG
--------------------------------------------------------

  ALTER TABLE "XYF_ACTION_LOG" MODIFY ("ACTION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_ACTION_LOG" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_ACTION_LOG" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XYF_ACTION_LOG" MODIFY ("FULL_PATH" NOT NULL ENABLE);
  ALTER TABLE "XYF_ACTION_LOG" MODIFY ("ACTION_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XYF_ACTION_LOG" MODIFY ("ACTION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_FULL_TEXT_SEARCH_TEMP
--------------------------------------------------------

  ALTER TABLE "XYF_FULL_TEXT_SEARCH_TEMP" MODIFY ("FULL_PATH" NOT NULL ENABLE);
  ALTER TABLE "XYF_FULL_TEXT_SEARCH_TEMP" MODIFY ("SEARCH_SCORE" NOT NULL ENABLE);
  ALTER TABLE "XYF_FULL_TEXT_SEARCH_TEMP" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XYF_FULL_TEXT_SEARCH_TEMP" MODIFY ("QUERY_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_BANDWIDTH_USAGE
--------------------------------------------------------

  ALTER TABLE "XYF_BANDWIDTH_USAGE" ADD CONSTRAINT "XYF_BNDWDTH_USG_U1" PRIMARY KEY ("BANDWIDTH_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("BANDWIDTH_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("BANDWIDTH_QUOTA" NOT NULL ENABLE);
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("BYTES_TOTAL" NOT NULL ENABLE);
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("TOTAL_START" NOT NULL ENABLE);
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("BYTES_THIS_PERIOD" NOT NULL ENABLE);
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("PERIOD_START" NOT NULL ENABLE);
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("DIRECTORY_VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XYF_BANDWIDTH_USAGE" MODIFY ("DIRECTORY" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_PROPERTIES
--------------------------------------------------------

  ALTER TABLE "XYF_PROPERTIES" ADD CONSTRAINT "XYF_PROPS_U1" PRIMARY KEY ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER", "PROPERTY_DEFINITION_ID", "VALUE_POSITION")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_PROPERTIES" MODIFY ("IS_DERIVED" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTIES" MODIFY ("VALUE_POSITION" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTIES" MODIFY ("PROPERTY_DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTIES" MODIFY ("VERSION_NUMBER" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTIES" MODIFY ("PROPERTY_OWNER_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PROPERTIES" MODIFY ("PROPERTY_OWNER_TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_PRINCIPAL_LOOKUP_ALIASES
--------------------------------------------------------

  ALTER TABLE "XYF_PRINCIPAL_LOOKUP_ALIASES" ADD CONSTRAINT "XYF_PLKUP_ALSS_U1" PRIMARY KEY ("INTERNAL_PRINCIPAL_ID", "PRINCIPAL_IMPL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_PRINCIPAL_LOOKUP_ALIASES" MODIFY ("PRINCIPAL_IMPL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PRINCIPAL_LOOKUP_ALIASES" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_PRINCIPAL_LOOKUP_ALIASES" MODIFY ("INTERNAL_PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_DELETE_HISTORY
--------------------------------------------------------

  ALTER TABLE "XYF_DELETE_HISTORY" ADD CONSTRAINT "XYF_DELETE_HIST_U1" PRIMARY KEY ("FILE_VERSION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("DELETION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("DELETING_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("FILE_SIZE" NOT NULL ENABLE);
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("REVISION" NOT NULL ENABLE);
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("FULL_PATH" NOT NULL ENABLE);
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_DELETE_HISTORY" MODIFY ("FILE_VERSION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_CACHED_PRINCIPALS
--------------------------------------------------------

  ALTER TABLE "XYF_CACHED_PRINCIPALS" MODIFY ("ALT_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_CACHED_PRINCIPALS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYTHOS_DUAL
--------------------------------------------------------

  ALTER TABLE "XYTHOS_DUAL" MODIFY ("DUMMY" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_FILE_LOCKS
--------------------------------------------------------

  ALTER TABLE "XYF_FILE_LOCKS" ADD CONSTRAINT "XYF_FILE_LOCKS_U1" PRIMARY KEY ("FILE_ID", "LOCK_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_FILE_LOCKS" MODIFY ("LOCK_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILE_LOCKS" MODIFY ("FILE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_FILE_VERSIONS
--------------------------------------------------------

  ALTER TABLE "XYF_FILE_VERSIONS" ADD CONSTRAINT "XYF_FILE_VERS_U1" PRIMARY KEY ("FILE_VERSION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_FILE_VERSIONS" MODIFY ("VERSION" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILE_VERSIONS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILE_VERSIONS" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILE_VERSIONS" MODIFY ("FILE_VERSION_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILE_VERSIONS" MODIFY ("FILE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_LOCKS
--------------------------------------------------------

  ALTER TABLE "XYF_LOCKS" ADD CONSTRAINT "XYF_LOCKS_U1" PRIMARY KEY ("LOCK_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_LOCKS" MODIFY ("DEPTH" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOCKS" MODIFY ("EXPIRATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOCKS" MODIFY ("LOCK_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOCKS" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOCKS" MODIFY ("LOCK_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_LOCKS" MODIFY ("LOCK_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYF_FILES
--------------------------------------------------------

  ALTER TABLE "XYF_FILES" ADD CONSTRAINT "XYF_FILES_U1" PRIMARY KEY ("FILE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 1048576 NEXT 26214400 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYF_FILES" MODIFY ("ENTRY_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("FILE_SIZE" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("QUOTA_LOCKED" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("HAS_DEAD_PROPERTIES" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("HAS_LOCKS" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("LOGGING_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("OWNER_INHERIT_WRITE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("OWNER_INHERIT_DELETE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("OWNER_WRITE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("OWNER_DELETE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("REVISIONABLE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("FILE_TYPE_CODE" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("OWNER_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("FILE_ID" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("LAST_UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("LAST_UPDATE_DATE" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "XYF_FILES" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
