-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for job execution services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_hist_sched_occs (
  id varchar2(36) not null,
  name nvarchar2(255),
  uri nvarchar2(1280),
  jobName nvarchar2(255),  
  owner varchar2(32),
  runDate date,
  didRun number(1) default 0,  
  constraint pk_sas_hist_sched_occs primary key (id) using index tablespace users
) tablespace users;
		
create index idx_sas_hist_sched_occs_owner on sas_hist_sched_occs (owner) tablespace users;
create index idx_sas_hist_sched_occs_name on sas_hist_sched_occs (name) tablespace users;
create index idx_sas_hist_sched_occs_job on sas_hist_sched_occs (jobName) tablespace users;
create index idx_sas_hist_sched_occs_rundt on sas_hist_sched_occs (runDate) tablespace users;
