-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for job execution services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_job_submissions (
  id varchar2(36) not null,
  jobIdentifier varchar2(36),
  jobPath nvarchar2(1024),
  jobResourceUri nvarchar2(1280),
  jobName nvarchar2(255),
  jobDescription nvarchar2(256),
  jobVersion varchar2(16),
  jobOwner varchar2(32),
  runAsUser varchar2(32),
  runAsOwner number(1) default 0,
  jobRunContext varchar2(50),
  sessionId varchar2(36),
  state varchar2(50),
  numTasksCompleted number(13,0) default -1 not null,
  numTasks number(13,0) default -1 not null,
  submitted date,
  completed date,
  canceledBy varchar2(32),
  submittedBy varchar2(32),
  info varchar2(475),
  messageCode varchar2(256),
  workspaceId varchar2(36),
  sasSYSCC number(5),
  publishedRun number(1) default 0,
  manifestResourceUri nvarchar2(1280),
  constraint pk_sas_job_submissions primary key (id) using index tablespace users
) tablespace users;
		
create index idx_sas_job_submissions_jobid on sas_job_submissions(jobIdentifier) tablespace users;
