-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for registry services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_registry (
  id varchar2(36) not null,
  depth number(10) not null,
  path nvarchar2(1024) not null,
  constraint pk_sas_registry primary key (id) using index tablespace users
) tablespace users;

create index idx_registry_path on sas_registry(path) tablespace users;

create table sas_registry_properties (
  id varchar2(36) not null,
  name nvarchar2(64) not null,
  val nvarchar2(1024),
  constraint pk_sas_registry_properties primary key (id, name) using index tablespace users,
  constraint fk_sas_registry_properties foreign key (id) references sas_registry(id) on delete cascade
) tablespace users;
