-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for audit services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_audit (
  id varchar2(36) not null,
  stamp number(13) not null,
  userid varchar2(32) not null,
  action varchar2(128) not null,
  source_type varchar2(128) not null,
  source_id varchar2(255) not null,
  source_name nvarchar2(255),
  source_location nvarchar2(1024),  
  session_id varchar2(36) not null,
  correlation_id varchar2(36) not null,
  transaction_id varchar2(36),
  constraint pk_sas_audit primary key (id) using index tablespace users
) tablespace users;

create index idx_sas_audit_stamp on sas_audit (stamp) tablespace users;
create index idx_sas_audit_userid on sas_audit (userid) tablespace users;
create index idx_sas_audit_source_type on sas_audit (source_type) tablespace users;
create index idx_sas_audit_source_id on sas_audit (source_id) tablespace users;

create table sas_audit_details (
  audit_id varchar2(36) not null,
  detail_id number(6) not null,
  attribute_type varchar2(128),
  attribute_id varchar2(255),
  attribute nvarchar2(255) not null,
  old_value nvarchar2(1024),
  new_value nvarchar2(1024),
  constraint pk_sas_audit_details primary key (audit_id, detail_id) using index tablespace users,
  constraint fk_sas_audit_details_sas_audit foreign key (audit_id) references sas_audit(id) on delete cascade
) tablespace users;
