-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for electronic signature services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_signatures (
  id varchar2(36) not null,
  objectid varchar2(36) not null,
  version varchar2(11),
  userid varchar2(32) not null,
  srole nvarchar2(64) not null,
  reason nvarchar2(64) not null,
  stamp number(13) not null,
  scomment nvarchar2(256),
  signature varchar2(256) not null,
  constraint pk_sas_signatures primary key (id) using index tablespace users
) tablespace users;

create index idx_sas_signatures_uri on sas_signatures(objectid, version);
create index idx_sas_signatures_userid on sas_signatures(userid);
