-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for SAS session services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_sessions (
  id varchar2(36) not null,
  pid number(10) not null,
  application_id varchar2(256),
  sas_hostname varchar2(64) not null,
  sas_workdir varchar2(1024) not null,
  osuid varchar2(32) not null,
  start_date date,
  end_date date,
  stype varchar2(256),
  state varchar2(256),
  userid varchar2(32),
  cluster_id varchar2(32),
  submission_name nvarchar2(550),
  client_id number(10) not null,
  workspaceId varchar2(36),
  constraint pk_sas_sessions primary key (id) using index tablespace users,
  constraint uk_sas_sessions unique (osuid, client_id) using index tablespace users
) tablespace users;

create index idx_sas_sessions_userid on sas_sessions (userid) tablespace users;
