-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for subscription services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_subscriptions (
   id varchar2(36) not null,
   path nvarchar2(1024) not null,
   objectType varchar2(128) not null,
   principaltype varchar2(36) not null,
   principalidentifier varchar2(36) not null,
   eventclass varchar2(255) not null,
   includechildren number(1) default 0 not null,
   constraint pk_sas_subscriptions primary key (id) using index tablespace users
) tablespace users;

create index idx_sas_subscriptions_pp on sas_subscriptions(path, principaltype, principalidentifier) tablespace users;
create index idx_sas_subscriptions_pe on sas_subscriptions(path, eventclass) tablespace users;
