-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for attachment services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_task_history (
    id varchar2(36) not null,
    task_id varchar2(255) not null,
    task_name nvarchar2(255) not null,
    context_id varchar2(36) not null,
    workitem_id varchar2(36) not null,
    created number(13) not null,
    opened number(13),
    started number(13),
    completed number(13)not null,
    due_date number(13),
    priority varchar2(64),
    complexity varchar2(64),
    assignee varchar(36),
    assignee_type varchar2(128),
    status varchar(64),
    completed_by varchar(32) not null,
    comments varchar(256),
  constraint pk_sas_task_history primary key (id) using index tablespace users
) tablespace users;

create index idx_sas_task_history_witem on sas_task_history (workitem_id) tablespace users;
