-- ----------------------------------------------------------------------------
-- Product: SAS Drug Development
-- Database: Oracle
-- Description: DDL for workspace services
-- Copyright: 2011, SAS Institute Inc., Cary, NC
-- ----------------------------------------------------------------------------
-- $Id$
-- $DateTime$
-- $Change$
-- $Author$
-- ----------------------------------------------------------------------------

create table sas_workspaces (
  id varchar2(36) not null,
  revision number(10) default 1 not null,
  owner varchar2(32) not null,
  name nvarchar2(255) not null,
  description nvarchar2(1024),
  path nvarchar2(1024) not null,
  transient number(1) default 0 not null,
  readonly number(1) default 0 not null,
  constraint pk_sas_ws primary key (id) using index tablespace users
) tablespace users;

create index idx_sas_ws_path on sas_workspaces (path) tablespace users;
create index idx_sas_ws_owner_name on sas_workspaces (owner, name) tablespace users;
    
create table sas_workspace_entries (
  id varchar2(36) not null,
  workspace_id varchar2(36) not null,
  userid varchar2(32) not null,
  path nvarchar2(1024) not null,
  sync_date number(13),
  file_status varchar2(32) not null,
  sync_status varchar2(32) not null,
  checkout_status varchar2(32) not null,
  sync_version varchar2(11),
  sync_lastmodified number(13),
  sync_size number(19),
  constraint pk_sas_ws_entries primary key (id) using index tablespace users,
  constraint fk_sas_ws_entries foreign key (workspace_id) references sas_workspaces(id) on delete cascade
) tablespace users;

create index idx_sas_ws_entries_wid on sas_workspace_entries (workspace_id) tablespace users;
create index idx_sas_ws_entries_path_cos on sas_workspace_entries (path, checkout_status) tablespace users;
