--------------------------------------------------------
--  File created - Monday-April-30-2012   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Sequence HIBERNATE_SEQUENCE
--------------------------------------------------------

   CREATE SEQUENCE  "HIBERNATE_SEQUENCE"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table IDG_ADDRESS_BOOK_ENTRIES
--------------------------------------------------------

  CREATE TABLE "IDG_ADDRESS_BOOK_ENTRIES" 
   (	"PRINCIPAL_ID" NUMBER, 
	"ENTRY_PRINCIPAL_ID" NUMBER, 
	"ENTRY_TYPE" VARCHAR2(50 BYTE), 
	"CREATED_BY" NUMBER, 
	"CREATION_DATE" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table IDG_GLOBAL_GROUPS
--------------------------------------------------------

  CREATE TABLE "IDG_GLOBAL_GROUPS" 
   (	"PRINCIPAL_ID" NUMBER, 
	"GROUP_NAME" NVARCHAR2(200), 
	"VIRTUAL_SERVER" NUMBER, 
	"DESCRIPTION" NVARCHAR2(200), 
	"CREATED_BY" NUMBER, 
	"CREATION_DATE" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table IDG_GROUP_MEMBERS
--------------------------------------------------------

  CREATE TABLE "IDG_GROUP_MEMBERS" 
   (	"GROUP_PRINCIPAL_ID" NUMBER, 
	"MEMBER_PRINCIPAL_ID" NUMBER, 
	"CREATED_BY" NUMBER, 
	"CREATION_DATE" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table IDG_SESSIONS
--------------------------------------------------------

  CREATE TABLE "IDG_SESSIONS" 
   (	"SESSION_ID" NUMBER, 
	"PRINCIPAL_ID" NUMBER, 
	"LOGIN_DATE" DATE, 
	"KEY_VALUE" VARCHAR2(200 BYTE), 
	"EXPIRATION_DATE" DATE, 
	"GROUP_DIGEST" VARCHAR2(200 BYTE), 
	"TIMEOUT_DATE" NUMBER, 
	"PRINCIPAL_IMPL_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table IDG_USERS
--------------------------------------------------------

  CREATE TABLE "IDG_USERS" 
   (	"PRINCIPAL_ID" NUMBER, 
	"USERNAME" VARCHAR2(200 BYTE), 
	"USER_SERVER" NUMBER, 
	"CREATION_DATE" DATE, 
	"CREATED_BY" NUMBER, 
	"LAST_UPDATE_DATE" DATE, 
	"USER_AUTHENTICATION_TYPE" VARCHAR2(50 BYTE), 
	"USER_AUTHENTICATOR" RAW(2000), 
	"DISPLAY_NAME" NVARCHAR2(200), 
	"HOME_DIRECTORY" NVARCHAR2(2000), 
	"HOME_DIRECTORY_VIRTUAL_SERVER" NUMBER, 
	"DATE_TIME_FORMAT_MASK" NUMBER, 
	"TIMEZONE_ID" VARCHAR2(50 BYTE), 
	"LANGUAGE_CODE" VARCHAR2(50 BYTE), 
	"EMAIL" VARCHAR2(200 BYTE), 
	"TOKEN" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_BLOB_TRIGGERS
--------------------------------------------------------

  CREATE TABLE "QRTZ_BLOB_TRIGGERS" 
   (	"TRIGGER_NAME" VARCHAR2(80 BYTE), 
	"TRIGGER_GROUP" VARCHAR2(80 BYTE), 
	"BLOB_DATA" BLOB
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" 
 LOB ("BLOB_DATA") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING ) ;
--------------------------------------------------------
--  DDL for Table QRTZ_CALENDARS
--------------------------------------------------------

  CREATE TABLE "QRTZ_CALENDARS" 
   (	"CALENDAR_NAME" VARCHAR2(80 BYTE), 
	"CALENDAR" BLOB
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" 
 LOB ("CALENDAR") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING ) ;
--------------------------------------------------------
--  DDL for Table QRTZ_CRON_TRIGGERS
--------------------------------------------------------

  CREATE TABLE "QRTZ_CRON_TRIGGERS" 
   (	"TRIGGER_NAME" VARCHAR2(80 BYTE), 
	"TRIGGER_GROUP" VARCHAR2(80 BYTE), 
	"CRON_EXPRESSION" VARCHAR2(80 BYTE), 
	"TIME_ZONE_ID" VARCHAR2(80 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_FIRED_TRIGGERS
--------------------------------------------------------

  CREATE TABLE "QRTZ_FIRED_TRIGGERS" 
   (	"ENTRY_ID" VARCHAR2(200 BYTE), 
	"TRIGGER_NAME" VARCHAR2(80 BYTE), 
	"TRIGGER_GROUP" VARCHAR2(80 BYTE), 
	"IS_VOLATILE" NUMBER(1,0), 
	"INSTANCE_NAME" VARCHAR2(80 BYTE), 
	"FIRED_TIME" NUMBER, 
	"STATE" VARCHAR2(50 BYTE), 
	"JOB_NAME" VARCHAR2(80 BYTE), 
	"JOB_GROUP" VARCHAR2(80 BYTE), 
	"IS_STATEFUL" NUMBER(1,0), 
	"REQUESTS_RECOVERY" NUMBER(1,0)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_JOB_DETAILS
--------------------------------------------------------

  CREATE TABLE "QRTZ_JOB_DETAILS" 
   (	"JOB_NAME" VARCHAR2(80 BYTE), 
	"JOB_GROUP" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(200 BYTE), 
	"JOB_CLASS_NAME" VARCHAR2(200 BYTE), 
	"IS_DURABLE" NUMBER(1,0), 
	"IS_VOLATILE" NUMBER(1,0), 
	"IS_STATEFUL" NUMBER(1,0), 
	"REQUESTS_RECOVERY" NUMBER(1,0), 
	"JOB_DATA" BLOB
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" 
 LOB ("JOB_DATA") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING ) ;
--------------------------------------------------------
--  DDL for Table QRTZ_JOB_LISTENERS
--------------------------------------------------------

  CREATE TABLE "QRTZ_JOB_LISTENERS" 
   (	"JOB_NAME" VARCHAR2(80 BYTE), 
	"JOB_GROUP" VARCHAR2(80 BYTE), 
	"JOB_LISTENER" VARCHAR2(80 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_LOCKS
--------------------------------------------------------

  CREATE TABLE "QRTZ_LOCKS" 
   (	"LOCK_NAME" VARCHAR2(80 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_PAUSED_TRIGGER_GRPS
--------------------------------------------------------

  CREATE TABLE "QRTZ_PAUSED_TRIGGER_GRPS" 
   (	"TRIGGER_GROUP" VARCHAR2(80 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_SCHEDULER_STATE
--------------------------------------------------------

  CREATE TABLE "QRTZ_SCHEDULER_STATE" 
   (	"INSTANCE_NAME" VARCHAR2(80 BYTE), 
	"LAST_CHECKIN_TIME" NUMBER, 
	"CHECKIN_INTERVAL" NUMBER, 
	"RECOVERER" VARCHAR2(80 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_SIMPLE_TRIGGERS
--------------------------------------------------------

  CREATE TABLE "QRTZ_SIMPLE_TRIGGERS" 
   (	"TRIGGER_NAME" VARCHAR2(80 BYTE), 
	"TRIGGER_GROUP" VARCHAR2(80 BYTE), 
	"REPEAT_COUNT" NUMBER, 
	"REPEAT_INTERVAL" NUMBER, 
	"TIMES_TRIGGERED" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_TRIGGERS
--------------------------------------------------------

  CREATE TABLE "QRTZ_TRIGGERS" 
   (	"TRIGGER_NAME" VARCHAR2(80 BYTE), 
	"TRIGGER_GROUP" VARCHAR2(80 BYTE), 
	"JOB_NAME" VARCHAR2(80 BYTE), 
	"JOB_GROUP" VARCHAR2(80 BYTE), 
	"IS_VOLATILE" NUMBER(1,0), 
	"DESCRIPTION" VARCHAR2(200 BYTE), 
	"NEXT_FIRE_TIME" NUMBER, 
	"PREV_FIRE_TIME" NUMBER, 
	"TRIGGER_STATE" VARCHAR2(50 BYTE), 
	"TRIGGER_TYPE" VARCHAR2(50 BYTE), 
	"START_TIME" NUMBER, 
	"END_TIME" NUMBER, 
	"CALENDAR_NAME" VARCHAR2(80 BYTE), 
	"MISFIRE_INSTR" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table QRTZ_TRIGGER_LISTENERS
--------------------------------------------------------

  CREATE TABLE "QRTZ_TRIGGER_LISTENERS" 
   (	"TRIGGER_NAME" VARCHAR2(80 BYTE), 
	"TRIGGER_GROUP" VARCHAR2(80 BYTE), 
	"TRIGGER_LISTENER" VARCHAR2(80 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_DEFINITION
--------------------------------------------------------

  CREATE TABLE "XWFN_DEFINITION" 
   (	"ID" NUMBER, 
	"NAME" VARCHAR2(255 BYTE), 
	"EXTERNAL_ID" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_DEFINITION_XML
--------------------------------------------------------

  CREATE TABLE "XWFN_DEFINITION_XML" 
   (	"ID" VARCHAR2(255 BYTE), 
	"MD5HASH" VARCHAR2(255 BYTE), 
	"MULT_VAR_ID" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_DEF_NODE
--------------------------------------------------------

  CREATE TABLE "XWFN_DEF_NODE" 
   (	"ID" NUMBER, 
	"NAME" VARCHAR2(255 BYTE), 
	"DEFINITION_ID" NUMBER, 
	"TYPE" NUMBER, 
	"ACTVAR" VARCHAR2(255 BYTE), 
	"ACTCLASS" VARCHAR2(255 BYTE), 
	"ACTARGUMENT" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_EXEC_POINTER
--------------------------------------------------------

  CREATE TABLE "XWFN_EXEC_POINTER" 
   (	"ID" VARCHAR2(255 BYTE), 
	"PROCESS_ID" VARCHAR2(255 BYTE), 
	"NODE_NAME" VARCHAR2(255 BYTE), 
	"STATUS" NUMBER, 
	"PARENT_ID" VARCHAR2(255 BYTE), 
	"TRANSITION" VARCHAR2(255 BYTE), 
	"EXEC_USER" NUMBER, 
	"DEFINITION_ID" VARCHAR2(255 BYTE), 
	"STATUS_CHANGED" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_LOCKS
--------------------------------------------------------

  CREATE TABLE "XWFN_LOCKS" 
   (	"NAME" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_MULT_VAL
--------------------------------------------------------

  CREATE TABLE "XWFN_MULT_VAL" 
   (	"VARIABLE_ID" VARCHAR2(255 BYTE), 
	"STR_VALUE" NVARCHAR2(2000), 
	"SEQUENCE_NR" NUMBER, 
	"CREATED" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_NAME
--------------------------------------------------------

  CREATE TABLE "XWFN_NAME" 
   (	"ID" NUMBER, 
	"NAME" NVARCHAR2(255)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_NODE
--------------------------------------------------------

  CREATE TABLE "XWFN_NODE" 
   (	"ID" NUMBER, 
	"NAME_ID" NUMBER, 
	"DEFINITION_ID" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_PROCESS
--------------------------------------------------------

  CREATE TABLE "XWFN_PROCESS" 
   (	"ID" VARCHAR2(255 BYTE), 
	"DEFINITION_ID" VARCHAR2(255 BYTE), 
	"STATUS" NUMBER, 
	"START_DATE" NUMBER, 
	"END_DATE" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_TASK
--------------------------------------------------------

  CREATE TABLE "XWFN_TASK" 
   (	"ID" VARCHAR2(255 BYTE), 
	"PROCESS_ID" VARCHAR2(255 BYTE), 
	"NODE_NAME" VARCHAR2(255 BYTE), 
	"STATUS" NUMBER, 
	"ACTOR" NUMBER, 
	"ACTOR_TYPE" NUMBER, 
	"START_DATE" NUMBER, 
	"END_DATE" NUMBER, 
	"START_TAG" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_TIMER
--------------------------------------------------------

  CREATE TABLE "XWFN_TIMER" 
   (	"ID" VARCHAR2(255 BYTE), 
	"TASK_ID" VARCHAR2(255 BYTE), 
	"FLOW_ID" VARCHAR2(255 BYTE), 
	"TIMER_NAME" VARCHAR2(255 BYTE), 
	"DEFINITION_ID" VARCHAR2(255 BYTE), 
	"TRIGGER_TIME" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_TIMER_DEF
--------------------------------------------------------

  CREATE TABLE "XWFN_TIMER_DEF" 
   (	"ID" NUMBER, 
	"NAME" VARCHAR2(255 BYTE), 
	"TYPE" NUMBER, 
	"NODE_ID" NUMBER, 
	"DEFINITION_ID" NUMBER, 
	"EXEC_USER" VARCHAR2(255 BYTE), 
	"TRANSITION_ID" NUMBER, 
	"TIME_VALUE" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_TRANSITION
--------------------------------------------------------

  CREATE TABLE "XWFN_TRANSITION" 
   (	"ID" NUMBER, 
	"NAME" VARCHAR2(255 BYTE), 
	"DEFINITION_ID" NUMBER, 
	"FROM_NODE_ID" NUMBER, 
	"TO_NODE_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_VARIABLE
--------------------------------------------------------

  CREATE TABLE "XWFN_VARIABLE" 
   (	"ID" VARCHAR2(255 BYTE), 
	"PROCESS_ID" VARCHAR2(255 BYTE), 
	"TASK_ID" VARCHAR2(255 BYTE), 
	"NAME" VARCHAR2(255 BYTE), 
	"VAR_TYPE" VARCHAR2(255 BYTE), 
	"CUSTOM_TYPE" VARCHAR2(255 BYTE), 
	"IS_INTERNAL" NUMBER, 
	"STR_VALUE" NVARCHAR2(255), 
	"INT_VALUE" NUMBER, 
	"ALIAS" VARCHAR2(255 BYTE), 
	"IS_LOCAL" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWFN_VARIABLE_DEF
--------------------------------------------------------

  CREATE TABLE "XWFN_VARIABLE_DEF" 
   (	"ID" NUMBER, 
	"NAME" VARCHAR2(255 BYTE), 
	"DEFINITION_ID" NUMBER, 
	"TYPE" NUMBER, 
	"VAL" NVARCHAR2(2000), 
	"VAL2" NVARCHAR2(255)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_ACLS
--------------------------------------------------------

  CREATE TABLE "XWF_ACLS" 
   (	"TEMPLATE_ID" NVARCHAR2(200), 
	"PRINCIPAL_ID" NUMBER, 
	"PUBLISHED_PRIV" VARCHAR2(1 BYTE), 
	"ADMIN_PRIV" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_AUTHTOKENS
--------------------------------------------------------

  CREATE TABLE "XWF_AUTHTOKENS" 
   (	"TOKEN" VARCHAR2(255 BYTE), 
	"USERNAME" VARCHAR2(255 BYTE), 
	"STARTTIME" NUMBER, 
	"ENDTIME" NUMBER, 
	"ISSYSTEM" NUMBER(1,0), 
	"SERIALSUBJECT" LONG RAW
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_CONDITIONAL_CHANGE
--------------------------------------------------------

  CREATE TABLE "XWF_CONDITIONAL_CHANGE" 
   (	"REALID" NUMBER, 
	"PRECONDITION" NUMBER(1,0), 
	"CONDITIONTYPE" NUMBER, 
	"CHANGETYPE" NUMBER, 
	"PROCESS" NUMBER, 
	"PARENT" NUMBER, 
	"CONDITIONTARGETPROCESS" NUMBER, 
	"CONDITIONTARGETSTATE" NUMBER, 
	"CONDITIONTARGETSTATUS" NUMBER, 
	"CHANGESTATUS" NUMBER, 
	"CHANGESTATE" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_DATA_LOOKUP
--------------------------------------------------------

  CREATE TABLE "XWF_DATA_LOOKUP" 
   (	"FLOW_ID" VARCHAR2(255 BYTE), 
	"FILE_ID" VARCHAR2(200 BYTE), 
	"FLOW_NAME" NVARCHAR2(255), 
	"TEMPLATE_ID" VARCHAR2(255 BYTE), 
	"PROCESS_OWNER" NVARCHAR2(300), 
	"TEMPLATE_OWNER" NVARCHAR2(300), 
	"PARTICIPANT" NVARCHAR2(300), 
	"START_DATE" NUMBER, 
	"IS_LATE" NUMBER, 
	"RUNNING" NUMBER, 
	"IS_PARAM" NUMBER, 
	"DUE_DATE" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_DOCFLOW_TEMPLATE_DATA
--------------------------------------------------------

  CREATE TABLE "XWF_DOCFLOW_TEMPLATE_DATA" 
   (	"TEMPLATE_ID" NVARCHAR2(200), 
	"TEMPLATE_DATA" NVARCHAR2(2000), 
	"TEMPLATE_ORDER" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_DOCFLOW_TEMPLATE_HEADER
--------------------------------------------------------

  CREATE TABLE "XWF_DOCFLOW_TEMPLATE_HEADER" 
   (	"TEMPLATE_ID" VARCHAR2(255 BYTE), 
	"LABEL" NVARCHAR2(255), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"OWNER" NUMBER, 
	"LAST_MODIFIED" DATE, 
	"MODIFIED_BY" NUMBER, 
	"SHIPPED_BY_XYTHOS" NUMBER(1,0)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_FLOW_LOCKS
--------------------------------------------------------

  CREATE TABLE "XWF_FLOW_LOCKS" 
   (	"FLOW_ID" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_OPERAND
--------------------------------------------------------

  CREATE TABLE "XWF_OPERAND" 
   (	"REALID" NUMBER, 
	"PROCESS" NUMBER, 
	"ISROOT" NUMBER(1,0), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"SCOPE" NUMBER(1,0), 
	"INDEXVALUE" NVARCHAR2(2000), 
	"REACTOROBJECTID" VARCHAR2(255 BYTE), 
	"LABEL" NVARCHAR2(255), 
	"LARGEVALUE3" CLOB
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" 
 LOB ("LARGEVALUE3") STORE AS BASICFILE (
  TABLESPACE "USERS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING ) ;
--------------------------------------------------------
--  DDL for Table XWF_OPERAND_ATTRIBUTES
--------------------------------------------------------

  CREATE TABLE "XWF_OPERAND_ATTRIBUTES" 
   (	"OPERAND" NUMBER, 
	"NAME" NVARCHAR2(255), 
	"ATTRIBUTE_VALUE" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_PARENT_LOOKUP
--------------------------------------------------------

  CREATE TABLE "XWF_PARENT_LOOKUP" 
   (	"PROCESS_ID" VARCHAR2(255 BYTE), 
	"TASK_ID" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_POLICY
--------------------------------------------------------

  CREATE TABLE "XWF_POLICY" 
   (	"REALID" NUMBER, 
	"PROCESS" NUMBER, 
	"ISROOT" NUMBER(1,0), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"EVENTSOURCE" VARCHAR2(255 BYTE), 
	"EVENTNAME" VARCHAR2(255 BYTE), 
	"POLICY_LANGUAGE" VARCHAR2(255 BYTE), 
	"SECURITYPOLICY" VARCHAR2(2000 BYTE), 
	"SOURCECODE" NVARCHAR2(2000), 
	"SOURCECODETYPE" NUMBER, 
	"REACTOROBJECTID" VARCHAR2(255 BYTE), 
	"LABEL" NVARCHAR2(255)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_POLICY_ATTRIBUTES
--------------------------------------------------------

  CREATE TABLE "XWF_POLICY_ATTRIBUTES" 
   (	"POLICY" NUMBER, 
	"NAME" NVARCHAR2(255), 
	"ATTRIBUTE_VALUE" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_PROCESS
--------------------------------------------------------

  CREATE TABLE "XWF_PROCESS" 
   (	"REALID" NUMBER, 
	"ISDELETED" NUMBER(1,0), 
	"STATE" NUMBER, 
	"PARENT" NUMBER, 
	"DEFINITION" NUMBER, 
	"ROOTPROCESS" NUMBER, 
	"ISROOT" NUMBER(1,0), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"ISDEFINITION" NUMBER(1,0), 
	"STARTDATE" VARCHAR2(255 BYTE), 
	"ENDDATE" VARCHAR2(255 BYTE), 
	"ACCESSTAG" NUMBER, 
	"REACTOROBJECTID" VARCHAR2(255 BYTE), 
	"LABEL" NVARCHAR2(255)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_PROCESS_ACE
--------------------------------------------------------

  CREATE TABLE "XWF_PROCESS_ACE" 
   (	"REALID" NUMBER, 
	"ASSIGNEE" NUMBER, 
	"ACE_TYPE" NUMBER, 
	"NAME" NVARCHAR2(255), 
	"ACE_ROLE" NVARCHAR2(255)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_PROCESS_ATTRIBUTES
--------------------------------------------------------

  CREATE TABLE "XWF_PROCESS_ATTRIBUTES" 
   (	"PROCESS" NUMBER, 
	"NAME" NVARCHAR2(255), 
	"ATTRIBUTE_VALUE" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_PROCESS_CURRENTSTATUS
--------------------------------------------------------

  CREATE TABLE "XWF_PROCESS_CURRENTSTATUS" 
   (	"PROCESS" NUMBER, 
	"STATUS" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_REACTOR_EVENT
--------------------------------------------------------

  CREATE TABLE "XWF_REACTOR_EVENT" 
   (	"REALID" NUMBER, 
	"NAME" NVARCHAR2(255), 
	"SOURCE" VARCHAR2(255 BYTE), 
	"SCOPENODEID" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_STATUS
--------------------------------------------------------

  CREATE TABLE "XWF_STATUS" 
   (	"REALID" NUMBER, 
	"PROCESS" NUMBER, 
	"ISROOT" NUMBER(1,0), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"SCOPE" NUMBER(1,0), 
	"REACTOROBJECTID" VARCHAR2(255 BYTE), 
	"LABEL" NVARCHAR2(255)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 5242880 NEXT 104857600 MAXEXTENTS 150
  FREELISTS 4)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_STATUS_ATTRIBUTES
--------------------------------------------------------

  CREATE TABLE "XWF_STATUS_ATTRIBUTES" 
   (	"STATUS" NUMBER, 
	"NAME" NVARCHAR2(255), 
	"ATTRIBUTE_VALUE" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_TIMERS
--------------------------------------------------------

  CREATE TABLE "XWF_TIMERS" 
   (	"TIMER_NAME" VARCHAR2(255 BYTE), 
	"FLOW_ID" VARCHAR2(255 BYTE), 
	"TASK_ID" VARCHAR2(255 BYTE), 
	"TRIGGER_TIME" NUMBER, 
	"TIMER_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XWF_TIMER_SPEC
--------------------------------------------------------

  CREATE TABLE "XWF_TIMER_SPEC" 
   (	"REALID" NUMBER, 
	"PROCESS" NUMBER, 
	"SCHEDULEDATE" DATE, 
	"SCHEDULEEXPRESSION" VARCHAR2(255 BYTE), 
	"REPEATEXPRESSION" VARCHAR2(255 BYTE), 
	"REPEATCOUNT" NUMBER, 
	"ENDDATE" DATE, 
	"ENDEXPRESSION" VARCHAR2(255 BYTE), 
	"CALENDAR" NVARCHAR2(255), 
	"DESCRIPTION" NVARCHAR2(255), 
	"EVENT" NUMBER, 
	"STARTEDTIMERID" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYTHOS_DUAL
--------------------------------------------------------

  CREATE TABLE "XYTHOS_DUAL" 
   (	"DUMMY" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XYTHOS_VERSION
--------------------------------------------------------

  CREATE TABLE "XYTHOS_VERSION" 
   (	"INSTALLABLE_MOD" VARCHAR2(200 BYTE), 
	"VERSION1" NUMBER, 
	"VERSION2" NUMBER, 
	"VERSION3" NUMBER, 
	"POST_ADD_RUN" VARCHAR2(1 BYTE), 
	"POST_UPGRADE_RUN" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ABILITIES
--------------------------------------------------------

  CREATE TABLE "XY_ABILITIES" 
   (	"ABILITY_ID" NUMBER, 
	"ABILITY_NAME" NVARCHAR2(2000), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"UNIQUE_KEY" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ABILITY_DEPENDS
--------------------------------------------------------

  CREATE TABLE "XY_ABILITY_DEPENDS" 
   (	"ABILITY_ID" NUMBER, 
	"DEPENDS_ON_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ACL_CFG
--------------------------------------------------------

  CREATE TABLE "XY_ACL_CFG" 
   (	"PRINCIPAL_ID" NUMBER, 
	"DIR_CFG_ID" NUMBER, 
	"READ_FLAG" VARCHAR2(1 BYTE), 
	"WRITE_FLAG" VARCHAR2(1 BYTE), 
	"DELETE_FLAG" VARCHAR2(1 BYTE), 
	"PERMISSION_FLAG" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_READ" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_WRITE" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_DELETE" VARCHAR2(1 BYTE), 
	"CHILD_INHERIT_PERMISSION" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ACL_TEMPLATES
--------------------------------------------------------

  CREATE TABLE "XY_ACL_TEMPLATES" 
   (	"TEMPLATE_ID" NUMBER, 
	"TEMPLATE_NAME" NVARCHAR2(2000), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ACTION_LOG
--------------------------------------------------------

  CREATE TABLE "XY_ACTION_LOG" 
   (	"ACTION_ID" NUMBER, 
	"ACTION_TYPE" VARCHAR2(50 BYTE), 
	"VIRTUAL_SERVER" NUMBER, 
	"PRINCIPAL_ID" NUMBER, 
	"USER_ID" VARCHAR2(200 BYTE), 
	"USER_LOCATION" VARCHAR2(200 BYTE), 
	"DISPLAY_NAME" NVARCHAR2(200), 
	"ACTION_DATE" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ACTION_LOG_PARAMS
--------------------------------------------------------

  CREATE TABLE "XY_ACTION_LOG_PARAMS" 
   (	"ACTION_ID" NUMBER, 
	"PARAM_NAME" NVARCHAR2(50), 
	"PARAM_VALUE" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_CACHED_PRINCIPALS
--------------------------------------------------------

  CREATE TABLE "XY_CACHED_PRINCIPALS" 
   (	"PRINCIPAL_ID" NUMBER, 
	"ALT_PRINCIPAL_ID" NUMBER, 
	"DIGEST" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_CRIT_ERROR
--------------------------------------------------------

  CREATE TABLE "XY_CRIT_ERROR" 
   (	"ERROR_TYPE" NUMBER, 
	"LAST_REPORTED" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_DIR_CFG
--------------------------------------------------------

  CREATE TABLE "XY_DIR_CFG" 
   (	"DIR_CFG_ID" NUMBER, 
	"NAME" NVARCHAR2(200), 
	"ROOT_FLAG" VARCHAR2(1 BYTE), 
	"PARENT_DIR_ID" NUMBER, 
	"TRASH_PATH" NVARCHAR2(200), 
	"QUOTA" NUMBER, 
	"BANDWIDTH_QUOTA" NUMBER, 
	"OWNER" NUMBER, 
	"DEFAULT_VERSIONING" VARCHAR2(1 BYTE), 
	"FORCED_VERSIONING" VARCHAR2(1 BYTE), 
	"DEFAULT_LOGGING" VARCHAR2(1 BYTE), 
	"FORCED_LOGGING" VARCHAR2(1 BYTE), 
	"QUOTA_LOCKED" VARCHAR2(1 BYTE), 
	"TEMPLATE_NAME" NVARCHAR2(200)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_DOCUMENT_CLASSES
--------------------------------------------------------

  CREATE TABLE "XY_DOCUMENT_CLASSES" 
   (	"CLASS_ID" NUMBER, 
	"CLASS_NAME" NVARCHAR2(2000), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"PROTECTED_FLAG" VARCHAR2(1 BYTE), 
	"RETENTION_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_DOC_CLASS_PROPERTIES
--------------------------------------------------------

  CREATE TABLE "XY_DOC_CLASS_PROPERTIES" 
   (	"DOC_CLASS_ID" NUMBER, 
	"PROPERTY_DEFINITION_ID" NUMBER, 
	"POSITION_NUMBER" NUMBER, 
	"MANDATORY_FLAG" VARCHAR2(1 BYTE), 
	"DELETEABLE_FLAG" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_EXPIRED_ENTRIES
--------------------------------------------------------

  CREATE TABLE "XY_EXPIRED_ENTRIES" 
   (	"REPORT_ID" NUMBER, 
	"PATH_NAME" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"STATUS_CODE" NUMBER, 
	"STATUS_MESSAGE" NVARCHAR2(2000), 
	"REPORT_DATE" DATE
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_FILE_SYSTEMS
--------------------------------------------------------

  CREATE TABLE "XY_FILE_SYSTEMS" 
   (	"NAME" VARCHAR2(50 BYTE), 
	"FILE_SYSTEM_TYPE" VARCHAR2(50 BYTE), 
	"DB_USERNAME" VARCHAR2(200 BYTE), 
	"DB_PASSWORD" VARCHAR2(200 BYTE), 
	"DATABASE_TYPE" VARCHAR2(50 BYTE), 
	"JDBC_DRIVER_CLASS_NAME" VARCHAR2(200 BYTE), 
	"JDBC_CONNECTION_URL" VARCHAR2(2000 BYTE), 
	"CONNECTION_EXPIRATION_MINUTES" NUMBER, 
	"MAX_CONNECTIONS" NUMBER, 
	"MIN_CONNECTIONS" NUMBER, 
	"CONNECTION_DEAD_SECONDS" NUMBER, 
	"STORAGE_LOCATION" NUMBER, 
	"TEMPORARY_STORAGE_LOCATION" NUMBER, 
	"TEMPORARY_DELETE_DAYS" NUMBER, 
	"SYSTEM_DELETE_AUDIT_DAYS" NUMBER, 
	"DISPLAY_NAME" NVARCHAR2(200), 
	"FILTER_CLASS" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_INDEXED_PROPERTIES
--------------------------------------------------------

  CREATE TABLE "XY_INDEXED_PROPERTIES" 
   (	"PROPERTY_OWNER_TYPE" NUMBER, 
	"PROPERTY_OWNER_ID" NUMBER, 
	"VERSION_NUMBER" NUMBER, 
	"STRING1" NVARCHAR2(2000), 
	"STRING2" NVARCHAR2(2000), 
	"STRING3" NVARCHAR2(2000), 
	"STRING4" NVARCHAR2(2000), 
	"STRING5" NVARCHAR2(2000), 
	"LONG1" NUMBER, 
	"LONG2" NUMBER, 
	"LONG3" NUMBER, 
	"LONG4" NUMBER, 
	"LONG5" NUMBER, 
	"TIMESTAMP1" DATE, 
	"TIMESTAMP2" DATE, 
	"TIMESTAMP3" DATE, 
	"TIMESTAMP4" DATE, 
	"TIMESTAMP5" DATE, 
	"DISPLAY1" NVARCHAR2(2000), 
	"DISPLAY2" NVARCHAR2(2000), 
	"DISPLAY3" NVARCHAR2(2000), 
	"DISPLAY4" NVARCHAR2(2000), 
	"DISPLAY5" NVARCHAR2(2000), 
	"BIG_DECIMAL1" NUMBER, 
	"BIG_DECIMAL2" NUMBER, 
	"BIG_DECIMAL3" NUMBER, 
	"BIG_DECIMAL4" NUMBER, 
	"BIG_DECIMAL5" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_LANGUAGES
--------------------------------------------------------

  CREATE TABLE "XY_LANGUAGES" 
   (	"LANGUAGE_CODE" VARCHAR2(50 BYTE), 
	"CREATION_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_LDAP_DOMAINS
--------------------------------------------------------

  CREATE TABLE "XY_LDAP_DOMAINS" 
   (	"DOMAIN_NAME" NVARCHAR2(200), 
	"DOMAIN_DESC" NVARCHAR2(200), 
	"DN" VARCHAR2(200 BYTE), 
	"DN_TYPE_FLAG" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_LDAP_SERVERS
--------------------------------------------------------

  CREATE TABLE "XY_LDAP_SERVERS" 
   (	"ID" NUMBER, 
	"SERVER" VARCHAR2(200 BYTE), 
	"PORT" NUMBER, 
	"SSL_ENABLED_FLAG" VARCHAR2(1 BYTE), 
	"SEQUENCE_NUMBER" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_LDAP_USER_TEMPLATES
--------------------------------------------------------

  CREATE TABLE "XY_LDAP_USER_TEMPLATES" 
   (	"ID" NUMBER, 
	"LDAP_VALUE" VARCHAR2(200 BYTE), 
	"TEMPLATE_NAME" VARCHAR2(200 BYTE), 
	"SEQUENCE_NUMBER" NUMBER, 
	"MAPPING_TYPE" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_MANAGER
--------------------------------------------------------

  CREATE TABLE "XY_MANAGER" 
   (	"LICENSE_KEY" VARCHAR2(2000 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_NAMESPACES
--------------------------------------------------------

  CREATE TABLE "XY_NAMESPACES" 
   (	"NAMESPACE_ID" NUMBER, 
	"NAMESPACE_NAME" NVARCHAR2(2000)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_NETWORK_ADDRESS_ALIASES
--------------------------------------------------------

  CREATE TABLE "XY_NETWORK_ADDRESS_ALIASES" 
   (	"PROTOCOL" NUMBER, 
	"HOST" VARCHAR2(200 BYTE), 
	"PORT" NUMBER, 
	"VIRTUAL_SERVER_ID" NUMBER, 
	"PRIMARY_FLAG" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_NONCES
--------------------------------------------------------

  CREATE TABLE "XY_NONCES" 
   (	"NONCE" VARCHAR2(50 BYTE), 
	"IPADDRESS" VARCHAR2(50 BYTE), 
	"NONCE_TIME" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_NOTIFICATIONS
--------------------------------------------------------

  CREATE TABLE "XY_NOTIFICATIONS" 
   (	"NOTIFICATION_ID" NUMBER, 
	"EVENT_DATE" DATE, 
	"SUBSCRIBER_PRINCIPAL_ID" NUMBER, 
	"SUBSCRIBER_DISPLAY_NAME" NVARCHAR2(200), 
	"SUBSCRIBER_LANGUAGE_CODE" VARCHAR2(50 BYTE), 
	"VIRTUAL_SERVER" NUMBER, 
	"FULL_PATH" NVARCHAR2(2000), 
	"EVENT_TYPE" VARCHAR2(50 BYTE), 
	"DELIVERY_TYPE" VARCHAR2(50 BYTE), 
	"DELIVERY_URL" NVARCHAR2(2000), 
	"AGGREGATION_TYPE" VARCHAR2(50 BYTE), 
	"STATE" VARCHAR2(50 BYTE), 
	"FAILURES" NUMBER, 
	"USER_DISPLAY_NAME" NVARCHAR2(200), 
	"DETAILS_ARG0" NVARCHAR2(2000), 
	"DETAILS_ARG1" NVARCHAR2(200), 
	"DETAILS_ARG2" NVARCHAR2(200), 
	"DETAILS_ARG3" NVARCHAR2(200), 
	"PREVIOUS_ATTEMPT" DATE, 
	"NOTIFICATION_DATE" DATE, 
	"BEING_HELD_BY" NUMBER, 
	"MODULE_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PRINCIPAL_LOOKUPS
--------------------------------------------------------

  CREATE TABLE "XY_PRINCIPAL_LOOKUPS" 
   (	"PRINCIPAL_ID" NVARCHAR2(300), 
	"INTERNAL_PRINCIPAL_ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PRINCIPAL_LOOKUP_ALIASES
--------------------------------------------------------

  CREATE TABLE "XY_PRINCIPAL_LOOKUP_ALIASES" 
   (	"INTERNAL_PRINCIPAL_ID" NUMBER, 
	"PRINCIPAL_ID" NVARCHAR2(300), 
	"PRINCIPAL_IMPL_ID" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PRINCIPAL_MANAGER_IMPLS
--------------------------------------------------------

  CREATE TABLE "XY_PRINCIPAL_MANAGER_IMPLS" 
   (	"PRINCIPAL_IMPL_ID" NUMBER, 
	"PRINCIPAL_IMPL_CLASS_NAME" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PRIVATE_GROUPS
--------------------------------------------------------

  CREATE TABLE "XY_PRIVATE_GROUPS" 
   (	"GROUP_PRINCIPAL_ID" NUMBER, 
	"DISPLAY_NAME" NVARCHAR2(200), 
	"OWNER_PRINCIPAL_ID" NUMBER, 
	"CREATION_DATE" DATE, 
	"GROUP_PASSWORD" NVARCHAR2(200), 
	"GROUP_KEY" VARCHAR2(50 BYTE), 
	"EXPIRATION_DATE" DATE, 
	"PG_TYPE" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PROGRAMS
--------------------------------------------------------

  CREATE TABLE "XY_PROGRAMS" 
   (	"PROGRAM_NAME" VARCHAR2(50 BYTE), 
	"LAST_RUN_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PROPERTIES
--------------------------------------------------------

  CREATE TABLE "XY_PROPERTIES" 
   (	"PROPERTY_OWNER_TYPE" NUMBER, 
	"PROPERTY_OWNER_ID" NUMBER, 
	"VERSION_NUMBER" NUMBER, 
	"PROPERTY_DEFINITION_ID" NUMBER, 
	"VALUE_POSITION" NUMBER, 
	"SHORT_STRING_VALUE" NVARCHAR2(2000), 
	"NUMBER_VALUE" NUMBER, 
	"DATE_VALUE" DATE, 
	"STRING_VALUE" NVARCHAR2(2000), 
	"VALUE_LANG" VARCHAR2(50 BYTE), 
	"SHORT_STRING_DISPLAY" NVARCHAR2(2000), 
	"BIG_DECIMAL_VALUE" NUMBER, 
	"IS_DERIVED" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PROPERTY_DEFINITIONS
--------------------------------------------------------

  CREATE TABLE "XY_PROPERTY_DEFINITIONS" 
   (	"ID" NUMBER, 
	"NAMESPACE_ID" NUMBER, 
	"PROPERTY_NAME" NVARCHAR2(2000), 
	"DATATYPE" NUMBER, 
	"IS_VERSIONED" VARCHAR2(1 BYTE), 
	"IS_READABLE" VARCHAR2(1 BYTE), 
	"IS_WRITEABLE" VARCHAR2(1 BYTE), 
	"CASE_SENSITIVE" VARCHAR2(1 BYTE), 
	"IS_INDEXED" VARCHAR2(1 BYTE), 
	"IS_PROTECTED" VARCHAR2(1 BYTE), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"COLUMN_INDEX" NUMBER, 
	"VALIDATOR_CLASS" VARCHAR2(200 BYTE), 
	"IS_FULL_TEXT_INDEXED" VARCHAR2(1 BYTE), 
	"IS_DERIVED" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 524288 NEXT 10485760 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PROPERTY_NAMESPACES
--------------------------------------------------------

  CREATE TABLE "XY_PROPERTY_NAMESPACES" 
   (	"PROPERTY_OWNER_TYPE" NUMBER, 
	"PROPERTY_OWNER_ID" NUMBER, 
	"PROPERTY_DEFINITION_ID" NUMBER, 
	"NAMESPACE_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_PROPERTY_VALUE_CHOICES
--------------------------------------------------------

  CREATE TABLE "XY_PROPERTY_VALUE_CHOICES" 
   (	"PROPERTY_DEFINITION_ID" NUMBER, 
	"SHORT_STRING_VALUE" NVARCHAR2(2000), 
	"NUMBER_VALUE" NUMBER, 
	"DATE_VALUE" DATE, 
	"STRING_VALUE" NVARCHAR2(2000), 
	"VALUE_LANG" VARCHAR2(50 BYTE), 
	"DEFAULT_VALUE" VARCHAR2(1 BYTE), 
	"BIG_DECIMAL_VALUE" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 524288 NEXT 10485760 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_RETENTION_SCHEDULES
--------------------------------------------------------

  CREATE TABLE "XY_RETENTION_SCHEDULES" 
   (	"RETENTION_ID" NUMBER, 
	"RETENTION_NAME" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"DESCRIPTION" NVARCHAR2(2000), 
	"EXPIRATION_DAYS" NUMBER, 
	"EXPIRATION_MONTHS" NUMBER, 
	"EXPIRATION_YEARS" NUMBER, 
	"ACL_TEMPLATE_ID" NUMBER, 
	"OWNER_ID" NUMBER, 
	"PERMANENT_FLAG" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ROLES
--------------------------------------------------------

  CREATE TABLE "XY_ROLES" 
   (	"ROLE_ID" NUMBER, 
	"ROLE_NAME" NVARCHAR2(2000), 
	"DESCRIPTION" NVARCHAR2(2000), 
	"VIRTUAL_SERVER" NUMBER, 
	"PROTECTED_FLAG" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ROLE_ABILITIES
--------------------------------------------------------

  CREATE TABLE "XY_ROLE_ABILITIES" 
   (	"ROLE_ID" NUMBER, 
	"ABILITY_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ROLE_PRINCIPALS
--------------------------------------------------------

  CREATE TABLE "XY_ROLE_PRINCIPALS" 
   (	"PRINCIPAL_ID" NUMBER, 
	"ROLE_ID" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_ROOT_DIRECTORIES
--------------------------------------------------------

  CREATE TABLE "XY_ROOT_DIRECTORIES" 
   (	"ROOT_DIRECTORY_NAME" NVARCHAR2(2000), 
	"ROOT_DIRECTORY_VIRTUAL_SERVER" NUMBER, 
	"CREATED_BY" NUMBER, 
	"CREATION_DATE" DATE, 
	"LAST_UPDATED_BY" NUMBER, 
	"LAST_UPDATE_DATE" DATE, 
	"FILE_LOCATION" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_RUNNING_SERVERS
--------------------------------------------------------

  CREATE TABLE "XY_RUNNING_SERVERS" 
   (	"HOST" VARCHAR2(200 BYTE), 
	"INTERNAL_ADMIN_PORT" NUMBER, 
	"SERVER_GROUP" VARCHAR2(200 BYTE), 
	"DATE_STARTED" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_SEARCH_PARSER_FACTORIES
--------------------------------------------------------

  CREATE TABLE "XY_SEARCH_PARSER_FACTORIES" 
   (	"PARSER_FACTORY_ID" NUMBER, 
	"PARSER_FACTORY_NAME" NVARCHAR2(200), 
	"PARSER_FACTORY_CLASS" VARCHAR2(200 BYTE), 
	"FILE_EXTENSIONS" VARCHAR2(2000 BYTE), 
	"MIME_TYPES" VARCHAR2(2000 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_SEARCH_PARSER_FCT_ATTRS
--------------------------------------------------------

  CREATE TABLE "XY_SEARCH_PARSER_FCT_ATTRS" 
   (	"PARSER_FACTORY_ID" NUMBER, 
	"ATTR_NAME" VARCHAR2(200 BYTE), 
	"ATTR_VAL" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_SEQUENCES
--------------------------------------------------------

  CREATE TABLE "XY_SEQUENCES" 
   (	"SEQUENCE_NAME" VARCHAR2(50 BYTE), 
	"NEXT_VALUE" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_SERVER_GROUPS
--------------------------------------------------------

  CREATE TABLE "XY_SERVER_GROUPS" 
   (	"GROUP_NAME" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_SERVER_GROUP_PARAMETERS
--------------------------------------------------------

  CREATE TABLE "XY_SERVER_GROUP_PARAMETERS" 
   (	"GROUP_NAME" VARCHAR2(50 BYTE), 
	"PARAMETER_NAME" VARCHAR2(200 BYTE), 
	"PARAMETER_VALUE" VARCHAR2(2000 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 524288 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_SESSION_MANAGER_IMPLS
--------------------------------------------------------

  CREATE TABLE "XY_SESSION_MANAGER_IMPLS" 
   (	"SESSION_IMPL_ID" NUMBER, 
	"SESSION_IMPL_CLASS_NAME" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_SMB_SHARES
--------------------------------------------------------

  CREATE TABLE "XY_SMB_SHARES" 
   (	"SHARE_NAME" VARCHAR2(200 BYTE), 
	"VIRTUAL_SERVER" NUMBER, 
	"DIRECTORY_NAME" NVARCHAR2(2000), 
	"SHARE_COMMENT" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_STORAGE_LOCATIONS
--------------------------------------------------------

  CREATE TABLE "XY_STORAGE_LOCATIONS" 
   (	"STORAGE_LOCATION_ID" NUMBER, 
	"UNIX_STORAGE_LOCATION" VARCHAR2(2000 BYTE), 
	"WINDOWS_STORAGE_LOCATION" VARCHAR2(2000 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_TEMPLATE_ACES
--------------------------------------------------------

  CREATE TABLE "XY_TEMPLATE_ACES" 
   (	"PRINCIPAL_ID" NUMBER, 
	"TEMPLATE_ID" NUMBER, 
	"READ_FLAG" VARCHAR2(1 BYTE), 
	"WRITE_FLAG" VARCHAR2(1 BYTE), 
	"DELETE_FLAG" VARCHAR2(1 BYTE), 
	"PERMISSION_FLAG" VARCHAR2(1 BYTE)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_TIMEZONES
--------------------------------------------------------

  CREATE TABLE "XY_TIMEZONES" 
   (	"TIMEZONE_ID" VARCHAR2(50 BYTE), 
	"CREATION_DATE" DATE, 
	"JAVA_BUILT_IN" VARCHAR2(1 BYTE), 
	"JAVA_VERSION" VARCHAR2(50 BYTE), 
	"RAW_OFFSET" NUMBER, 
	"USES_DST" VARCHAR2(1 BYTE), 
	"START_MONTH" NUMBER, 
	"START_DAY" NUMBER, 
	"START_DAY_WEEK" NUMBER, 
	"START_TIME" NUMBER, 
	"END_MONTH" NUMBER, 
	"END_DAY" NUMBER, 
	"END_DAY_WEEK" NUMBER, 
	"END_TIME" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_USER_MATCH_INFO
--------------------------------------------------------

  CREATE TABLE "XY_USER_MATCH_INFO" 
   (	"USER_MATCH_ID" NUMBER, 
	"PRINCIPAL_ID" NVARCHAR2(300), 
	"PRINCIPAL_IMPL_ID" NUMBER, 
	"MATCH_TYPE" NUMBER, 
	"MATCH_VALUE" NVARCHAR2(200)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_USER_TEMPLATE
--------------------------------------------------------

  CREATE TABLE "XY_USER_TEMPLATE" 
   (	"TEMPLATE_ID" NUMBER, 
	"NAME" NVARCHAR2(200), 
	"DESCRIPTION" NVARCHAR2(200), 
	"ROOT_DIR_CFG" NUMBER, 
	"DEFAULT_FLAG" VARCHAR2(1 BYTE), 
	"HOME_DIRECTORY_VIRTUAL_SERVER" NUMBER, 
	"HOME_DIRECTORY_LOCATION" NVARCHAR2(2000), 
	"TIMEZONE_ID" VARCHAR2(50 BYTE), 
	"LANGUAGE_CODE" VARCHAR2(50 BYTE), 
	"DATE_TIME_FORMAT_MASK" NUMBER
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 32768 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_VIRTUAL_SERVERS
--------------------------------------------------------

  CREATE TABLE "XY_VIRTUAL_SERVERS" 
   (	"ID" NUMBER, 
	"NAME" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_VSERVER_PARAMETERS
--------------------------------------------------------

  CREATE TABLE "XY_VSERVER_PARAMETERS" 
   (	"VIRTUAL_SERVER_ID" NUMBER, 
	"PARAMETER_NAME" NVARCHAR2(2000), 
	"PARAMETER_VALUE" NVARCHAR2(2000)
   ) SEGMENT CREATION DEFERRED 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE( INITIAL 32768 NEXT 524288 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table XY_WEB_APPLICATION_MODULES
--------------------------------------------------------

  CREATE TABLE "XY_WEB_APPLICATION_MODULES" 
   (	"MODULE_ID" NUMBER, 
	"MODULE_NAME" VARCHAR2(200 BYTE), 
	"PROTECTED" VARCHAR2(1 BYTE), 
	"PRINCIPAL_MANAGER" NUMBER, 
	"SESSION_MANAGER" NUMBER, 
	"MODULE_IMPL_CLASS_NAME" VARCHAR2(200 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 4 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 32768 NEXT 32768 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
REM INSERTING into IDG_ADDRESS_BOOK_ENTRIES
REM INSERTING into IDG_GLOBAL_GROUPS
REM INSERTING into IDG_GROUP_MEMBERS
REM INSERTING into IDG_SESSIONS
REM INSERTING into IDG_USERS
REM INSERTING into QRTZ_BLOB_TRIGGERS
REM INSERTING into QRTZ_CALENDARS
REM INSERTING into QRTZ_CRON_TRIGGERS
REM INSERTING into QRTZ_FIRED_TRIGGERS
REM INSERTING into QRTZ_JOB_DETAILS
REM INSERTING into QRTZ_JOB_LISTENERS
REM INSERTING into QRTZ_LOCKS
Insert into QRTZ_LOCKS (LOCK_NAME) values ('CALENDAR_ACCESS');
Insert into QRTZ_LOCKS (LOCK_NAME) values ('JOB_ACCESS');
Insert into QRTZ_LOCKS (LOCK_NAME) values ('MISFIRE_ACCESS');
Insert into QRTZ_LOCKS (LOCK_NAME) values ('STATE_ACCESS');
Insert into QRTZ_LOCKS (LOCK_NAME) values ('TRIGGER_ACCESS');
REM INSERTING into QRTZ_PAUSED_TRIGGER_GRPS
REM INSERTING into QRTZ_SCHEDULER_STATE
REM INSERTING into QRTZ_SIMPLE_TRIGGERS
REM INSERTING into QRTZ_TRIGGERS
REM INSERTING into QRTZ_TRIGGER_LISTENERS
REM INSERTING into XWFN_DEFINITION
REM INSERTING into XWFN_DEFINITION_XML
REM INSERTING into XWFN_DEF_NODE
REM INSERTING into XWFN_EXEC_POINTER
REM INSERTING into XWFN_LOCKS
Insert into XWFN_LOCKS (NAME) values ('GLOBAL');
REM INSERTING into XWFN_MULT_VAL
REM INSERTING into XWFN_NAME
REM INSERTING into XWFN_NODE
REM INSERTING into XWFN_PROCESS
REM INSERTING into XWFN_TASK
REM INSERTING into XWFN_TIMER
REM INSERTING into XWFN_TIMER_DEF
REM INSERTING into XWFN_TRANSITION
REM INSERTING into XWFN_VARIABLE
REM INSERTING into XWFN_VARIABLE_DEF
REM INSERTING into XWF_ACLS
REM INSERTING into XWF_AUTHTOKENS
REM INSERTING into XWF_CONDITIONAL_CHANGE
REM INSERTING into XWF_DOCFLOW_TEMPLATE_HEADER
REM INSERTING into XWF_FLOW_LOCKS
REM INSERTING into XWF_OPERAND
REM INSERTING into XWF_OPERAND_ATTRIBUTES
REM INSERTING into XWF_PARENT_LOOKUP
REM INSERTING into XWF_POLICY
REM INSERTING into XWF_POLICY_ATTRIBUTES
REM INSERTING into XWF_PROCESS
REM INSERTING into XWF_PROCESS_ACE
REM INSERTING into XWF_PROCESS_ATTRIBUTES
REM INSERTING into XWF_PROCESS_CURRENTSTATUS
REM INSERTING into XWF_REACTOR_EVENT
REM INSERTING into XWF_STATUS
REM INSERTING into XWF_STATUS_ATTRIBUTES
REM INSERTING into XWF_TIMERS
REM INSERTING into XWF_TIMER_SPEC
REM INSERTING into XYTHOS_DUAL
Insert into XYTHOS_DUAL (DUMMY) values ('X');
REM INSERTING into XYTHOS_VERSION
Insert into XYTHOS_VERSION (INSTALLABLE_MOD,VERSION1,VERSION2,VERSION3,POST_ADD_RUN,POST_UPGRADE_RUN) values ('com.xythos.installer.application.CoreModule',7,2,96,'Y','Y');
Insert into XYTHOS_VERSION (INSTALLABLE_MOD,VERSION1,VERSION2,VERSION3,POST_ADD_RUN,POST_UPGRADE_RUN) values ('com.xythos.installer.application.XyAppModule',7,2,96,'Y','Y');
REM INSERTING into XY_ABILITIES
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (8,'XY_ABILITY_TO_CREATE_DROPBOX','XY_ABILITY_TO_CREATE_DROPBOX',-1,'XY_AB_8');
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (7,'XY_ABILITY_TO_CREATE_WIKI','XY_ABILITY_TO_CREATE_WIKI_DESC',-1,'XY_AB_7');
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (5,'XY_ABILITY_TO_EXPORT',null,-1,'XY_AB_5');
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (3,'XY_ABILITY_TO_RUN_REPORTS',null,-1,'XY_AB_3');
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (2,'ManageRoles',null,-1,'XY_AB_2');
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (1,'ManageAbilities',null,-1,'XY_AB_1');
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (4,'XY_ABILITY_TO_RUN_REPORTS_ALL',null,-1,'XY_AB_4');
Insert into XY_ABILITIES (ABILITY_ID,ABILITY_NAME,DESCRIPTION,VIRTUAL_SERVER,UNIQUE_KEY) values (6,'XY_ABILITY_TO_EXPORT_ALL',null,-1,'XY_AB_6');
REM INSERTING into XY_ABILITY_DEPENDS
REM INSERTING into XY_ACL_CFG
REM INSERTING into XY_ACL_TEMPLATES
REM INSERTING into XY_ACTION_LOG
REM INSERTING into XY_ACTION_LOG_PARAMS
REM INSERTING into XY_CACHED_PRINCIPALS
REM INSERTING into XY_CRIT_ERROR
REM INSERTING into XY_DIR_CFG
REM INSERTING into XY_DOCUMENT_CLASSES
REM INSERTING into XY_DOC_CLASS_PROPERTIES
REM INSERTING into XY_EXPIRED_ENTRIES
REM INSERTING into XY_FILE_SYSTEMS
Insert into XY_FILE_SYSTEMS (NAME,FILE_SYSTEM_TYPE,DB_USERNAME,DB_PASSWORD,DATABASE_TYPE,JDBC_DRIVER_CLASS_NAME,JDBC_CONNECTION_URL,CONNECTION_EXPIRATION_MINUTES,MAX_CONNECTIONS,MIN_CONNECTIONS,CONNECTION_DEAD_SECONDS,STORAGE_LOCATION,TEMPORARY_STORAGE_LOCATION,TEMPORARY_DELETE_DAYS,SYSTEM_DELETE_AUDIT_DAYS,DISPLAY_NAME,FILTER_CLASS) values ('1','DOCUMENT_STORE','xythos7296_xds','password','oracle','oracle.jdbc.OracleDriver','jdbc:oracle:thin:@lax93t91:1521:sdd41',60,25,2,36000,1001,-1,0,0,'Document Store 1',null);
REM INSERTING into XY_INDEXED_PROPERTIES
REM INSERTING into XY_LANGUAGES
Insert into XY_LANGUAGES (LANGUAGE_CODE,CREATION_DATE) values ('en',to_date('01-JAN-00','DD-MON-RR'));
REM INSERTING into XY_LDAP_DOMAINS
REM INSERTING into XY_LDAP_SERVERS
REM INSERTING into XY_LDAP_USER_TEMPLATES
REM INSERTING into XY_MANAGER
Insert into XY_MANAGER (LICENSE_KEY) values ('5B055C5BDDCFFE171233BFD89683BCC4');
Insert into XY_MANAGER (LICENSE_KEY) values ('5B055C5BDDCFFE171233BFD89683BCC4');
REM INSERTING into XY_NAMESPACES
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (0,'DAV:');
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (-5,'http://schemas.xmlsoap.org/soap/encoding/');
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (-6,'http://www.w3.org/2001/XMLSchema');
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (-7,'http://www.w3.org/2001/XMLSchema-instance');
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (1001,'http://www.xythos.com/namespace/workflow');
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (-1,'http://www.xythos.com/namespaces/StorageServer');
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (-3,'http://www.xythos.com/namespaces/StorageServer/acl/');
Insert into XY_NAMESPACES (NAMESPACE_ID,NAMESPACE_NAME) values (-4,'http://www.xythos.com/namespaces/custom/');
REM INSERTING into XY_NETWORK_ADDRESS_ALIASES
REM INSERTING into XY_NONCES
REM INSERTING into XY_NOTIFICATIONS
REM INSERTING into XY_PRINCIPAL_LOOKUPS
Insert into XY_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('ALL_PRINCIPALS@PUBLIC',1);
Insert into XY_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('AUTHENTICATED@PUBLIC',3);
Insert into XY_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('NOBODY@PUBLIC',2);
Insert into XY_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('NO_USER@PUBLIC',5);
Insert into XY_PRINCIPAL_LOOKUPS (PRINCIPAL_ID,INTERNAL_PRINCIPAL_ID) values ('OWNER@PUBLIC',4);
REM INSERTING into XY_PRINCIPAL_LOOKUP_ALIASES
Insert into XY_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (1,'ALL_PRINCIPALS@PUBLIC',1);
Insert into XY_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (3,'AUTHENTICATED@PUBLIC',1);
Insert into XY_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (2,'NOBODY@PUBLIC',1);
Insert into XY_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (5,'NO_USER@PUBLIC',1);
Insert into XY_PRINCIPAL_LOOKUP_ALIASES (INTERNAL_PRINCIPAL_ID,PRINCIPAL_ID,PRINCIPAL_IMPL_ID) values (4,'OWNER@PUBLIC',1);
REM INSERTING into XY_PRINCIPAL_MANAGER_IMPLS
Insert into XY_PRINCIPAL_MANAGER_IMPLS (PRINCIPAL_IMPL_ID,PRINCIPAL_IMPL_CLASS_NAME) values (2,'com.xythos.security.DefaultPrincipalManager');
Insert into XY_PRINCIPAL_MANAGER_IMPLS (PRINCIPAL_IMPL_ID,PRINCIPAL_IMPL_CLASS_NAME) values (1,'com.xythos.security.api.XythosCorePrincipalManager');
REM INSERTING into XY_PRIVATE_GROUPS
REM INSERTING into XY_PROGRAMS
Insert into XY_PROGRAMS (PROGRAM_NAME,LAST_RUN_DATE) values ('XY_RESEED_USER_MATCH_INFO_DATA',to_date('25-APR-12','DD-MON-RR'));
Insert into XY_PROGRAMS (PROGRAM_NAME,LAST_RUN_DATE) values ('T_SESS_TIMEOUT#{?}',to_date('01-JAN-70','DD-MON-RR'));
Insert into XY_PROGRAMS (PROGRAM_NAME,LAST_RUN_DATE) values ('T_DIRSIZE_MGR#1',to_date('27-APR-12','DD-MON-RR'));
Insert into XY_PROGRAMS (PROGRAM_NAME,LAST_RUN_DATE) values ('T_SYS_CHECKER#{?}',to_date('26-APR-12','DD-MON-RR'));
REM INSERTING into XY_PROPERTIES
REM INSERTING into XY_PROPERTY_DEFINITIONS
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1000,-1,'BookmarksXML',13,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1001,-1,'ReportPropertyName',2,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1002,-1,'ReportPropertyValue',2,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1003,-1,'ReportPropertyType',2,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1004,-4,'FileInfoExpansion',2,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1005,-4,'DirectoryInfoExpansion',2,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1006,-4,'Sort',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1007,-4,'SortPropertyName',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1008,-4,'SortPropertyNamespace',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1009,-4,'SortOrder',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1010,-4,'SortOnOtherProperty',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1011,-4,'NavigationExpansion',2,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1012,-4,'SavedSearches',2,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1013,-4,'LastSearch',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1014,-4,'RecordsEmailServer',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1015,-4,'RecordsEmailPassword',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1016,-4,'RecordsEmailFolder',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1017,-4,'RecordsEmailDelete',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1018,-4,'UserSelectedColumns',1,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1019,-1,'anonymous-comment-flag',7,'N','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1020,-1,'Tags',10,'N','Y','Y','N','N','N',null,null,'com.xythos.fileSystem.TagsValidator','Y','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1021,-1,'XY_LIVE_DEAD_DESCRIPTION',9,'Y','N','N','Y','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1022,-4,'XY_USER_EMAIL_AUTO_COMPLETE',10,'Y','N','N','Y','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1023,-1,'XY_SUBWIKI_ORDER',10,'Y','N','N','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1024,-1,'XY_TRASH_DATE',5,'Y','Y','N','Y','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1025,-1,'XY_TRASH_ORIGINAL_OWNER',1,'Y','Y','N','Y','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1026,-1,'XY_TRASH_DELETED_BY',1,'Y','Y','N','Y','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1027,-1,'XY_TRASH_ORGINAL_PERMISSIONS',10,'Y','Y','N','N','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1028,-1,'XY_TRASH_ORGINAL_PERMISSION_USERS',2,'Y','Y','N','Y','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1029,-1,'XY_TRASH_ENTRY_ID',1,'N','Y','N','Y','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1030,-1,'XY_TRASH_OLDEST_VER_DATE',5,'N','Y','N','Y','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1031,-1,'XY_TRASH_OVERWRITTEN_FILES_DIRNAME',1,'N','Y','N','Y','N','Y',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1032,-1,'XY_AcctInitialized',2,'N','Y','N','Y','N','Y','XY_AcctInitialized',null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1033,-1,'default-access-logging',7,'Y','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1034,-1,'default-access-logging-writeable',7,'Y','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1035,-1,'default-versioning',7,'Y','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1036,-1,'default-versioning-writeable',7,'Y','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1037,-1,'comments_sharedorprivate',9,'Y','Y','Y','N','N','N',null,null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1038,-1,'thumbnail',14,'Y','N','N','Y','N','Y','Thumbnail storage property',null,null,'N','Y');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1039,-1,'thumbnailSmall',14,'Y','N','N','Y','N','Y','Small thumbnail storage property',null,null,'N','Y');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1040,-1,'BookmarkedEntryIDs',10,'N','Y','Y','N','N','N','Entry IDs pointed to by bookmarks',null,null,'N','N');
Insert into XY_PROPERTY_DEFINITIONS (ID,NAMESPACE_ID,PROPERTY_NAME,DATATYPE,IS_VERSIONED,IS_READABLE,IS_WRITEABLE,CASE_SENSITIVE,IS_INDEXED,IS_PROTECTED,DESCRIPTION,COLUMN_INDEX,VALIDATOR_CLASS,IS_FULL_TEXT_INDEXED,IS_DERIVED) values (1042,1001,'assignedTemplateId',1,'N','Y','Y','N','N','N','Assigned workflow template ID',-1,null,'N','N');
REM INSERTING into XY_PROPERTY_NAMESPACES
REM INSERTING into XY_PROPERTY_VALUE_CHOICES
REM INSERTING into XY_RETENTION_SCHEDULES
REM INSERTING into XY_ROLES
REM INSERTING into XY_ROLE_ABILITIES
REM INSERTING into XY_ROLE_PRINCIPALS
REM INSERTING into XY_ROOT_DIRECTORIES
Insert into XY_ROOT_DIRECTORIES (ROOT_DIRECTORY_NAME,ROOT_DIRECTORY_VIRTUAL_SERVER,CREATED_BY,CREATION_DATE,LAST_UPDATED_BY,LAST_UPDATE_DATE,FILE_LOCATION) values ('/root',1,2,to_date('27-APR-12','DD-MON-RR'),2,to_date('27-APR-12','DD-MON-RR'),'1');
REM INSERTING into XY_RUNNING_SERVERS
Insert into XY_RUNNING_SERVERS (HOST,INTERNAL_ADMIN_PORT,SERVER_GROUP,DATE_STARTED) values ('127.0.0.1',2223,'default',to_date('30-APR-12','DD-MON-RR'));
REM INSERTING into XY_SEARCH_PARSER_FACTORIES
Insert into XY_SEARCH_PARSER_FACTORIES (PARSER_FACTORY_ID,PARSER_FACTORY_NAME,PARSER_FACTORY_CLASS,FILE_EXTENSIONS,MIME_TYPES) values (1000,'HTML Parser Factory','com.xythos.storageServer.search.content.parsers.HTMLContentParserFactory','htm,html','text/html');
Insert into XY_SEARCH_PARSER_FACTORIES (PARSER_FACTORY_ID,PARSER_FACTORY_NAME,PARSER_FACTORY_CLASS,FILE_EXTENSIONS,MIME_TYPES) values (1001,'Text Parser Factory','com.xythos.storageServer.search.content.parsers.TextContentParserFactory','txt,text,asc','text/plain');
Insert into XY_SEARCH_PARSER_FACTORIES (PARSER_FACTORY_ID,PARSER_FACTORY_NAME,PARSER_FACTORY_CLASS,FILE_EXTENSIONS,MIME_TYPES) values (1002,'PDF Parser Factory','com.xythos.storageServer.search.content.parsers.PDFContentParserFactory','pdf','application/pdf');
Insert into XY_SEARCH_PARSER_FACTORIES (PARSER_FACTORY_ID,PARSER_FACTORY_NAME,PARSER_FACTORY_CLASS,FILE_EXTENSIONS,MIME_TYPES) values (1003,'Word Parser Factory','com.xythos.storageServer.search.content.parsers.WordContentParserFactory','doc,dot','application/msword');
Insert into XY_SEARCH_PARSER_FACTORIES (PARSER_FACTORY_ID,PARSER_FACTORY_NAME,PARSER_FACTORY_CLASS,FILE_EXTENSIONS,MIME_TYPES) values (1004,'RTF Parser Factory','com.xythos.storageServer.search.content.parsers.RtfContentParserFactory','rtf,rtx','application/x-rtf,application/rtf,text/richtext');
Insert into XY_SEARCH_PARSER_FACTORIES (PARSER_FACTORY_ID,PARSER_FACTORY_NAME,PARSER_FACTORY_CLASS,FILE_EXTENSIONS,MIME_TYPES) values (1005,'Excel Parser Factory','com.xythos.storageServer.search.content.parsers.XlsContentParserFactory','xls,xlt','application/excel,application/vnd.ms-excel,application/x-excel,application/x-msexcel');
Insert into XY_SEARCH_PARSER_FACTORIES (PARSER_FACTORY_ID,PARSER_FACTORY_NAME,PARSER_FACTORY_CLASS,FILE_EXTENSIONS,MIME_TYPES) values (1006,'Binary Parser Factory','com.xythos.storageServer.search.content.parsers.BinaryContentParserFactory','ppt,pps,pot','application/vnd.ms-powerpoint');
REM INSERTING into XY_SEARCH_PARSER_FCT_ATTRS
REM INSERTING into XY_SEQUENCES
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_unique_identifier',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_action_id',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_size_offset',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_file_versions',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_deliverer',1100);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_blobs',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('idg_users',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_private_groups',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_locks',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_document_classes',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('disposition_other_objects',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_session_manager_impls',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_property_definitions',1141);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_user_match_info',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_subscriptions',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_ldap_servers',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_namespaces',1100);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_ldap_domains',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_bookmarks',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_dir_cfg',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_bandwidth_usage',1100);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_principal_lookups',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_roles',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_search_parser_factories',1007);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_virtual_servers',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('idg_sessions',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('disposition_rules',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_expired_entries',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_urls',1100);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_user_match_values',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('disposition_schedules',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_comments',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_searches',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_home_cfg',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_web_application_modules',1100);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_abilities',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_principal_manager_impls',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_retention_schedules',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_notifications',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xwf_unique_identifier',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_file_systems',1);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_storage_locations',1100);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_external_storage_dirs',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_subscription_groups',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_acl_templates',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xy_ldap_user_templates',1000);
Insert into XY_SEQUENCES (SEQUENCE_NAME,NEXT_VALUE) values ('xyf_files',1100);
REM INSERTING into XY_SERVER_GROUPS
Insert into XY_SERVER_GROUPS (GROUP_NAME) values ('admin');
Insert into XY_SERVER_GROUPS (GROUP_NAME) values ('default');
REM INSERTING into XY_SERVER_GROUP_PARAMETERS
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.ReadTransactionLimit','-1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.WebUI.GridLazyLoadingPageCount','3');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.ImmedEventListenerClasses',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.Type','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.EnableGzipEncoding','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.DirectoryIndexFiles','index.html');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.Enabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Thumbnail.ProviderClasses','com.xythos.storageServer.thumbnail.ImageThumbnailProvider');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.ServletInPrefix','/xythoswfs');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.ServerHeaderEnabled','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.NewUserIntervalBandwidthQuotaBytes','1048576000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.DefaultTimezone','America/New_York');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.LockToken','sdd-LockToken');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.TicketsEnabled','false');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.GlobalGroupsEnabled','false');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.OwnerDeterminationMethod','PARENT_COLLABORATION');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.WebUI.DoesServerAutoChunk','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webview.WebviewServletName','webview');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.NewUserQuotaMBytes','20');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.WebdavEnabled','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.CrossServerLoginEnabled','false');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.BaseConnectionExpirationMinutes','60');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.SearchType','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.VirusScanTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.NewUserTemplateSelectorClass','com.xythos.storageServer.api.directoryService.DefaultNewUserTemplateSelector');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.MaxFileSizeToIndex','10000000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.RecordsManagement.LoggerListenMode','3');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.LimitSearchPrincipal','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.GroupMemberAttrName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UserLanguageAttributeName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.Sharing.RequireAdmin','true');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.WebdavServletInPrefix',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.SMB.BindAddress','192.168.1.1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.NotificationMaximumItemCount','5000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.DecodeURLs','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.ServletOutPrefix','/xythoswfs');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.UseXythosHttpHeaderDates','true');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.Principal.AutocompleteFields','3');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.SMTPPassword',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.SubscriptionsDefaultExpirationSeconds','-1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.BaseMinConnections','2');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.EmailVerificationEnabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.EnableChunkEncoding','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.BaseConnectionDeadSeconds','36000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.WebUICreateUserEnabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.WorkflowFileRetention','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.MssqlDriverName','net.sourceforge.jtds.jdbc.Driver');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.FileSysEntryTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.SessionIdleTimeoutSeconds','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.AuthenticationType','Basic');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.PagedSearchLimit','1000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.RootViewState','auth');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.RecordsManagement.Enabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.EmailAddress','support@company.com');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.LockRefreshLatencySeconds','10');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.MaxAttempts','3');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.SubscriptionsTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.DefaultCharset','UTF-8');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.GroupDisplayNameAttrName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.CustomEventClasses',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.ThreadCount.WorkflowExecutor','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('admin','Xythos.ThreadCount.WorkflowExecutor','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.DefaultCustomLogTraceOns',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.MemberOfInclusiveFlag','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.SMB.Enabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.FileEventLoggingEnabled','false');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.ObjectClassAttrName','objectClass');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.VirusScan.ServerGroups',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UserMemberOfAttributeName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.LimitSearchLocations',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.MaxLockSeconds','604800');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.DefaultCountry',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.XythosUserTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.UseSMTPAuth','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.AllowProppatchDates','false');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.VirusScan.Class','com.xythos.fileSystem.virusScan.NoVirusScanner');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.WebUI.HomeDirForUnauthUsers',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.WebDavTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.WebUI.GridLazyLoadingMaxLoad','300');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.PrincipalServletOutPrefix','/xythoswfs/principals');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.RecordsManagement.LoggedEventClasses',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.CanUsersChooseEmailMethod','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UserTimezoneAttributeName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.NotificationMinimumDelaySeconds','60');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.SMTPUsername',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.PrincipalServletInPrefix','/xythoswfs/principals');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.NewUserDocumentStore','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.EntryReadEventAllPositions','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.CommentSharing','s');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UserEmailAttributeName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.WebUI.WebUIEnabled','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.SyncEventListenerClasses',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.UseSenderAsFrom','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.ProxyPort','3128');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.TrashAutoAddPermissions','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UserDisplaynameAttributeName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.Principal.AutocompleteLen','3');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Workflow.Enabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.AppPassword',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.BandwidthLimitsEnabled','off');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.EncryptionRoutineClass','com.xythos.util.EncryptionRoutineImpl');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.SqlReqTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.UserLifecycleClass','com.xythos.security.DefaultPrincipalManager');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.StorageManagedDocumentStores',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.NotificationReportOffsetSeconds','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.NotificationSenderEmail',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.WebuiSearchPassword',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.MaxDASLQuerySize','10000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.ContactListsEnabled','false');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.BigOperationsBatchSize','15000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.AdminTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.PersistentCookieEnabled','true');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UserUniqueIDAttributeName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.SMB.DebugLevel','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.SmtpServer',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.UserMatchType','-1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.MinLockSeconds','60');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.InternalAdminPortNum','2223');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UseridAttributeName',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.AllowEditContentType','true');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.FileMemoryCacheSizeMBytes','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.VirusScan.Notification.Enabled','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.WorkflowSecurityManagerClass','com.xythos.workflow.api.security.WorkflowStandardSecurityManager');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.WorkflowTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.XythosSessionTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.ExtensionsNotToIndex','exe,dll,zip,jpg,gif,tif,tiff,dmp');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.EventBasedIndexingEnabled','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.LogVersions','20');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.UseSSL','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.WebdavServletOutPrefix',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.ProxyHost',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('admin','Xythos.Internal.StorageManagedDocumentStores','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.NewRestrictAccessSubquery',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.FileName','xythoslog.txt');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.VirusScan.MaxSimultaneous','2');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.BandwidthQuotaIntervalHours','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.ContentSystem.Enabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.AppUserDN',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.TrashPruningStartHour','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.ContentSearchClass','com.xythos.storageServer.search.content.ContentSearchImpl');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.DocumentServletPrefix','/xythosdocument');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.MaxFileSizeToGzip','4000000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.WriteToFile','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.WebUI.GridLazyLoadingPageSize','100');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.VirusScan.CopyingCommandLineTemplate',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.SubscriptionsReportFrequency','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Classification.Enabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.SearchTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.Info','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.JdbcConnPoolTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.LuceneAnalyzer','org.apache.lucene.analysis.standard.StandardAnalyzer');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.TransactionLimit','100000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.SearchIndexOptimizeSize','50000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.DefaultEmailMethod','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.SearchTimeLimit','30');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.WebuiSearchUserDN',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.SearchIndexBatchSize','50');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Thumbnail.IgnoredMIMETypes','audio/*,video/*,multipart/*');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.MinFileSizeToGzip','1000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.SleepSeconds','30');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.MaxPrincipalSearchResults','50');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.MaxLogSize','3');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.TopLevelDirectoryCacheSize','1000');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.PropertyTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.SuperUserGroupPrincipalID',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.AllowDepthInfinityPropfind','true');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.WebuiServletName','webui');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.MiscTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webview.WikiPublishUrl',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.EventTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.HttpSessionLifecycleClass','com.xythos.security.api.SessionManagerBase');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.CriticalErrorEmailAddress',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.DefaultServerID','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.CustomLogClasses','com.xythos.storageServer.classification.servlet.DocumentServletLog,com.xythos.webui.WebuiLog');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.EmailFolderExcludeList','Calendar,Tasks,Notes,Contacts,Journal,Sync Issues');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.FollowReferrals','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.AllowFileContentCaching','true');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.FileTypesWeGzip','.txt,.htm,.html,.doc,.,application/msword,text/*');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.GroupUniqueIDAttributeName','dn');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.IndexLocation','<provide value here>');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.SubscriptionsEnabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.GroupObjectClassAttrValue',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.MultipleUserLocationSearch','XY_USER_CHOOSES');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.VirusScan.Enabled','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.EventThreadMaxCount','4');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.UserObjectClassAttrValue',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.DefaultVirtualServer','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.WebdavUseXythosDateHeaderForAllPuts','true');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.TrashPruningNumDays','30');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.DomainDelimiter','@');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Search.IndexLockReleaseInterval','100');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.BaseMaxConnections','20');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.CustomTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.AsyncEventListenerClasses',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.CustomLogTraceOns',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.WebuiRestrictSearchGroup',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.StatementCacheEnabled','TRUE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Thumbnail.MaxConcurrent','64');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.SessionTimeoutSeconds','86400');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Security.FileSystemSecurityManagerClass','com.xythos.storageServer.security.api.FileSystemStandardSecurityManager');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Webui.Sharing.ShareToSys','3');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.VirusScan.CopyingCommandLineDirectory',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.NewUserTemplateSelectorAttribute',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.CriticalErrorNotificationPeriod','1440');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.RSS.MinTimeToLive','1440');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.SMTPPort','25');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.NewWebuiRestrictSearchSubquery',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Internal.TransactionProcessingMode','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.LockTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.RestrictAccessGroup',null);
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.ThreadCount.NotificationDeliverer','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('admin','Xythos.ThreadCount.NotificationDeliverer','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.NotificationInterval','2');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.ThreadCount.WorkflowDeleter','0');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('admin','Xythos.ThreadCount.WorkflowDeleter','1');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Log.ExternStoreTrace','FALSE');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Ldap.MaxConnectAttemptSeconds','30');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.SMB.Workgroup','MSHOME');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.Thumbnail.IgnoredExtensions','exe,dll,so,zip,tar.gz,tar,jar,rar');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.StorageServer.DefaultLanguage','en');
Insert into XY_SERVER_GROUP_PARAMETERS (GROUP_NAME,PARAMETER_NAME,PARAMETER_VALUE) values ('default','Xythos.SMB.Netmask','255.255.255.0');
REM INSERTING into XY_SESSION_MANAGER_IMPLS
Insert into XY_SESSION_MANAGER_IMPLS (SESSION_IMPL_ID,SESSION_IMPL_CLASS_NAME) values (1,'com.xythos.security.api.SessionManagerBase');
REM INSERTING into XY_SMB_SHARES
REM INSERTING into XY_STORAGE_LOCATIONS
Insert into XY_STORAGE_LOCATIONS (STORAGE_LOCATION_ID,UNIX_STORAGE_LOCATION,WINDOWS_STORAGE_LOCATION) values (1001,null,null);
REM INSERTING into XY_TEMPLATE_ACES
REM INSERTING into XY_TIMEZONES
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Montserrat',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Australia/Brisbane',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Khartoum',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Nairobi',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Kaliningrad',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Irkutsk',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Krasnoyarsk',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Guatemala',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Tripoli',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Pitcairn',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/St_Lucia',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Kinshasa',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Fakaofo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Ujung_Pandang',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Sao_Tome',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Guam',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Riyadh',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Sofia',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Montevideo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Hong_Kong',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Jayapura',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Canary',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Reykjavik',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Thimbu',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Marquesas',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Norfolk',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Tbilisi',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Casablanca',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Jan_Mayen',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Oslo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Berlin',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Regina',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Mbabane',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Vientiane',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Porto_Acre',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Niamey',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Bahrain',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Jamaica',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Kigali',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Mexico_City',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Belgrade',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Ashkhabad',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Auckland',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Kuwait',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Saipan',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Australia/Sydney',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Pyongyang',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Australia/Perth',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Magadan',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Monrovia',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Honolulu',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/London',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Tarawa',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Tijuana',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Christmas',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Kampala',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Bucharest',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Porto-Novo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Muscat',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Fortaleza',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Luanda',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Azores',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Kamchatka',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Pago_Pago',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Chisinau',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Manaus',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Copenhagen',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Asmera',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Malta',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Grenada',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Anadyr',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Moscow',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Santiago',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Cayman',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Tashkent',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Dublin',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Kerguelen',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Windhoek',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Rarotonga',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Caracas',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Indianapolis',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Antarctica/McMurdo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Easter',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Stanley',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Harare',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Bujumbura',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Nouakchott',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Lubumbashi',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Minsk',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Katmandu',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Ndjamena',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Yerevan',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Algiers',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Asuncion',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Addis_Ababa',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Dawson_Creek',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Noumea',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Kiev',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Brunei',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Tehran',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Anguilla',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Prague',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Costa_Rica',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Vladivostok',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Luxembourg',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Santo_Domingo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Managua',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Chagos',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Samara',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Nassau',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Bangui',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Alma-Ata',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Phoenix',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Abidjan',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Jakarta',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/South_Georgia',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Calcutta',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Kosrae',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Andorra',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Amman',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Gibraltar',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Mahe',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Cairo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Australia/Adelaide',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Edmonton',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Madrid',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Rome',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Cocos',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Beirut',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Paris',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Grand_Turk',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Dubai',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Denver',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/St_Kitts',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Miquelon',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Palau',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Timbuktu',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Wake',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Douala',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Wallis',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Tokyo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Tongatapu',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Puerto_Rico',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Lisbon',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Majuro',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Tirane',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Cuiaba',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Jerusalem',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Shanghai',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Malabo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Panama',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Dacca',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Bissau',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Winnipeg',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Chicago',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Lima',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Australia/Darwin',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Yekaterinburg',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Lagos',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/St_Vincent',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Vienna',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Guayaquil',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Conakry',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Seoul',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Blantyre',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Mogadishu',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/La_Paz',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Freetown',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Kabul',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Antarctica/Mawson',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Niue',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Australia/Lord_Howe',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Tahiti',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Martinique',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Zurich',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Brussels',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Comoro',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Stockholm',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Apia',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Lusaka',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Gambier',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Port_of_Spain',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Riga',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Johannesburg',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Dakar',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Singapore',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Havana',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Helsinki',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/St_Helena',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Aden',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Antananarivo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Scoresbysund',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Buenos_Aires',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Kuala_Lumpur',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Monaco',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Cape_Verde',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Colombo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/New_York',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Mayotte',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Funafuti',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Baghdad',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Vancouver',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Cayenne',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Fiji',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Sao_Paulo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Anchorage',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Maputo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Libreville',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Aruba',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Bermuda',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Banjul',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Barbados',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/El_Salvador',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Dar_es_Salaam',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Saigon',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Maldives',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Taipei',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Macao',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Atlantic/Faeroe',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Warsaw',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Lome',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Antarctica/DumontDUrville',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Amsterdam',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Budapest',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Kiritimati',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Damascus',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Galapagos',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Belize',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Tegucigalpa',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Nauru',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Port-au-Prince',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Rangoon',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Montreal',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Enderbury',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Qatar',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Ulan_Bator',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Chatham',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Curacao',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Karachi',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Noronha',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Tunis',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Djibouti',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Aqtau',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Phnom_Penh',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Simferopol',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Athens',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/St_Johns',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Reunion',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Tallinn',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Vilnius',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Istanbul',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Europe/Vaduz',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Gaborone',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Bishkek',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Manila',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Ishigaki',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Port_Moresby',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Mazatlan',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Adak',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Halifax',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Godthab',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Dominica',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Antarctica/Palmer',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Los_Angeles',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Aqtobe',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Guadeloupe',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Antarctica/Casey',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Dushanbe',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Ponape',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Efate',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Tortola',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Pacific/Guadalcanal',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Thule',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Yakutsk',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Novosibirsk',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Bogota',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Accra',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Maseru',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('GMT',to_date('01-JAN-00','DD-MON-RR'),'Y','1.1',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Paramaribo',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Baku',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Nicosia',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Guyana',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/Antigua',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('America/St_Thomas',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Africa/Ouagadougou',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Asia/Bangkok',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
Insert into XY_TIMEZONES (TIMEZONE_ID,CREATION_DATE,JAVA_BUILT_IN,JAVA_VERSION,RAW_OFFSET,USES_DST,START_MONTH,START_DAY,START_DAY_WEEK,START_TIME,END_MONTH,END_DAY,END_DAY_WEEK,END_TIME) values ('Indian/Mauritius',to_date('01-JAN-00','DD-MON-RR'),'Y','1.2.2',null,null,null,null,null,null,null,null,null,null);
REM INSERTING into XY_USER_MATCH_INFO
REM INSERTING into XY_USER_TEMPLATE
REM INSERTING into XY_VIRTUAL_SERVERS
Insert into XY_VIRTUAL_SERVERS (ID,NAME) values (1,'default');
REM INSERTING into XY_VSERVER_PARAMETERS
REM INSERTING into XY_WEB_APPLICATION_MODULES
Insert into XY_WEB_APPLICATION_MODULES (MODULE_ID,MODULE_NAME,PROTECTED,PRINCIPAL_MANAGER,SESSION_MANAGER,MODULE_IMPL_CLASS_NAME) values (1001,'XyAppModule','N',2,1,'com.xythos.storageServer.webApplication.XyWebAppModule');
--------------------------------------------------------
--  DDL for Index XYTHOS_VERSION_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XYTHOS_VERSION_U1" ON "XYTHOS_VERSION" ("INSTALLABLE_MOD") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZPTRIGGRPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZPTRIGGRPS_U1" ON "QRTZ_PAUSED_TRIGGER_GRPS" ("TRIGGER_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_MULT_VAL_U2
--------------------------------------------------------

  CREATE INDEX "XWFN_MULT_VAL_U2" ON "XWFN_MULT_VAL" ("SEQUENCE_NR", "CREATED") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACTION_LOG_N1
--------------------------------------------------------

  CREATE INDEX "XY_ACTION_LOG_N1" ON "XY_ACTION_LOG" ("DISPLAY_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROPS_N4
--------------------------------------------------------

  CREATE INDEX "XY_PROPS_N4" ON "XY_PROPERTIES" ("PROPERTY_DEFINITION_ID", "BIG_DECIMAL_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_NODE_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_NODE_N2" ON "XWFN_NODE" ("NAME_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_N5
--------------------------------------------------------

  CREATE INDEX "XWF_PROCESS_N5" ON "XWF_PROCESS" ("PARENT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PMGR_IMPLS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PMGR_IMPLS_U1" ON "XY_PRINCIPAL_MANAGER_IMPLS" ("PRINCIPAL_IMPL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NOTICES_N4
--------------------------------------------------------

  CREATE INDEX "XY_NOTICES_N4" ON "XY_NOTIFICATIONS" ("AGGREGATION_TYPE", "SUBSCRIBER_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_STATUS_N1
--------------------------------------------------------

  CREATE INDEX "XWF_STATUS_N1" ON "XWF_STATUS" ("ISROOT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_SESSIONS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDG_SESSIONS_U2" ON "IDG_SESSIONS" ("PRINCIPAL_ID", "PRINCIPAL_IMPL_ID", "KEY_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ROLE_PRNCPLS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ROLE_PRNCPLS_U1" ON "XY_ROLE_PRINCIPALS" ("ROLE_ID", "PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PROPS_U1" ON "XY_PROPERTIES" ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER", "PROPERTY_DEFINITION_ID", "VALUE_POSITION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PR_GRPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PR_GRPS_U1" ON "XY_PRIVATE_GROUPS" ("GROUP_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_SEQUENCES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_SEQUENCES_U1" ON "XY_SEQUENCES" ("SEQUENCE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_NAME_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_NAME_N2" ON "XWFN_NAME" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_N6
--------------------------------------------------------

  CREATE INDEX "XWFN_V_N6" ON "XWFN_VARIABLE" ("INT_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NOTICES_N3
--------------------------------------------------------

  CREATE INDEX "XY_NOTICES_N3" ON "XY_NOTIFICATIONS" ("NOTIFICATION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index TRIGGER_TIME_N1
--------------------------------------------------------

  CREATE INDEX "TRIGGER_TIME_N1" ON "XWF_TIMERS" ("TRIGGER_TIME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_NAME_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_NAME_U1" ON "XWFN_NAME" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_N4
--------------------------------------------------------

  CREATE INDEX "XWF_DLOOK_N4" ON "XWF_DATA_LOOKUP" ("PARTICIPANT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_SVR_GRP_PRMS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_SVR_GRP_PRMS_U1" ON "XY_SERVER_GROUP_PARAMETERS" ("PARAMETER_NAME", "GROUP_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_DEF_NODE_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_DEF_NODE_N3" ON "XWFN_DEF_NODE" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_STATUS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_STATUS_U1" ON "XWF_STATUS" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_EXP_ENTRIES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_EXP_ENTRIES_U1" ON "XY_EXPIRED_ENTRIES" ("REPORT_ID", "PATH_NAME", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 165 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_UMATCH_INFO_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_UMATCH_INFO_U2" ON "XY_USER_MATCH_INFO" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_N5
--------------------------------------------------------

  CREATE INDEX "XWF_DLOOK_N5" ON "XWF_DATA_LOOKUP" ("START_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACTION_LOG_N2
--------------------------------------------------------

  CREATE INDEX "XY_ACTION_LOG_N2" ON "XY_ACTION_LOG" ("USER_ID", "USER_LOCATION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_POLICY_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_POLICY_U1" ON "XWF_POLICY" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROP_DEF_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PROP_DEF_U1" ON "XY_PROPERTY_DEFINITIONS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 131072 NEXT 2097152 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PMGR_IMPLS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PMGR_IMPLS_U2" ON "XY_PRINCIPAL_MANAGER_IMPLS" ("PRINCIPAL_IMPL_CLASS_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_WAPP_MOD_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_WAPP_MOD_U2" ON "XY_WEB_APPLICATION_MODULES" ("MODULE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_N6
--------------------------------------------------------

  CREATE INDEX "XWF_DLOOK_N6" ON "XWF_DATA_LOOKUP" ("IS_LATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LANGUAGES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LANGUAGES_U1" ON "XY_LANGUAGES" ("LANGUAGE_CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACL_TEMPL_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ACL_TEMPL_U1" ON "XY_ACL_TEMPLATES" ("TEMPLATE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PRIN_LKUPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PRIN_LKUPS_U1" ON "XY_PRINCIPAL_LOOKUPS" ("INTERNAL_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_ADD_BK_ENTS_N1
--------------------------------------------------------

  CREATE INDEX "IDG_ADD_BK_ENTS_N1" ON "IDG_ADDRESS_BOOK_ENTRIES" ("ENTRY_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_SMGR_IMPLS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_SMGR_IMPLS_U1" ON "XY_SESSION_MANAGER_IMPLS" ("SESSION_IMPL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_P_N4
--------------------------------------------------------

  CREATE INDEX "XWFN_P_N4" ON "XWFN_PROCESS" ("START_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACTION_LOG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ACTION_LOG_U1" ON "XY_ACTION_LOG" ("ACTION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZ_JOB_DETS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZ_JOB_DETS_U1" ON "QRTZ_JOB_DETAILS" ("JOB_NAME", "JOB_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LOG_PARAMS_U1
--------------------------------------------------------

  CREATE INDEX "XY_LOG_PARAMS_U1" ON "XY_ACTION_LOG_PARAMS" ("ACTION_ID", "PARAM_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PR_GRPS_N1
--------------------------------------------------------

  CREATE INDEX "XY_PR_GRPS_N1" ON "XY_PRIVATE_GROUPS" ("EXPIRATION_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_U_TEMPLT_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_U_TEMPLT_U1" ON "XY_USER_TEMPLATE" ("TEMPLATE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_D_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_TIMER_D_N3" ON "XWFN_TIMER_DEF" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ROLE_ABLTS_N1
--------------------------------------------------------

  CREATE INDEX "XY_ROLE_ABLTS_N1" ON "XY_ROLE_ABILITIES" ("ROLE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TRANS_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_TRANS_N2" ON "XWFN_TRANSITION" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_VSERVERS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_VSERVERS_U1" ON "XY_VIRTUAL_SERVERS" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_N7
--------------------------------------------------------

  CREATE INDEX "XWFN_T_N7" ON "XWFN_TASK" ("START_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROPS_N1
--------------------------------------------------------

  CREATE INDEX "XY_PROPS_N1" ON "XY_PROPERTIES" ("PROPERTY_DEFINITION_ID", "SHORT_STRING_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_TEMPL_ACES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_TEMPL_ACES_U1" ON "XY_TEMPLATE_ACES" ("TEMPLATE_ID", "PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_D_PK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_TIMER_D_PK1" ON "XWFN_TIMER_DEF" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_POLICY_N2
--------------------------------------------------------

  CREATE INDEX "XWF_POLICY_N2" ON "XWF_POLICY" ("PROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_TIMER_U1" ON "XWFN_TIMER" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_AUTHTOK_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_AUTHTOK_U1" ON "XWF_AUTHTOKENS" ("TOKEN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_TIMER_N3" ON "XWFN_TIMER" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TRANS_PK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_TRANS_PK1" ON "XWFN_TRANSITION" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_IDX_PROPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_IDX_PROPS_U1" ON "XY_INDEXED_PROPERTIES" ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_P_N5
--------------------------------------------------------

  CREATE INDEX "XWFN_P_N5" ON "XWFN_PROCESS" ("END_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_N1
--------------------------------------------------------

  CREATE INDEX "XWF_DLOOK_N1" ON "XWF_DATA_LOOKUP" ("FILE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_GBL_GRPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDG_GBL_GRPS_U1" ON "IDG_GLOBAL_GROUPS" ("GROUP_NAME", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_T_N3" ON "XWFN_TASK" ("NODE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_ADD_BK_ENTS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDG_ADD_BK_ENTS_U1" ON "IDG_ADDRESS_BOOK_ENTRIES" ("PRINCIPAL_ID", "ENTRY_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_PROCESS_U1" ON "XWF_PROCESS" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_USERS_N3
--------------------------------------------------------

  CREATE INDEX "IDG_USERS_N3" ON "IDG_USERS" ("USERNAME", "USER_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_DEF_NODE_PK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_DEF_NODE_PK1" ON "XWFN_DEF_NODE" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZSIMPTRIG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZSIMPTRIG_U1" ON "QRTZ_SIMPLE_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZBLOBTRIG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZBLOBTRIG_U1" ON "QRTZ_BLOB_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_FILE_SYSTEMS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_FILE_SYSTEMS_U1" ON "XY_FILE_SYSTEMS" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NAMESPACES_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_NAMESPACES_U2" ON "XY_NAMESPACES" ("NAMESPACE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 167 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_N1
--------------------------------------------------------

  CREATE INDEX "XWF_PROCESS_N1" ON "XWF_PROCESS" ("ISROOT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_GBL_GRPS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDG_GBL_GRPS_U2" ON "IDG_GLOBAL_GROUPS" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ROLE_ABLTS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ROLE_ABLTS_U1" ON "XY_ROLE_ABILITIES" ("ABILITY_ID", "ROLE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PARLOOKUP_N1
--------------------------------------------------------

  CREATE INDEX "XWF_PARLOOKUP_N1" ON "XWF_PARENT_LOOKUP" ("PROCESS_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_STATUS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_STATUS_U2" ON "XWF_STATUS" ("REACTOROBJECTID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_POLICY_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_POLICY_U2" ON "XWF_POLICY" ("REACTOROBJECTID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_DEF_NODE_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_DEF_NODE_N2" ON "XWFN_DEF_NODE" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_DEF_PK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_DEF_PK1" ON "XWFN_DEFINITION" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ROLES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ROLES_U1" ON "XY_ROLES" ("ROLE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ABILITIES_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ABILITIES_U2" ON "XY_ABILITIES" ("ABILITY_NAME", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_FLOWLOCKS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_FLOWLOCKS_U1" ON "XWF_FLOW_LOCKS" ("FLOW_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_NODE_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_NODE_U1" ON "XWFN_NODE" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_N3
--------------------------------------------------------

  CREATE INDEX "XWF_DLOOK_N3" ON "XWF_DATA_LOOKUP" ("TEMPLATE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_SERVER_GRPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_SERVER_GRPS_U1" ON "XY_SERVER_GROUPS" ("GROUP_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_N5
--------------------------------------------------------

  CREATE INDEX "XWFN_T_N5" ON "XWFN_TASK" ("ACTOR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_CONDCH_N3
--------------------------------------------------------

  CREATE INDEX "XWF_CONDCH_N3" ON "XWF_CONDITIONAL_CHANGE" ("CONDITIONTARGETPROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_N8
--------------------------------------------------------

  CREATE INDEX "XWFN_T_N8" ON "XWFN_TASK" ("END_DATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ROLE_PRNCPLS_N1
--------------------------------------------------------

  CREATE INDEX "XY_ROLE_PRNCPLS_N1" ON "XY_ROLE_PRINCIPALS" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_DF_T_H_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_DF_T_H_U2" ON "XWF_DOCFLOW_TEMPLATE_HEADER" ("LABEL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_VAR_D_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_VAR_D_N3" ON "XWFN_VARIABLE_DEF" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_USERS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDG_USERS_U1" ON "IDG_USERS" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCACE_N1
--------------------------------------------------------

  CREATE INDEX "XWF_PROCACE_N1" ON "XWF_PROCESS_ACE" ("ASSIGNEE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PARLOOKUP_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_PARLOOKUP_U1" ON "XWF_PARENT_LOOKUP" ("TASK_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZ_TRIGGERS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZ_TRIGGERS_U1" ON "QRTZ_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_FCT_ATTRS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_FCT_ATTRS_U1" ON "XY_SEARCH_PARSER_FCT_ATTRS" ("PARSER_FACTORY_ID", "ATTR_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_SMB_SHARES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_SMB_SHARES_U1" ON "XY_SMB_SHARES" ("SHARE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_CONDCHE_N2
--------------------------------------------------------

  CREATE INDEX "XWF_CONDCHE_N2" ON "XWF_CONDITIONAL_CHANGE" ("PROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZ_LOCKS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZ_LOCKS_U1" ON "QRTZ_LOCKS" ("LOCK_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_REACEVENT_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_REACEVENT_U1" ON "XWF_REACTOR_EVENT" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NOTICES_N1
--------------------------------------------------------

  CREATE INDEX "XY_NOTICES_N1" ON "XY_NOTIFICATIONS" ("NOTIFICATION_DATE", "AGGREGATION_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_DEF_N2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_DEF_N2" ON "XWFN_DEFINITION" ("EXTERNAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACTION_LOG_N5
--------------------------------------------------------

  CREATE INDEX "XY_ACTION_LOG_N5" ON "XY_ACTION_LOG" ("ACTION_DATE", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_RNG_SERVS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_RNG_SERVS_U1" ON "XY_RUNNING_SERVERS" ("HOST", "INTERNAL_ADMIN_PORT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LDAP_TMPLT_U3
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LDAP_TMPLT_U3" ON "XY_LDAP_USER_TEMPLATES" ("SEQUENCE_NUMBER", "MAPPING_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_OPERAND_N1
--------------------------------------------------------

  CREATE INDEX "XWF_OPERAND_N1" ON "XWF_OPERAND" ("ISROOT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROPS_N2
--------------------------------------------------------

  CREATE INDEX "XY_PROPS_N2" ON "XY_PROPERTIES" ("PROPERTY_DEFINITION_ID", "NUMBER_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PLKUP_ALSS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PLKUP_ALSS_U2" ON "XY_PRINCIPAL_LOOKUP_ALIASES" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_SESSIONS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDG_SESSIONS_U1" ON "IDG_SESSIONS" ("SESSION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_WAPP_MOD_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_WAPP_MOD_U1" ON "XY_WEB_APPLICATION_MODULES" ("MODULE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_V_U1" ON "XWFN_VARIABLE" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_STATATTR_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_STATATTR_U1" ON "XWF_STATUS_ATTRIBUTES" ("STATUS", "NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NAMESPACES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_NAMESPACES_U1" ON "XY_NAMESPACES" ("NAMESPACE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_POLICY_N1
--------------------------------------------------------

  CREATE INDEX "XWF_POLICY_N1" ON "XWF_POLICY" ("ISROOT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PLKUP_ALSS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PLKUP_ALSS_U1" ON "XY_PRINCIPAL_LOOKUP_ALIASES" ("INTERNAL_PRINCIPAL_ID", "PRINCIPAL_IMPL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_E_P_N6
--------------------------------------------------------

  CREATE INDEX "XWFN_E_P_N6" ON "XWFN_EXEC_POINTER" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_VALUE_CH_N4
--------------------------------------------------------

  CREATE INDEX "XY_VALUE_CH_N4" ON "XY_PROPERTY_VALUE_CHOICES" ("PROPERTY_DEFINITION_ID", "BIG_DECIMAL_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_VALUE_CH_N1
--------------------------------------------------------

  CREATE INDEX "XY_VALUE_CH_N1" ON "XY_PROPERTY_VALUE_CHOICES" ("PROPERTY_DEFINITION_ID", "SHORT_STRING_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_DIR_CFG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_DIR_CFG_U1" ON "XY_DIR_CFG" ("DIR_CFG_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_D_X_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_D_X_N2" ON "XWFN_DEFINITION_XML" ("MD5HASH") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_VAR_D_N4
--------------------------------------------------------

  CREATE INDEX "XWFN_VAR_D_N4" ON "XWFN_VARIABLE_DEF" ("VAL2") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_TIMSPEC_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_TIMSPEC_U1" ON "XWF_TIMER_SPEC" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_N5
--------------------------------------------------------

  CREATE INDEX "XWFN_V_N5" ON "XWFN_VARIABLE" ("STR_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NONCES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_NONCES_U1" ON "XY_NONCES" ("NONCE", "IPADDRESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index FLOW_ID_N2
--------------------------------------------------------

  CREATE INDEX "FLOW_ID_N2" ON "XWF_TIMERS" ("FLOW_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_E_P_N5
--------------------------------------------------------

  CREATE INDEX "XWFN_E_P_N5" ON "XWFN_EXEC_POINTER" ("PARENT_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCCSTAT_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_PROCCSTAT_U1" ON "XWF_PROCESS_CURRENTSTATUS" ("STATUS", "PROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_TIMER_N2" ON "XWFN_TIMER" ("FLOW_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PARSER_FCT_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PARSER_FCT_U1" ON "XY_SEARCH_PARSER_FACTORIES" ("PARSER_FACTORY_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_N3
--------------------------------------------------------

  CREATE INDEX "XWF_PROCESS_N3" ON "XWF_PROCESS" ("ISDEFINITION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_DF_T_H_N3
--------------------------------------------------------

  CREATE INDEX "XY_DF_T_H_N3" ON "XWF_DOCFLOW_TEMPLATE_HEADER" ("OWNER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_V_N3" ON "XWFN_VARIABLE" ("TASK_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_VAR_D_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_VAR_D_N2" ON "XWFN_VARIABLE_DEF" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_E_P_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_E_P_N2" ON "XWFN_EXEC_POINTER" ("PROCESS_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_OPERAND_N2
--------------------------------------------------------

  CREATE INDEX "XWF_OPERAND_N2" ON "XWF_OPERAND" ("PROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_UMATCH_INFO_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_UMATCH_INFO_U1" ON "XY_USER_MATCH_INFO" ("USER_MATCH_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_DOC_CLASSES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_DOC_CLASSES_U1" ON "XY_DOCUMENT_CLASSES" ("CLASS_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_RET_SCH_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_RET_SCH_U1" ON "XY_RETENTION_SCHEDULES" ("RETENTION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_P_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_P_N2" ON "XWFN_PROCESS" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_N6
--------------------------------------------------------

  CREATE INDEX "XWFN_T_N6" ON "XWFN_TASK" ("ACTOR_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_N2
--------------------------------------------------------

  CREATE INDEX "XWF_PROCESS_N2" ON "XWF_PROCESS" ("ROOTPROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_T_U2" ON "XWFN_TASK" ("PROCESS_ID", "NODE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_T_N2" ON "XWFN_TASK" ("PROCESS_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_GRP_MEMS_N1
--------------------------------------------------------

  CREATE INDEX "IDG_GRP_MEMS_N1" ON "IDG_GROUP_MEMBERS" ("MEMBER_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_GRP_MEMS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDG_GRP_MEMS_U1" ON "IDG_GROUP_MEMBERS" ("GROUP_PRINCIPAL_ID", "MEMBER_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_ACLS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_ACLS_U1" ON "XWF_ACLS" ("TEMPLATE_ID", "PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TRANS_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_TRANS_N3" ON "XWFN_TRANSITION" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DF_T_H_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_DF_T_H_U1" ON "XWF_DOCFLOW_TEMPLATE_HEADER" ("TEMPLATE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_N4
--------------------------------------------------------

  CREATE INDEX "XWFN_TIMER_N4" ON "XWFN_TIMER" ("TASK_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_DLOOK_U1" ON "XWF_DATA_LOOKUP" ("FLOW_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_N6
--------------------------------------------------------

  CREATE INDEX "XWF_PROCESS_N6" ON "XWF_PROCESS" ("STATE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZTRIGLIST_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZTRIGLIST_U1" ON "QRTZ_TRIGGER_LISTENERS" ("TRIGGER_NAME", "TRIGGER_GROUP", "TRIGGER_LISTENER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_CONDCH_N1
--------------------------------------------------------

  CREATE INDEX "XWF_CONDCH_N1" ON "XWF_CONDITIONAL_CHANGE" ("PARENT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_NODE_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_NODE_N3" ON "XWFN_NODE" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZSCHEDST_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZSCHEDST_U1" ON "QRTZ_SCHEDULER_STATE" ("INSTANCE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NOTICES_N2
--------------------------------------------------------

  CREATE INDEX "XY_NOTICES_N2" ON "XY_NOTIFICATIONS" ("BEING_HELD_BY") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_CONDCH_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_CONDCH_U1" ON "XWF_CONDITIONAL_CHANGE" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LDAP_SVRS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LDAP_SVRS_U1" ON "XY_LDAP_SERVERS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LDAP_SVRS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LDAP_SVRS_U2" ON "XY_LDAP_SERVERS" ("SERVER", "PORT", "SSL_ENABLED_FLAG") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_RET_SCH_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_RET_SCH_U2" ON "XY_RETENTION_SCHEDULES" ("RETENTION_NAME", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_TIMSPEC_N1
--------------------------------------------------------

  CREATE INDEX "XWF_TIMSPEC_N1" ON "XWF_TIMER_SPEC" ("PROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_T_U1" ON "XWFN_TASK" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NWK_ADD_ALS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_NWK_ADD_ALS_U1" ON "XY_NETWORK_ADDRESS_ALIASES" ("HOST", "PORT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_N2
--------------------------------------------------------

  CREATE INDEX "XWF_DLOOK_N2" ON "XWF_DATA_LOOKUP" ("PROCESS_OWNER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_E_P_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_E_P_U1" ON "XWFN_EXEC_POINTER" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_DCLASS_PROPS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_DCLASS_PROPS_U2" ON "XY_DOC_CLASS_PROPERTIES" ("DOC_CLASS_ID", "POSITION_NUMBER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROPS_N3
--------------------------------------------------------

  CREATE INDEX "XY_PROPS_N3" ON "XY_PROPERTIES" ("PROPERTY_DEFINITION_ID", "DATE_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCACE_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_PROCACE_U1" ON "XWF_PROCESS_ACE" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_STRGE_LOCS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_STRGE_LOCS_U1" ON "XY_STORAGE_LOCATIONS" ("STORAGE_LOCATION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_MULT_VAL_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_MULT_VAL_U1" ON "XWFN_MULT_VAL" ("VARIABLE_ID", "SEQUENCE_NR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_SMGR_IMPLS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_SMGR_IMPLS_U2" ON "XY_SESSION_MANAGER_IMPLS" ("SESSION_IMPL_CLASS_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_USERS_N1
--------------------------------------------------------

  CREATE INDEX "IDG_USERS_N1" ON "IDG_USERS" ("EMAIL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROP_DEF_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PROP_DEF_U2" ON "XY_PROPERTY_DEFINITIONS" ("NAMESPACE_ID", "PROPERTY_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE(INITIAL 131072 NEXT 2097152 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ABILITY_DS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ABILITY_DS_U1" ON "XY_ABILITY_DEPENDS" ("ABILITY_ID", "DEPENDS_ON_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ABILITIES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ABILITIES_U1" ON "XY_ABILITIES" ("ABILITY_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PR_GRPS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PR_GRPS_U2" ON "XY_PRIVATE_GROUPS" ("GROUP_KEY") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_CACHED_PRNS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_CACHED_PRNS_U1" ON "XY_CACHED_PRINCIPALS" ("PRINCIPAL_ID", "ALT_PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_STATUS_N2
--------------------------------------------------------

  CREATE INDEX "XWF_STATUS_N2" ON "XWF_STATUS" ("PROCESS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_POLATTR_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_POLATTR_U1" ON "XWF_POLICY_ATTRIBUTES" ("POLICY", "NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LDAP_DOMAINS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LDAP_DOMAINS_U1" ON "XY_LDAP_DOMAINS" ("DOMAIN_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_VALUE_CH_N3
--------------------------------------------------------

  CREATE INDEX "XY_VALUE_CH_N3" ON "XY_PROPERTY_VALUE_CHOICES" ("PROPERTY_DEFINITION_ID", "DATE_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_DCLASS_PROPS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_DCLASS_PROPS_U1" ON "XY_DOC_CLASS_PROPERTIES" ("DOC_CLASS_ID", "PROPERTY_DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACTION_LOG_N3
--------------------------------------------------------

  CREATE INDEX "XY_ACTION_LOG_N3" ON "XY_ACTION_LOG" ("ACTION_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_N4
--------------------------------------------------------

  CREATE INDEX "XWF_PROCESS_N4" ON "XWF_PROCESS" ("DEFINITION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESSATT_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_PROCESSATT_U1" ON "XWF_PROCESS_ATTRIBUTES" ("PROCESS", "NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_UMATCH_INFO_N1
--------------------------------------------------------

  CREATE INDEX "XY_UMATCH_INFO_N1" ON "XY_USER_MATCH_INFO" ("MATCH_VALUE", "MATCH_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZ_CALENDARS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZ_CALENDARS_U1" ON "QRTZ_CALENDARS" ("CALENDAR_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZ_FIRED_TRIG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZ_FIRED_TRIG_U1" ON "QRTZ_FIRED_TRIGGERS" ("ENTRY_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_OPATTR_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_OPATTR_U1" ON "XWF_OPERAND_ATTRIBUTES" ("OPERAND", "NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PRG_LOCKS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PRG_LOCKS_U1" ON "XY_PROGRAMS" ("PROGRAM_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_N7
--------------------------------------------------------

  CREATE INDEX "XWFN_V_N7" ON "XWFN_VARIABLE" ("IS_INTERNAL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_N5
--------------------------------------------------------

  CREATE INDEX "XWFN_TIMER_N5" ON "XWFN_TIMER" ("TRIGGER_TIME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_VALUE_CH_N2
--------------------------------------------------------

  CREATE INDEX "XY_VALUE_CH_N2" ON "XY_PROPERTY_VALUE_CHOICES" ("PROPERTY_DEFINITION_ID", "NUMBER_VALUE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PARSER_FCT_U3
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PARSER_FCT_U3" ON "XY_SEARCH_PARSER_FACTORIES" ("PARSER_FACTORY_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_EXP_ENTRIES_N1
--------------------------------------------------------

  CREATE INDEX "XY_EXP_ENTRIES_N1" ON "XY_EXPIRED_ENTRIES" ("REPORT_ID", "STATUS_CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LDAP_SVRS_U3
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LDAP_SVRS_U3" ON "XY_LDAP_SERVERS" ("SEQUENCE_NUMBER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LDAP_TMPLT_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LDAP_TMPLT_U2" ON "XY_LDAP_USER_TEMPLATES" ("LDAP_VALUE", "MAPPING_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_E_P_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_E_P_N3" ON "XWFN_EXEC_POINTER" ("NODE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_PROCESS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_PROCESS_U2" ON "XWF_PROCESS" ("REACTOROBJECTID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_OPERAND_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_OPERAND_U2" ON "XWF_OPERAND" ("REACTOROBJECTID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACL_TEMPL_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ACL_TEMPL_U2" ON "XY_ACL_TEMPLATES" ("TEMPLATE_NAME", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_P_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_P_U1" ON "XWFN_PROCESS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DLOOK_N7
--------------------------------------------------------

  CREATE INDEX "XWF_DLOOK_N7" ON "XWF_DATA_LOOKUP" ("IS_PARAM") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_TIMER_D_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_TIMER_D_N2" ON "XWFN_TIMER_DEF" ("DEFINITION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZ_CRON_TRIG_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZ_CRON_TRIG_U1" ON "QRTZ_CRON_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_VSERVER_PARM_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_VSERVER_PARM_U1" ON "XY_VSERVER_PARAMETERS" ("VIRTUAL_SERVER_ID", "PARAMETER_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_V_U2" ON "XWFN_VARIABLE" ("PROCESS_ID", "TASK_ID", "NAME", "IS_INTERNAL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PRIN_LKUPS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PRIN_LKUPS_U2" ON "XY_PRINCIPAL_LOOKUPS" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_T_N4
--------------------------------------------------------

  CREATE INDEX "XWFN_T_N4" ON "XWFN_TASK" ("STATUS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index QRTZ_JOB_LIST_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "QRTZ_JOB_LIST_U1" ON "QRTZ_JOB_LISTENERS" ("JOB_NAME", "JOB_GROUP", "JOB_LISTENER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_N4
--------------------------------------------------------

  CREATE INDEX "XWFN_V_N4" ON "XWFN_VARIABLE" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_D_X_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_D_X_U1" ON "XWFN_DEFINITION_XML" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_NONCES_N1
--------------------------------------------------------

  CREATE INDEX "XY_NONCES_N1" ON "XY_NONCES" ("NONCE_TIME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_LDAP_TMPLT_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_LDAP_TMPLT_U1" ON "XY_LDAP_USER_TEMPLATES" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_E_P_N4
--------------------------------------------------------

  CREATE INDEX "XWFN_E_P_N4" ON "XWFN_EXEC_POINTER" ("STATUS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_TIMERS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_TIMERS_U1" ON "XWF_TIMERS" ("TIMER_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_E_P_N7
--------------------------------------------------------

  CREATE INDEX "XWFN_E_P_N7" ON "XWFN_EXEC_POINTER" ("PROCESS_ID", "NODE_NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_OPERAND_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_OPERAND_U1" ON "XWF_OPERAND" ("REALID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_EXP_ENTRIES_N2
--------------------------------------------------------

  CREATE INDEX "XY_EXP_ENTRIES_N2" ON "XY_EXPIRED_ENTRIES" ("STATUS_CODE", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ROLES_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ROLES_U2" ON "XY_ROLES" ("ROLE_NAME", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PR_GRPS_U3
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PR_GRPS_U3" ON "XY_PRIVATE_GROUPS" ("OWNER_PRINCIPAL_ID", "DISPLAY_NAME", "PG_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PARSER_FCT_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PARSER_FCT_U2" ON "XY_SEARCH_PARSER_FACTORIES" ("PARSER_FACTORY_CLASS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_CRIT_ERROR_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_CRIT_ERROR_U1" ON "XY_CRIT_ERROR" ("ERROR_TYPE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_V_N2
--------------------------------------------------------

  CREATE INDEX "XWFN_V_N2" ON "XWFN_VARIABLE" ("PROCESS_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_PROP_NSPACE_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_PROP_NSPACE_U1" ON "XY_PROPERTY_NAMESPACES" ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "PROPERTY_DEFINITION_ID", "NAMESPACE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ACTION_LOG_N4
--------------------------------------------------------

  CREATE INDEX "XY_ACTION_LOG_N4" ON "XY_ACTION_LOG" ("PRINCIPAL_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_P_N3
--------------------------------------------------------

  CREATE INDEX "XWFN_P_N3" ON "XWFN_PROCESS" ("STATUS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_VAR_D_PK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_VAR_D_PK1" ON "XWFN_VARIABLE_DEF" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_VSERVERS_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_VSERVERS_U2" ON "XY_VIRTUAL_SERVERS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWFN_LOCKS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWFN_LOCKS_U1" ON "XWFN_LOCKS" ("NAME") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ABILITIES_U3
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ABILITIES_U3" ON "XY_ABILITIES" ("UNIQUE_KEY") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_ROOT_DIRS_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_ROOT_DIRS_U1" ON "XY_ROOT_DIRECTORIES" ("ROOT_DIRECTORY_NAME", "ROOT_DIRECTORY_VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDG_USERS_N2
--------------------------------------------------------

  CREATE INDEX "IDG_USERS_N2" ON "IDG_USERS" ("TOKEN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XWF_DF_T_D_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XWF_DF_T_D_U1" ON "XWF_DOCFLOW_TEMPLATE_DATA" ("TEMPLATE_ID", "TEMPLATE_ORDER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_TIMEZONES_U1
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_TIMEZONES_U1" ON "XY_TIMEZONES" ("TIMEZONE_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index XY_DOC_CLASSES_U2
--------------------------------------------------------

  CREATE UNIQUE INDEX "XY_DOC_CLASSES_U2" ON "XY_DOCUMENT_CLASSES" ("CLASS_NAME", "VIRTUAL_SERVER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table XY_DOC_CLASS_PROPERTIES
--------------------------------------------------------

  ALTER TABLE "XY_DOC_CLASS_PROPERTIES" ADD CONSTRAINT "XY_DCLASS_PROPS_U1" PRIMARY KEY ("DOC_CLASS_ID", "PROPERTY_DEFINITION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_DOC_CLASS_PROPERTIES" MODIFY ("DELETEABLE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_DOC_CLASS_PROPERTIES" MODIFY ("MANDATORY_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_DOC_CLASS_PROPERTIES" MODIFY ("POSITION_NUMBER" NOT NULL ENABLE);
  ALTER TABLE "XY_DOC_CLASS_PROPERTIES" MODIFY ("PROPERTY_DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_DOC_CLASS_PROPERTIES" MODIFY ("DOC_CLASS_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_TIMER
--------------------------------------------------------

  ALTER TABLE "XWFN_TIMER" ADD CONSTRAINT "XWFN_TIMER_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_TIMER" MODIFY ("TRIGGER_TIME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER" MODIFY ("TIMER_NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER" MODIFY ("FLOW_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER" MODIFY ("TASK_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_NAME
--------------------------------------------------------

  ALTER TABLE "XWFN_NAME" ADD CONSTRAINT "XWFN_NAME_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_NAME" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_NAME" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_TASK
--------------------------------------------------------

  ALTER TABLE "XWFN_TASK" ADD CONSTRAINT "XWFN_T_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_TASK" MODIFY ("ACTOR_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TASK" MODIFY ("ACTOR" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TASK" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TASK" MODIFY ("NODE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TASK" MODIFY ("PROCESS_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TASK" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_PROCESS
--------------------------------------------------------

  ALTER TABLE "XWFN_PROCESS" ADD CONSTRAINT "XWFN_P_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_PROCESS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "XWFN_PROCESS" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_PROCESS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_AUTHTOKENS
--------------------------------------------------------

  ALTER TABLE "XWF_AUTHTOKENS" ADD CONSTRAINT "XWF_AUTHTOK_U1" PRIMARY KEY ("TOKEN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_AUTHTOKENS" MODIFY ("TOKEN" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_STORAGE_LOCATIONS
--------------------------------------------------------

  ALTER TABLE "XY_STORAGE_LOCATIONS" ADD CONSTRAINT "XY_STRGE_LOCS_U1" PRIMARY KEY ("STORAGE_LOCATION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_STORAGE_LOCATIONS" MODIFY ("STORAGE_LOCATION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PRINCIPAL_LOOKUP_ALIASES
--------------------------------------------------------

  ALTER TABLE "XY_PRINCIPAL_LOOKUP_ALIASES" ADD CONSTRAINT "XY_PLKUP_ALSS_U1" PRIMARY KEY ("INTERNAL_PRINCIPAL_ID", "PRINCIPAL_IMPL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PRINCIPAL_LOOKUP_ALIASES" MODIFY ("PRINCIPAL_IMPL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PRINCIPAL_LOOKUP_ALIASES" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PRINCIPAL_LOOKUP_ALIASES" MODIFY ("INTERNAL_PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ROOT_DIRECTORIES
--------------------------------------------------------

  ALTER TABLE "XY_ROOT_DIRECTORIES" ADD CONSTRAINT "XY_ROOT_DIRS_U1" PRIMARY KEY ("ROOT_DIRECTORY_NAME", "ROOT_DIRECTORY_VIRTUAL_SERVER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_ROOT_DIRECTORIES" MODIFY ("FILE_LOCATION" NOT NULL ENABLE);
  ALTER TABLE "XY_ROOT_DIRECTORIES" MODIFY ("LAST_UPDATE_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_ROOT_DIRECTORIES" MODIFY ("LAST_UPDATED_BY" NOT NULL ENABLE);
  ALTER TABLE "XY_ROOT_DIRECTORIES" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_ROOT_DIRECTORIES" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "XY_ROOT_DIRECTORIES" MODIFY ("ROOT_DIRECTORY_VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_ROOT_DIRECTORIES" MODIFY ("ROOT_DIRECTORY_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_RUNNING_SERVERS
--------------------------------------------------------

  ALTER TABLE "XY_RUNNING_SERVERS" ADD CONSTRAINT "XY_RNG_SERVS_U1" PRIMARY KEY ("HOST", "INTERNAL_ADMIN_PORT")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_RUNNING_SERVERS" MODIFY ("DATE_STARTED" NOT NULL ENABLE);
  ALTER TABLE "XY_RUNNING_SERVERS" MODIFY ("SERVER_GROUP" NOT NULL ENABLE);
  ALTER TABLE "XY_RUNNING_SERVERS" MODIFY ("INTERNAL_ADMIN_PORT" NOT NULL ENABLE);
  ALTER TABLE "XY_RUNNING_SERVERS" MODIFY ("HOST" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_MULT_VAL
--------------------------------------------------------

  ALTER TABLE "XWFN_MULT_VAL" ADD CONSTRAINT "XWFN_MULT_VAL_U1" PRIMARY KEY ("VARIABLE_ID", "SEQUENCE_NR")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_MULT_VAL" MODIFY ("SEQUENCE_NR" NOT NULL ENABLE);
  ALTER TABLE "XWFN_MULT_VAL" MODIFY ("VARIABLE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PROPERTY_DEFINITIONS
--------------------------------------------------------

  ALTER TABLE "XY_PROPERTY_DEFINITIONS" ADD CONSTRAINT "XY_PROP_DEF_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 131072 NEXT 2097152 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("IS_DERIVED" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("IS_FULL_TEXT_INDEXED" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("IS_PROTECTED" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("IS_INDEXED" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("CASE_SENSITIVE" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("IS_WRITEABLE" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("IS_READABLE" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("IS_VERSIONED" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("DATATYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("PROPERTY_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("NAMESPACE_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_DEFINITIONS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_VARIABLE
--------------------------------------------------------

  ALTER TABLE "XWFN_VARIABLE" ADD CONSTRAINT "XWFN_V_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_VARIABLE" MODIFY ("IS_INTERNAL" NOT NULL ENABLE);
  ALTER TABLE "XWFN_VARIABLE" MODIFY ("VAR_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XWFN_VARIABLE" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_VARIABLE" MODIFY ("PROCESS_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_VARIABLE" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_SCHEDULER_STATE
--------------------------------------------------------

  ALTER TABLE "QRTZ_SCHEDULER_STATE" ADD CONSTRAINT "QRTZSCHEDST_U1" PRIMARY KEY ("INSTANCE_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_SCHEDULER_STATE" MODIFY ("CHECKIN_INTERVAL" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_SCHEDULER_STATE" MODIFY ("LAST_CHECKIN_TIME" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_SCHEDULER_STATE" MODIFY ("INSTANCE_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_EXPIRED_ENTRIES
--------------------------------------------------------

  ALTER TABLE "XY_EXPIRED_ENTRIES" ADD CONSTRAINT "XY_EXP_ENTRIES_U1" PRIMARY KEY ("REPORT_ID", "PATH_NAME", "VIRTUAL_SERVER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 165 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_EXPIRED_ENTRIES" MODIFY ("REPORT_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_EXPIRED_ENTRIES" MODIFY ("STATUS_CODE" NOT NULL ENABLE);
  ALTER TABLE "XY_EXPIRED_ENTRIES" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_EXPIRED_ENTRIES" MODIFY ("PATH_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_EXPIRED_ENTRIES" MODIFY ("REPORT_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_CRON_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "QRTZ_CRON_TRIG_U1" PRIMARY KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_CRON_TRIGGERS" MODIFY ("CRON_EXPRESSION" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_CRON_TRIGGERS" MODIFY ("TRIGGER_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_CRON_TRIGGERS" MODIFY ("TRIGGER_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_PROCESS_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS_ATTRIBUTES" ADD CONSTRAINT "XWF_PROCESSATT_U1" PRIMARY KEY ("PROCESS", "NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_PROCESS_ATTRIBUTES" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWF_PROCESS_ATTRIBUTES" MODIFY ("PROCESS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ACTION_LOG
--------------------------------------------------------

  ALTER TABLE "XY_ACTION_LOG" MODIFY ("ACTION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_ACTION_LOG" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_ACTION_LOG" MODIFY ("ACTION_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_ACTION_LOG" MODIFY ("ACTION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_NONCES
--------------------------------------------------------

  ALTER TABLE "XY_NONCES" ADD CONSTRAINT "XY_NONCES_U1" PRIMARY KEY ("NONCE", "IPADDRESS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_NONCES" MODIFY ("NONCE_TIME" NOT NULL ENABLE);
  ALTER TABLE "XY_NONCES" MODIFY ("IPADDRESS" NOT NULL ENABLE);
  ALTER TABLE "XY_NONCES" MODIFY ("NONCE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_POLICY_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_POLICY_ATTRIBUTES" ADD CONSTRAINT "XWF_POLATTR_U1" PRIMARY KEY ("POLICY", "NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_POLICY_ATTRIBUTES" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWF_POLICY_ATTRIBUTES" MODIFY ("POLICY" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_TIMER_DEF
--------------------------------------------------------

  ALTER TABLE "XWFN_TIMER_DEF" ADD CONSTRAINT "XWFN_TIMER_D_PK1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_TIMER_DEF" MODIFY ("TIME_VALUE" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER_DEF" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER_DEF" MODIFY ("NODE_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER_DEF" MODIFY ("TYPE" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER_DEF" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TIMER_DEF" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_STATUS_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_STATUS_ATTRIBUTES" ADD CONSTRAINT "XWF_STATATTR_U1" PRIMARY KEY ("STATUS", "NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_STATUS_ATTRIBUTES" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWF_STATUS_ATTRIBUTES" MODIFY ("STATUS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_JOB_DETAILS
--------------------------------------------------------

  ALTER TABLE "QRTZ_JOB_DETAILS" ADD CONSTRAINT "QRTZ_JOB_DETS_U1" PRIMARY KEY ("JOB_NAME", "JOB_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_JOB_DETAILS" MODIFY ("REQUESTS_RECOVERY" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_DETAILS" MODIFY ("IS_STATEFUL" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_DETAILS" MODIFY ("IS_VOLATILE" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_DETAILS" MODIFY ("IS_DURABLE" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_DETAILS" MODIFY ("JOB_CLASS_NAME" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_DETAILS" MODIFY ("JOB_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_DETAILS" MODIFY ("JOB_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_DOCFLOW_TEMPLATE_HEADER
--------------------------------------------------------

  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_HEADER" ADD CONSTRAINT "XWF_DF_T_H_U1" PRIMARY KEY ("TEMPLATE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_HEADER" MODIFY ("MODIFIED_BY" NOT NULL ENABLE);
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_HEADER" MODIFY ("LAST_MODIFIED" NOT NULL ENABLE);
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_HEADER" MODIFY ("OWNER" NOT NULL ENABLE);
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_HEADER" MODIFY ("LABEL" NOT NULL ENABLE);
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_HEADER" MODIFY ("TEMPLATE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_BLOB_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT "QRTZBLOBTRIG_U1" PRIMARY KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_BLOB_TRIGGERS" MODIFY ("TRIGGER_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_BLOB_TRIGGERS" MODIFY ("TRIGGER_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_DIR_CFG
--------------------------------------------------------

  ALTER TABLE "XY_DIR_CFG" ADD CONSTRAINT "XY_DIR_CFG_U1" PRIMARY KEY ("DIR_CFG_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_DIR_CFG" MODIFY ("TEMPLATE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("QUOTA_LOCKED" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("OWNER" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("BANDWIDTH_QUOTA" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("QUOTA" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("PARENT_DIR_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("ROOT_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_DIR_CFG" MODIFY ("DIR_CFG_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_SIMPLE_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "QRTZSIMPTRIG_U1" PRIMARY KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_SIMPLE_TRIGGERS" MODIFY ("TIMES_TRIGGERED" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_SIMPLE_TRIGGERS" MODIFY ("REPEAT_INTERVAL" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_SIMPLE_TRIGGERS" MODIFY ("REPEAT_COUNT" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_SIMPLE_TRIGGERS" MODIFY ("TRIGGER_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_SIMPLE_TRIGGERS" MODIFY ("TRIGGER_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_VARIABLE_DEF
--------------------------------------------------------

  ALTER TABLE "XWFN_VARIABLE_DEF" ADD CONSTRAINT "XWFN_VAR_D_PK1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_VARIABLE_DEF" MODIFY ("TYPE" NOT NULL ENABLE);
  ALTER TABLE "XWFN_VARIABLE_DEF" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_VARIABLE_DEF" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_VARIABLE_DEF" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_MANAGER
--------------------------------------------------------

  ALTER TABLE "XY_MANAGER" MODIFY ("LICENSE_KEY" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_PROCESS_ACE
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS_ACE" ADD CONSTRAINT "XWF_PROCACE_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_PROCESS_ACE" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_PARENT_LOOKUP
--------------------------------------------------------

  ALTER TABLE "XWF_PARENT_LOOKUP" ADD CONSTRAINT "XWF_PARLOOKUP_U1" PRIMARY KEY ("TASK_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_PARENT_LOOKUP" MODIFY ("TASK_ID" NOT NULL ENABLE);
  ALTER TABLE "XWF_PARENT_LOOKUP" MODIFY ("PROCESS_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ABILITIES
--------------------------------------------------------

  ALTER TABLE "XY_ABILITIES" ADD CONSTRAINT "XY_ABILITIES_U1" PRIMARY KEY ("ABILITY_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_ABILITIES" MODIFY ("UNIQUE_KEY" NOT NULL ENABLE);
  ALTER TABLE "XY_ABILITIES" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_ABILITIES" MODIFY ("ABILITY_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_ABILITIES" MODIFY ("ABILITY_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_SERVER_GROUP_PARAMETERS
--------------------------------------------------------

  ALTER TABLE "XY_SERVER_GROUP_PARAMETERS" ADD CONSTRAINT "XY_SVR_GRP_PRMS_U1" PRIMARY KEY ("PARAMETER_NAME", "GROUP_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_SERVER_GROUP_PARAMETERS" MODIFY ("PARAMETER_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_SERVER_GROUP_PARAMETERS" MODIFY ("GROUP_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_RETENTION_SCHEDULES
--------------------------------------------------------

  ALTER TABLE "XY_RETENTION_SCHEDULES" ADD CONSTRAINT "XY_RET_SCH_U1" PRIMARY KEY ("RETENTION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_RETENTION_SCHEDULES" MODIFY ("PERMANENT_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_RETENTION_SCHEDULES" MODIFY ("EXPIRATION_YEARS" NOT NULL ENABLE);
  ALTER TABLE "XY_RETENTION_SCHEDULES" MODIFY ("EXPIRATION_MONTHS" NOT NULL ENABLE);
  ALTER TABLE "XY_RETENTION_SCHEDULES" MODIFY ("EXPIRATION_DAYS" NOT NULL ENABLE);
  ALTER TABLE "XY_RETENTION_SCHEDULES" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_RETENTION_SCHEDULES" MODIFY ("RETENTION_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_RETENTION_SCHEDULES" MODIFY ("RETENTION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_LANGUAGES
--------------------------------------------------------

  ALTER TABLE "XY_LANGUAGES" ADD CONSTRAINT "XY_LANGUAGES_U1" PRIMARY KEY ("LANGUAGE_CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_LANGUAGES" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_LANGUAGES" MODIFY ("LANGUAGE_CODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PROPERTIES
--------------------------------------------------------

  ALTER TABLE "XY_PROPERTIES" ADD CONSTRAINT "XY_PROPS_U1" PRIMARY KEY ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER", "PROPERTY_DEFINITION_ID", "VALUE_POSITION")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PROPERTIES" MODIFY ("IS_DERIVED" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTIES" MODIFY ("VALUE_POSITION" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTIES" MODIFY ("PROPERTY_DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTIES" MODIFY ("VERSION_NUMBER" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTIES" MODIFY ("PROPERTY_OWNER_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTIES" MODIFY ("PROPERTY_OWNER_TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_CONDITIONAL_CHANGE
--------------------------------------------------------

  ALTER TABLE "XWF_CONDITIONAL_CHANGE" ADD CONSTRAINT "XWF_CONDCH_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_CONDITIONAL_CHANGE" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_PAUSED_TRIGGER_GRPS
--------------------------------------------------------

  ALTER TABLE "QRTZ_PAUSED_TRIGGER_GRPS" ADD CONSTRAINT "QRTZPTRIGGRPS_U1" PRIMARY KEY ("TRIGGER_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_PAUSED_TRIGGER_GRPS" MODIFY ("TRIGGER_GROUP" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_TIMERS
--------------------------------------------------------

  ALTER TABLE "XWF_TIMERS" ADD CONSTRAINT "XWF_TIMERS_U1" PRIMARY KEY ("TIMER_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_TIMERS" MODIFY ("TIMER_ID" NOT NULL ENABLE);
  ALTER TABLE "XWF_TIMERS" MODIFY ("TRIGGER_TIME" NOT NULL ENABLE);
  ALTER TABLE "XWF_TIMERS" MODIFY ("TASK_ID" NOT NULL ENABLE);
  ALTER TABLE "XWF_TIMERS" MODIFY ("FLOW_ID" NOT NULL ENABLE);
  ALTER TABLE "XWF_TIMERS" MODIFY ("TIMER_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_CALENDARS
--------------------------------------------------------

  ALTER TABLE "QRTZ_CALENDARS" ADD CONSTRAINT "QRTZ_CALENDARS_U1" PRIMARY KEY ("CALENDAR_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_CALENDARS" MODIFY ("CALENDAR_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ACL_TEMPLATES
--------------------------------------------------------

  ALTER TABLE "XY_ACL_TEMPLATES" ADD CONSTRAINT "XY_ACL_TEMPL_U1" PRIMARY KEY ("TEMPLATE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_ACL_TEMPLATES" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_ACL_TEMPLATES" MODIFY ("TEMPLATE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_ACL_TEMPLATES" MODIFY ("TEMPLATE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_PROCESS_CURRENTSTATUS
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS_CURRENTSTATUS" ADD CONSTRAINT "XWF_PROCCSTAT_U1" PRIMARY KEY ("STATUS", "PROCESS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_PROCESS_CURRENTSTATUS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "XWF_PROCESS_CURRENTSTATUS" MODIFY ("PROCESS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_VIRTUAL_SERVERS
--------------------------------------------------------

  ALTER TABLE "XY_VIRTUAL_SERVERS" ADD CONSTRAINT "XY_VSERVERS_U1" PRIMARY KEY ("NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_VIRTUAL_SERVERS" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_VIRTUAL_SERVERS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table IDG_GLOBAL_GROUPS
--------------------------------------------------------

  ALTER TABLE "IDG_GLOBAL_GROUPS" ADD CONSTRAINT "IDG_GBL_GRPS_U1" PRIMARY KEY ("GROUP_NAME", "VIRTUAL_SERVER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "IDG_GLOBAL_GROUPS" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "IDG_GLOBAL_GROUPS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "IDG_GLOBAL_GROUPS" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "IDG_GLOBAL_GROUPS" MODIFY ("GROUP_NAME" NOT NULL ENABLE);
  ALTER TABLE "IDG_GLOBAL_GROUPS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PRIVATE_GROUPS
--------------------------------------------------------

  ALTER TABLE "XY_PRIVATE_GROUPS" ADD CONSTRAINT "XY_PR_GRPS_U1" PRIMARY KEY ("GROUP_PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PRIVATE_GROUPS" MODIFY ("PG_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_PRIVATE_GROUPS" MODIFY ("GROUP_KEY" NOT NULL ENABLE);
  ALTER TABLE "XY_PRIVATE_GROUPS" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_PRIVATE_GROUPS" MODIFY ("OWNER_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PRIVATE_GROUPS" MODIFY ("DISPLAY_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_PRIVATE_GROUPS" MODIFY ("GROUP_PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_JOB_LISTENERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_JOB_LISTENERS" ADD CONSTRAINT "QRTZ_JOB_LIST_U1" PRIMARY KEY ("JOB_NAME", "JOB_GROUP", "JOB_LISTENER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_JOB_LISTENERS" MODIFY ("JOB_LISTENER" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_LISTENERS" MODIFY ("JOB_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_JOB_LISTENERS" MODIFY ("JOB_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_PROCESS
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS" ADD CONSTRAINT "XWF_PROCESS_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_PROCESS" MODIFY ("REACTOROBJECTID" NOT NULL ENABLE);
  ALTER TABLE "XWF_PROCESS" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ROLE_ABILITIES
--------------------------------------------------------

  ALTER TABLE "XY_ROLE_ABILITIES" ADD CONSTRAINT "XY_ROLE_ABLTS_U1" PRIMARY KEY ("ABILITY_ID", "ROLE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_ROLE_ABILITIES" MODIFY ("ABILITY_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_ROLE_ABILITIES" MODIFY ("ROLE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ACL_CFG
--------------------------------------------------------

  ALTER TABLE "XY_ACL_CFG" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PROPERTY_NAMESPACES
--------------------------------------------------------

  ALTER TABLE "XY_PROPERTY_NAMESPACES" ADD CONSTRAINT "XY_PROP_NSPACE_U1" PRIMARY KEY ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "PROPERTY_DEFINITION_ID", "NAMESPACE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PROPERTY_NAMESPACES" MODIFY ("NAMESPACE_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_NAMESPACES" MODIFY ("PROPERTY_DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_NAMESPACES" MODIFY ("PROPERTY_OWNER_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_NAMESPACES" MODIFY ("PROPERTY_OWNER_TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_DEFINITION_XML
--------------------------------------------------------

  ALTER TABLE "XWFN_DEFINITION_XML" ADD CONSTRAINT "XWFN_D_X_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_DEFINITION_XML" MODIFY ("MULT_VAR_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_DEFINITION_XML" MODIFY ("MD5HASH" NOT NULL ENABLE);
  ALTER TABLE "XWFN_DEFINITION_XML" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_WEB_APPLICATION_MODULES
--------------------------------------------------------

  ALTER TABLE "XY_WEB_APPLICATION_MODULES" ADD CONSTRAINT "XY_WAPP_MOD_U1" PRIMARY KEY ("MODULE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_WEB_APPLICATION_MODULES" MODIFY ("SESSION_MANAGER" NOT NULL ENABLE);
  ALTER TABLE "XY_WEB_APPLICATION_MODULES" MODIFY ("PRINCIPAL_MANAGER" NOT NULL ENABLE);
  ALTER TABLE "XY_WEB_APPLICATION_MODULES" MODIFY ("PROTECTED" NOT NULL ENABLE);
  ALTER TABLE "XY_WEB_APPLICATION_MODULES" MODIFY ("MODULE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_WEB_APPLICATION_MODULES" MODIFY ("MODULE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_LDAP_DOMAINS
--------------------------------------------------------

  ALTER TABLE "XY_LDAP_DOMAINS" ADD CONSTRAINT "XY_LDAP_DOMAINS_U1" PRIMARY KEY ("DOMAIN_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_LDAP_DOMAINS" MODIFY ("DN_TYPE_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_DOMAINS" MODIFY ("DN" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_DOMAINS" MODIFY ("DOMAIN_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_SEARCH_PARSER_FCT_ATTRS
--------------------------------------------------------

  ALTER TABLE "XY_SEARCH_PARSER_FCT_ATTRS" ADD CONSTRAINT "XY_FCT_ATTRS_U1" PRIMARY KEY ("PARSER_FACTORY_ID", "ATTR_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_SEARCH_PARSER_FCT_ATTRS" MODIFY ("ATTR_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_SEARCH_PARSER_FCT_ATTRS" MODIFY ("PARSER_FACTORY_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_TIMER_SPEC
--------------------------------------------------------

  ALTER TABLE "XWF_TIMER_SPEC" ADD CONSTRAINT "XWF_TIMSPEC_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_TIMER_SPEC" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_CRIT_ERROR
--------------------------------------------------------

  ALTER TABLE "XY_CRIT_ERROR" ADD CONSTRAINT "XY_CRIT_ERROR_U1" PRIMARY KEY ("ERROR_TYPE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_CRIT_ERROR" MODIFY ("LAST_REPORTED" NOT NULL ENABLE);
  ALTER TABLE "XY_CRIT_ERROR" MODIFY ("ERROR_TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_OPERAND
--------------------------------------------------------

  ALTER TABLE "XWF_OPERAND" ADD CONSTRAINT "XWF_OPERAND_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_OPERAND" MODIFY ("REACTOROBJECTID" NOT NULL ENABLE);
  ALTER TABLE "XWF_OPERAND" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_TRANSITION
--------------------------------------------------------

  ALTER TABLE "XWFN_TRANSITION" ADD CONSTRAINT "XWFN_TRANS_PK1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_TRANSITION" MODIFY ("TO_NODE_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TRANSITION" MODIFY ("FROM_NODE_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TRANSITION" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TRANSITION" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_TRANSITION" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_SMB_SHARES
--------------------------------------------------------

  ALTER TABLE "XY_SMB_SHARES" ADD CONSTRAINT "XY_SMB_SHARES_U1" PRIMARY KEY ("SHARE_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_SMB_SHARES" MODIFY ("DIRECTORY_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_SMB_SHARES" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_SMB_SHARES" MODIFY ("SHARE_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_TIMEZONES
--------------------------------------------------------

  ALTER TABLE "XY_TIMEZONES" ADD CONSTRAINT "XY_TIMEZONES_U1" PRIMARY KEY ("TIMEZONE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_TIMEZONES" MODIFY ("JAVA_VERSION" NOT NULL ENABLE);
  ALTER TABLE "XY_TIMEZONES" MODIFY ("JAVA_BUILT_IN" NOT NULL ENABLE);
  ALTER TABLE "XY_TIMEZONES" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_TIMEZONES" MODIFY ("TIMEZONE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_DEF_NODE
--------------------------------------------------------

  ALTER TABLE "XWFN_DEF_NODE" ADD CONSTRAINT "XWFN_DEF_NODE_PK1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_DEF_NODE" MODIFY ("TYPE" NOT NULL ENABLE);
  ALTER TABLE "XWFN_DEF_NODE" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_DEF_NODE" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_DEF_NODE" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_USER_MATCH_INFO
--------------------------------------------------------

  ALTER TABLE "XY_USER_MATCH_INFO" ADD CONSTRAINT "XY_UMATCH_INFO_U1" PRIMARY KEY ("USER_MATCH_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_USER_MATCH_INFO" MODIFY ("MATCH_VALUE" NOT NULL ENABLE);
  ALTER TABLE "XY_USER_MATCH_INFO" MODIFY ("MATCH_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_USER_MATCH_INFO" MODIFY ("PRINCIPAL_IMPL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_USER_MATCH_INFO" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_USER_MATCH_INFO" MODIFY ("USER_MATCH_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_CACHED_PRINCIPALS
--------------------------------------------------------

  ALTER TABLE "XY_CACHED_PRINCIPALS" MODIFY ("DIGEST" NOT NULL ENABLE);
  ALTER TABLE "XY_CACHED_PRINCIPALS" MODIFY ("ALT_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_CACHED_PRINCIPALS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_FLOW_LOCKS
--------------------------------------------------------

  ALTER TABLE "XWF_FLOW_LOCKS" ADD CONSTRAINT "XWF_FLOWLOCKS_U1" PRIMARY KEY ("FLOW_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_FLOW_LOCKS" MODIFY ("FLOW_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_DATA_LOOKUP
--------------------------------------------------------

  ALTER TABLE "XWF_DATA_LOOKUP" ADD CONSTRAINT "XWF_DLOOK_U1" PRIMARY KEY ("FLOW_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_DATA_LOOKUP" MODIFY ("IS_LATE" NOT NULL ENABLE);
  ALTER TABLE "XWF_DATA_LOOKUP" MODIFY ("FLOW_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_TRIGGERS" ADD CONSTRAINT "QRTZ_TRIGGERS_U1" PRIMARY KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("START_TIME" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("TRIGGER_TYPE" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("TRIGGER_STATE" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("IS_VOLATILE" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("JOB_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("JOB_NAME" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("TRIGGER_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGERS" MODIFY ("TRIGGER_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_TEMPLATE_ACES
--------------------------------------------------------

  ALTER TABLE "XY_TEMPLATE_ACES" ADD CONSTRAINT "XY_TEMPL_ACES_U1" PRIMARY KEY ("TEMPLATE_ID", "PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_TEMPLATE_ACES" MODIFY ("TEMPLATE_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_TEMPLATE_ACES" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PROPERTY_VALUE_CHOICES
--------------------------------------------------------

  ALTER TABLE "XY_PROPERTY_VALUE_CHOICES" MODIFY ("DEFAULT_VALUE" NOT NULL ENABLE);
  ALTER TABLE "XY_PROPERTY_VALUE_CHOICES" MODIFY ("PROPERTY_DEFINITION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_SEQUENCES
--------------------------------------------------------

  ALTER TABLE "XY_SEQUENCES" ADD CONSTRAINT "XY_SEQUENCES_U1" PRIMARY KEY ("SEQUENCE_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_SEQUENCES" MODIFY ("NEXT_VALUE" NOT NULL ENABLE);
  ALTER TABLE "XY_SEQUENCES" MODIFY ("SEQUENCE_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_FILE_SYSTEMS
--------------------------------------------------------

  ALTER TABLE "XY_FILE_SYSTEMS" ADD CONSTRAINT "XY_FILE_SYSTEMS_U1" PRIMARY KEY ("NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("SYSTEM_DELETE_AUDIT_DAYS" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("TEMPORARY_DELETE_DAYS" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("STORAGE_LOCATION" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("CONNECTION_DEAD_SECONDS" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("MIN_CONNECTIONS" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("MAX_CONNECTIONS" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("CONNECTION_EXPIRATION_MINUTES" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("JDBC_CONNECTION_URL" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("JDBC_DRIVER_CLASS_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("DATABASE_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("DB_PASSWORD" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("DB_USERNAME" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("FILE_SYSTEM_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_FILE_SYSTEMS" MODIFY ("NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ROLE_PRINCIPALS
--------------------------------------------------------

  ALTER TABLE "XY_ROLE_PRINCIPALS" ADD CONSTRAINT "XY_ROLE_PRNCPLS_U1" PRIMARY KEY ("ROLE_ID", "PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_ROLE_PRINCIPALS" MODIFY ("ROLE_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_ROLE_PRINCIPALS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table IDG_SESSIONS
--------------------------------------------------------

  ALTER TABLE "IDG_SESSIONS" ADD CONSTRAINT "IDG_SESSIONS_U1" PRIMARY KEY ("SESSION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "IDG_SESSIONS" MODIFY ("PRINCIPAL_IMPL_ID" NOT NULL ENABLE);
  ALTER TABLE "IDG_SESSIONS" MODIFY ("GROUP_DIGEST" NOT NULL ENABLE);
  ALTER TABLE "IDG_SESSIONS" MODIFY ("EXPIRATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "IDG_SESSIONS" MODIFY ("KEY_VALUE" NOT NULL ENABLE);
  ALTER TABLE "IDG_SESSIONS" MODIFY ("LOGIN_DATE" NOT NULL ENABLE);
  ALTER TABLE "IDG_SESSIONS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "IDG_SESSIONS" MODIFY ("SESSION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_DEFINITION
--------------------------------------------------------

  ALTER TABLE "XWFN_DEFINITION" ADD CONSTRAINT "XWFN_DEF_PK1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_DEFINITION" MODIFY ("EXTERNAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_DEFINITION" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_DEFINITION" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_LDAP_USER_TEMPLATES
--------------------------------------------------------

  ALTER TABLE "XY_LDAP_USER_TEMPLATES" ADD CONSTRAINT "XY_LDAP_TMPLT_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_LDAP_USER_TEMPLATES" MODIFY ("MAPPING_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_USER_TEMPLATES" MODIFY ("SEQUENCE_NUMBER" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_USER_TEMPLATES" MODIFY ("TEMPLATE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_USER_TEMPLATES" MODIFY ("LDAP_VALUE" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_USER_TEMPLATES" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_SEARCH_PARSER_FACTORIES
--------------------------------------------------------

  ALTER TABLE "XY_SEARCH_PARSER_FACTORIES" ADD CONSTRAINT "XY_PARSER_FCT_U1" PRIMARY KEY ("PARSER_FACTORY_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_SEARCH_PARSER_FACTORIES" MODIFY ("PARSER_FACTORY_CLASS" NOT NULL ENABLE);
  ALTER TABLE "XY_SEARCH_PARSER_FACTORIES" MODIFY ("PARSER_FACTORY_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_SEARCH_PARSER_FACTORIES" MODIFY ("PARSER_FACTORY_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYTHOS_DUAL
--------------------------------------------------------

  ALTER TABLE "XYTHOS_DUAL" MODIFY ("DUMMY" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_OPERAND_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_OPERAND_ATTRIBUTES" ADD CONSTRAINT "XWF_OPATTR_U1" PRIMARY KEY ("OPERAND", "NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_OPERAND_ATTRIBUTES" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XWF_OPERAND_ATTRIBUTES" MODIFY ("OPERAND" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_SERVER_GROUPS
--------------------------------------------------------

  ALTER TABLE "XY_SERVER_GROUPS" ADD CONSTRAINT "XY_SERVER_GRPS_U1" PRIMARY KEY ("GROUP_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_SERVER_GROUPS" MODIFY ("GROUP_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_LDAP_SERVERS
--------------------------------------------------------

  ALTER TABLE "XY_LDAP_SERVERS" ADD CONSTRAINT "XY_LDAP_SVRS_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_LDAP_SERVERS" MODIFY ("SEQUENCE_NUMBER" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_SERVERS" MODIFY ("SSL_ENABLED_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_SERVERS" MODIFY ("PORT" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_SERVERS" MODIFY ("SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_LDAP_SERVERS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XYTHOS_VERSION
--------------------------------------------------------

  ALTER TABLE "XYTHOS_VERSION" ADD CONSTRAINT "XYTHOS_VERSION_U1" PRIMARY KEY ("INSTALLABLE_MOD")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("POST_UPGRADE_RUN" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("POST_ADD_RUN" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("VERSION3" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("VERSION2" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("VERSION1" NOT NULL ENABLE);
  ALTER TABLE "XYTHOS_VERSION" MODIFY ("INSTALLABLE_MOD" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PRINCIPAL_MANAGER_IMPLS
--------------------------------------------------------

  ALTER TABLE "XY_PRINCIPAL_MANAGER_IMPLS" ADD CONSTRAINT "XY_PMGR_IMPLS_U1" PRIMARY KEY ("PRINCIPAL_IMPL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PRINCIPAL_MANAGER_IMPLS" MODIFY ("PRINCIPAL_IMPL_CLASS_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_PRINCIPAL_MANAGER_IMPLS" MODIFY ("PRINCIPAL_IMPL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_NODE
--------------------------------------------------------

  ALTER TABLE "XWFN_NODE" ADD CONSTRAINT "XWFN_NODE_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_NODE" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_NODE" MODIFY ("NAME_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_NODE" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_DOCUMENT_CLASSES
--------------------------------------------------------

  ALTER TABLE "XY_DOCUMENT_CLASSES" MODIFY ("CLASS_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_DOCUMENT_CLASSES" ADD CONSTRAINT "XY_DOC_CLASSES_U1" PRIMARY KEY ("CLASS_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_DOCUMENT_CLASSES" MODIFY ("PROTECTED_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_DOCUMENT_CLASSES" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_DOCUMENT_CLASSES" MODIFY ("CLASS_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_STATUS
--------------------------------------------------------

  ALTER TABLE "XWF_STATUS" ADD CONSTRAINT "XWF_STATUS_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 1048576 NEXT 26214400 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_STATUS" MODIFY ("REACTOROBJECTID" NOT NULL ENABLE);
  ALTER TABLE "XWF_STATUS" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_SESSION_MANAGER_IMPLS
--------------------------------------------------------

  ALTER TABLE "XY_SESSION_MANAGER_IMPLS" ADD CONSTRAINT "XY_SMGR_IMPLS_U1" PRIMARY KEY ("SESSION_IMPL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_SESSION_MANAGER_IMPLS" MODIFY ("SESSION_IMPL_CLASS_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_SESSION_MANAGER_IMPLS" MODIFY ("SESSION_IMPL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table IDG_GROUP_MEMBERS
--------------------------------------------------------

  ALTER TABLE "IDG_GROUP_MEMBERS" ADD CONSTRAINT "IDG_GRP_MEMS_U1" PRIMARY KEY ("GROUP_PRINCIPAL_ID", "MEMBER_PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "IDG_GROUP_MEMBERS" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "IDG_GROUP_MEMBERS" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "IDG_GROUP_MEMBERS" MODIFY ("MEMBER_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "IDG_GROUP_MEMBERS" MODIFY ("GROUP_PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_POLICY
--------------------------------------------------------

  ALTER TABLE "XWF_POLICY" ADD CONSTRAINT "XWF_POLICY_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_POLICY" MODIFY ("REACTOROBJECTID" NOT NULL ENABLE);
  ALTER TABLE "XWF_POLICY" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_EXEC_POINTER
--------------------------------------------------------

  ALTER TABLE "XWFN_EXEC_POINTER" ADD CONSTRAINT "XWFN_E_P_U1" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_EXEC_POINTER" MODIFY ("STATUS_CHANGED" NOT NULL ENABLE);
  ALTER TABLE "XWFN_EXEC_POINTER" MODIFY ("DEFINITION_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_EXEC_POINTER" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "XWFN_EXEC_POINTER" MODIFY ("NODE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XWFN_EXEC_POINTER" MODIFY ("PROCESS_ID" NOT NULL ENABLE);
  ALTER TABLE "XWFN_EXEC_POINTER" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_ACLS
--------------------------------------------------------

  ALTER TABLE "XWF_ACLS" ADD CONSTRAINT "XWF_ACLS_U1" PRIMARY KEY ("TEMPLATE_ID", "PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_ACLS" MODIFY ("ADMIN_PRIV" NOT NULL ENABLE);
  ALTER TABLE "XWF_ACLS" MODIFY ("PUBLISHED_PRIV" NOT NULL ENABLE);
  ALTER TABLE "XWF_ACLS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XWF_ACLS" MODIFY ("TEMPLATE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ROLES
--------------------------------------------------------

  ALTER TABLE "XY_ROLES" ADD CONSTRAINT "XY_ROLES_U1" PRIMARY KEY ("ROLE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_ROLES" MODIFY ("PROTECTED_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_ROLES" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_ROLES" MODIFY ("ROLE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_ROLES" MODIFY ("ROLE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_LOCKS
--------------------------------------------------------

  ALTER TABLE "QRTZ_LOCKS" ADD CONSTRAINT "QRTZ_LOCKS_U1" PRIMARY KEY ("LOCK_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 8192 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_LOCKS" MODIFY ("LOCK_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table IDG_ADDRESS_BOOK_ENTRIES
--------------------------------------------------------

  ALTER TABLE "IDG_ADDRESS_BOOK_ENTRIES" ADD CONSTRAINT "IDG_ADD_BK_ENTS_U1" PRIMARY KEY ("PRINCIPAL_ID", "ENTRY_PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "IDG_ADDRESS_BOOK_ENTRIES" MODIFY ("CREATION_DATE" NOT NULL ENABLE);
  ALTER TABLE "IDG_ADDRESS_BOOK_ENTRIES" MODIFY ("CREATED_BY" NOT NULL ENABLE);
  ALTER TABLE "IDG_ADDRESS_BOOK_ENTRIES" MODIFY ("ENTRY_TYPE" NOT NULL ENABLE);
  ALTER TABLE "IDG_ADDRESS_BOOK_ENTRIES" MODIFY ("ENTRY_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "IDG_ADDRESS_BOOK_ENTRIES" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_INDEXED_PROPERTIES
--------------------------------------------------------

  ALTER TABLE "XY_INDEXED_PROPERTIES" ADD CONSTRAINT "XY_IDX_PROPS_U1" PRIMARY KEY ("PROPERTY_OWNER_TYPE", "PROPERTY_OWNER_ID", "VERSION_NUMBER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_INDEXED_PROPERTIES" MODIFY ("VERSION_NUMBER" NOT NULL ENABLE);
  ALTER TABLE "XY_INDEXED_PROPERTIES" MODIFY ("PROPERTY_OWNER_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_INDEXED_PROPERTIES" MODIFY ("PROPERTY_OWNER_TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PRINCIPAL_LOOKUPS
--------------------------------------------------------

  ALTER TABLE "XY_PRINCIPAL_LOOKUPS" ADD CONSTRAINT "XY_PRIN_LKUPS_U1" PRIMARY KEY ("INTERNAL_PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PRINCIPAL_LOOKUPS" MODIFY ("INTERNAL_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_PRINCIPAL_LOOKUPS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ACTION_LOG_PARAMS
--------------------------------------------------------

  ALTER TABLE "XY_ACTION_LOG_PARAMS" MODIFY ("PARAM_VALUE" NOT NULL ENABLE);
  ALTER TABLE "XY_ACTION_LOG_PARAMS" MODIFY ("PARAM_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_ACTION_LOG_PARAMS" MODIFY ("ACTION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_VSERVER_PARAMETERS
--------------------------------------------------------

  ALTER TABLE "XY_VSERVER_PARAMETERS" ADD CONSTRAINT "XY_VSERVER_PARM_U1" PRIMARY KEY ("VIRTUAL_SERVER_ID", "PARAMETER_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 166 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_VSERVER_PARAMETERS" MODIFY ("PARAMETER_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_VSERVER_PARAMETERS" MODIFY ("VIRTUAL_SERVER_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table IDG_USERS
--------------------------------------------------------

  ALTER TABLE "IDG_USERS" ADD CONSTRAINT "IDG_USERS_U1" PRIMARY KEY ("PRINCIPAL_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "IDG_USERS" MODIFY ("PRINCIPAL_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_NOTIFICATIONS
--------------------------------------------------------

  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("FAILURES" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("STATE" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("AGGREGATION_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("DELIVERY_URL" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("DELIVERY_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("EVENT_TYPE" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("FULL_PATH" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("VIRTUAL_SERVER" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("SUBSCRIBER_PRINCIPAL_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("EVENT_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_NOTIFICATIONS" MODIFY ("NOTIFICATION_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_NAMESPACES
--------------------------------------------------------

  ALTER TABLE "XY_NAMESPACES" ADD CONSTRAINT "XY_NAMESPACES_U1" PRIMARY KEY ("NAMESPACE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_NAMESPACES" MODIFY ("NAMESPACE_NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_NAMESPACES" MODIFY ("NAMESPACE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWFN_LOCKS
--------------------------------------------------------

  ALTER TABLE "XWFN_LOCKS" ADD CONSTRAINT "XWFN_LOCKS_U1" PRIMARY KEY ("NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWFN_LOCKS" MODIFY ("NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_ABILITY_DEPENDS
--------------------------------------------------------

  ALTER TABLE "XY_ABILITY_DEPENDS" ADD CONSTRAINT "XY_ABILITY_DS_U1" PRIMARY KEY ("ABILITY_ID", "DEPENDS_ON_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_ABILITY_DEPENDS" MODIFY ("DEPENDS_ON_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_ABILITY_DEPENDS" MODIFY ("ABILITY_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_NETWORK_ADDRESS_ALIASES
--------------------------------------------------------

  ALTER TABLE "XY_NETWORK_ADDRESS_ALIASES" ADD CONSTRAINT "XY_NWK_ADD_ALS_U1" PRIMARY KEY ("HOST", "PORT")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_NETWORK_ADDRESS_ALIASES" MODIFY ("PRIMARY_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_NETWORK_ADDRESS_ALIASES" MODIFY ("VIRTUAL_SERVER_ID" NOT NULL ENABLE);
  ALTER TABLE "XY_NETWORK_ADDRESS_ALIASES" MODIFY ("PORT" NOT NULL ENABLE);
  ALTER TABLE "XY_NETWORK_ADDRESS_ALIASES" MODIFY ("HOST" NOT NULL ENABLE);
  ALTER TABLE "XY_NETWORK_ADDRESS_ALIASES" MODIFY ("PROTOCOL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_USER_TEMPLATE
--------------------------------------------------------

  ALTER TABLE "XY_USER_TEMPLATE" ADD CONSTRAINT "XY_U_TEMPLT_U1" PRIMARY KEY ("TEMPLATE_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 8192 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_USER_TEMPLATE" MODIFY ("DEFAULT_FLAG" NOT NULL ENABLE);
  ALTER TABLE "XY_USER_TEMPLATE" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "XY_USER_TEMPLATE" MODIFY ("TEMPLATE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XY_PROGRAMS
--------------------------------------------------------

  ALTER TABLE "XY_PROGRAMS" ADD CONSTRAINT "XY_PRG_LOCKS_U1" PRIMARY KEY ("PROGRAM_NAME")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 16384 NEXT 131072 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XY_PROGRAMS" MODIFY ("LAST_RUN_DATE" NOT NULL ENABLE);
  ALTER TABLE "XY_PROGRAMS" MODIFY ("PROGRAM_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_TRIGGER_LISTENERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_TRIGGER_LISTENERS" ADD CONSTRAINT "QRTZTRIGLIST_U1" PRIMARY KEY ("TRIGGER_NAME", "TRIGGER_GROUP", "TRIGGER_LISTENER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_TRIGGER_LISTENERS" MODIFY ("TRIGGER_LISTENER" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGER_LISTENERS" MODIFY ("TRIGGER_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_TRIGGER_LISTENERS" MODIFY ("TRIGGER_NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_DOCFLOW_TEMPLATE_DATA
--------------------------------------------------------

  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_DATA" ADD CONSTRAINT "XWF_DF_T_D_U1" PRIMARY KEY ("TEMPLATE_ID", "TEMPLATE_ORDER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 131072 NEXT 2097152 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_DATA" MODIFY ("TEMPLATE_ORDER" NOT NULL ENABLE);
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_DATA" MODIFY ("TEMPLATE_DATA" NOT NULL ENABLE);
  ALTER TABLE "XWF_DOCFLOW_TEMPLATE_DATA" MODIFY ("TEMPLATE_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table XWF_REACTOR_EVENT
--------------------------------------------------------

  ALTER TABLE "XWF_REACTOR_EVENT" ADD CONSTRAINT "XWF_REACEVENT_U1" PRIMARY KEY ("REALID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "XWF_REACTOR_EVENT" MODIFY ("REALID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table QRTZ_FIRED_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "QRTZ_FIRED_TRIG_U1" PRIMARY KEY ("ENTRY_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE( INITIAL 16384 NEXT 131072 MAXEXTENTS 150)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "QRTZ_FIRED_TRIGGERS" MODIFY ("STATE" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_FIRED_TRIGGERS" MODIFY ("FIRED_TIME" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_FIRED_TRIGGERS" MODIFY ("INSTANCE_NAME" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_FIRED_TRIGGERS" MODIFY ("IS_VOLATILE" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_FIRED_TRIGGERS" MODIFY ("TRIGGER_GROUP" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_FIRED_TRIGGERS" MODIFY ("TRIGGER_NAME" NOT NULL ENABLE);
  ALTER TABLE "QRTZ_FIRED_TRIGGERS" MODIFY ("ENTRY_ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table QRTZ_BLOB_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT "QRTZBLOBTRIG_FK1" FOREIGN KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
	  REFERENCES "QRTZ_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table QRTZ_CRON_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "QRTZ_CRON_TRIG_FK1" FOREIGN KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
	  REFERENCES "QRTZ_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table QRTZ_JOB_LISTENERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_JOB_LISTENERS" ADD CONSTRAINT "QRTZ_JOB_LIST_FK1" FOREIGN KEY ("JOB_NAME", "JOB_GROUP")
	  REFERENCES "QRTZ_JOB_DETAILS" ("JOB_NAME", "JOB_GROUP") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table QRTZ_SIMPLE_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "QRTZSIMPTRIG_FK1" FOREIGN KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
	  REFERENCES "QRTZ_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table QRTZ_TRIGGERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_TRIGGERS" ADD CONSTRAINT "QRTZ_TRIGGERS_FK1" FOREIGN KEY ("JOB_NAME", "JOB_GROUP")
	  REFERENCES "QRTZ_JOB_DETAILS" ("JOB_NAME", "JOB_GROUP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table QRTZ_TRIGGER_LISTENERS
--------------------------------------------------------

  ALTER TABLE "QRTZ_TRIGGER_LISTENERS" ADD CONSTRAINT "QRTZTRIGLIST_FK1" FOREIGN KEY ("TRIGGER_NAME", "TRIGGER_GROUP")
	  REFERENCES "QRTZ_TRIGGERS" ("TRIGGER_NAME", "TRIGGER_GROUP") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_CONDITIONAL_CHANGE
--------------------------------------------------------

  ALTER TABLE "XWF_CONDITIONAL_CHANGE" ADD CONSTRAINT "XWF_CONDCH_FK1" FOREIGN KEY ("CONDITIONTARGETPROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
  ALTER TABLE "XWF_CONDITIONAL_CHANGE" ADD CONSTRAINT "XWF_CONDCH_FK2" FOREIGN KEY ("CHANGESTATUS")
	  REFERENCES "XWF_STATUS" ("REALID") ENABLE;
  ALTER TABLE "XWF_CONDITIONAL_CHANGE" ADD CONSTRAINT "XWF_CONDCH_FK3" FOREIGN KEY ("PROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
  ALTER TABLE "XWF_CONDITIONAL_CHANGE" ADD CONSTRAINT "XWF_CONDCH_FK4" FOREIGN KEY ("CONDITIONTARGETSTATUS")
	  REFERENCES "XWF_STATUS" ("REALID") ENABLE;
  ALTER TABLE "XWF_CONDITIONAL_CHANGE" ADD CONSTRAINT "XWF_CONDCH_FK5" FOREIGN KEY ("PARENT")
	  REFERENCES "XWF_CONDITIONAL_CHANGE" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_OPERAND
--------------------------------------------------------

  ALTER TABLE "XWF_OPERAND" ADD CONSTRAINT "XWF_OPERAND_FK1" FOREIGN KEY ("PROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_OPERAND_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_OPERAND_ATTRIBUTES" ADD CONSTRAINT "XWF_OPATTR_FK1" FOREIGN KEY ("OPERAND")
	  REFERENCES "XWF_OPERAND" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_POLICY
--------------------------------------------------------

  ALTER TABLE "XWF_POLICY" ADD CONSTRAINT "XWF_POLICY_FK1" FOREIGN KEY ("PROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_POLICY_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_POLICY_ATTRIBUTES" ADD CONSTRAINT "XWF_POLATTR_FK1" FOREIGN KEY ("POLICY")
	  REFERENCES "XWF_POLICY" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_PROCESS
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS" ADD CONSTRAINT "XWF_PROCESS_FK1" FOREIGN KEY ("ROOTPROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
  ALTER TABLE "XWF_PROCESS" ADD CONSTRAINT "XWF_PROCESS_FK2" FOREIGN KEY ("PARENT")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
  ALTER TABLE "XWF_PROCESS" ADD CONSTRAINT "XWF_PROCESS_FK3" FOREIGN KEY ("DEFINITION")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_PROCESS_ACE
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS_ACE" ADD CONSTRAINT "XWF_PROCACE_FK1" FOREIGN KEY ("ASSIGNEE")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_PROCESS_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS_ATTRIBUTES" ADD CONSTRAINT "XWF_PROCESSATT_FK1" FOREIGN KEY ("PROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_PROCESS_CURRENTSTATUS
--------------------------------------------------------

  ALTER TABLE "XWF_PROCESS_CURRENTSTATUS" ADD CONSTRAINT "XWF_PROCCSTAT_FK1" FOREIGN KEY ("PROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
  ALTER TABLE "XWF_PROCESS_CURRENTSTATUS" ADD CONSTRAINT "XWF_PROCCSTAT_FK2" FOREIGN KEY ("STATUS")
	  REFERENCES "XWF_STATUS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_STATUS
--------------------------------------------------------

  ALTER TABLE "XWF_STATUS" ADD CONSTRAINT "XWF_STATUS_FK1" FOREIGN KEY ("PROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_STATUS_ATTRIBUTES
--------------------------------------------------------

  ALTER TABLE "XWF_STATUS_ATTRIBUTES" ADD CONSTRAINT "XWF_STATATTR_FK1" FOREIGN KEY ("STATUS")
	  REFERENCES "XWF_STATUS" ("REALID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table XWF_TIMER_SPEC
--------------------------------------------------------

  ALTER TABLE "XWF_TIMER_SPEC" ADD CONSTRAINT "XWF_TIMSPEC_FK1" FOREIGN KEY ("EVENT")
	  REFERENCES "XWF_REACTOR_EVENT" ("REALID") ENABLE;
  ALTER TABLE "XWF_TIMER_SPEC" ADD CONSTRAINT "XWF_TIMSPEC_FK2" FOREIGN KEY ("PROCESS")
	  REFERENCES "XWF_PROCESS" ("REALID") ENABLE;
